Last Comment Bug 812695 - [Read comment #414] [D2D] Text Rendering Issues on Windows 7 with Platform Update KB2670838 (MSIE 10 Prerequisite) or on Windows 8.1
: [Read comment #414] [D2D] Text Rendering Issues on Windows 7 with Platform Up...
Status: RESOLVED FIXED
[workaround: read Comment 0/Comment 6...
: common-issue+, regression, testcase, user-doc-needed
Product: Core
Classification: Components
Component: Graphics: Text (show other bugs)
: Trunk
: x86_64 Windows 7
: -- normal with 102 votes (vote)
: mozilla28
Assigned To: Jeff Muizelaar [:jrmuizel]
: juan becerra [:juanb]
: Milan Sreckovic [:milan]
Mentors:
: 814363 829048 829549 839017 840440 845742 846073 846130 846963 847023 847091 847780 848720 848777 849625 850195 851754 851902 852168 852494 853130 854047 857940 858725 859086 859690 861569 863701 865286 866319 872192 874038 887754 893642 906336 928770 931745 941369 986318 (view as bug list)
Depends on: 852751 934860
Blocks: KB2670838 784382
  Show dependency treegraph
 
Reported: 2012-11-16 17:07 PST by (mostly gone) XtC4UaLL [:xtc4uall]
Modified: 2015-03-30 00:54 PDT (History)
172 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-
wontfix
+
wontfix
+
wontfix
-
wontfix
wontfix
wontfix
wontfix
wontfix
wontfix
wontfix
wontfix
+
wontfix
+
fixed
+
fixed
wontfix
wontfix
26+


Attachments
Screenshot showing the Issue (54.80 KB, image/png)
2012-11-16 17:07 PST, (mostly gone) XtC4UaLL [:xtc4uall]
no flags Details
Screenshot showing the Issue on a select Dropdown (13.28 KB, image/png)
2012-11-17 04:24 PST, (mostly gone) XtC4UaLL [:xtc4uall]
no flags Details
Rendering Issues after Ctrl (523.37 KB, image/png)
2013-02-01 03:29 PST, SpeciesX
no flags Details
Screenshot showing the Mozambique page (300.20 KB, image/png)
2013-02-26 02:01 PST, Jamie Kitson
no flags Details
Firefox rendering bug screenshot from iGoogle page. ATI Radeon HD 4200 (24.48 KB, image/png)
2013-02-26 19:41 PST, Daniel
no flags Details
sample (9.47 KB, application/x-zip)
2013-02-27 11:33 PST, Alice0775 White
no flags Details
normal view and "blurred" view of webpage after scrolling (30.79 KB, image/png)
2013-02-28 23:23 PST, olaf
no flags Details
bahn.de, rendering issues (26.86 KB, image/png)
2013-03-03 05:44 PST, Michael
no flags Details
Testcase to reproduce the bug (1.83 KB, text/html)
2013-03-03 08:15 PST, Eduard Braun
no flags Details
similar behavior with images (207.87 KB, image/png)
2013-03-08 08:34 PST, James Socol [:jsocol, :james]
no flags Details
The following file is a stand alone reproduction of the problem with plain D2D (8.39 KB, text/plain)
2013-03-08 15:35 PST, Jeff Muizelaar [:jrmuizel]
no flags Details
A packaged standalone test case (3.45 MB, application/x-zip-compressed)
2013-03-11 14:12 PDT, Jeff Muizelaar [:jrmuizel]
no flags Details
Drawing small graphics, improperly rendered text (25.14 KB, image/png)
2013-03-22 20:13 PDT, LepidopTERA
no flags Details
"Corrupt" dropdowns when trying to fix this bug with settings (7.39 KB, image/png)
2013-03-28 13:48 PDT, Scott Balay
no flags Details
Google News (mostly unreadable) (321.07 KB, image/png)
2013-04-09 03:25 PDT, areichelt
no flags Details
Google Maps (83.02 KB, image/jpeg)
2013-04-09 06:26 PDT, TG
no flags Details
drop-down-direct2d-off.png (11.34 KB, image/png)
2013-08-30 10:53 PDT, Michael Hohner
no flags Details
Packaged standalone test case (cleaned) (79.79 KB, application/zip)
2013-09-04 09:49 PDT, Jim Mathies [:jimm]
no flags Details
plugincheck.jpg (189.38 KB, image/jpeg)
2014-06-20 11:34 PDT, ToBo
no flags Details
plugincheck_arial.jpg (177.34 KB, image/jpeg)
2014-06-20 11:35 PDT, ToBo
no flags Details
ff_331_rendering_problems.jpg (176.80 KB, image/jpeg)
2014-11-11 05:07 PST, towe
no flags Details

Description (mostly gone) XtC4UaLL [:xtc4uall] 2012-11-16 17:07:21 PST
Created attachment 682682 [details]
Screenshot showing the Issue

This is a Guess, but I think since Installation of MSIE 10 (what includes the Platform Update http://support.microsoft.com/kb/2670838/en-us) on my Win 7 x64 Box I get some Text Rendering Issues (Content only as it seems) when hovering over Site Elements.

On about:home e.g. with the Cursor focused in the Search Box when hovering over the Elements on the Bottom (Downloads, Bookmarks, etc.) back and forth.
It's also happening e.g. in Gmail with Mail Content.

The Issue is gone when I change the Tab's/Firefox' Focus and go back.

Affected for me is 17 (Beta), 18 (Aurora) and Nightly (19), but strangely not 16 (current Release).

Setting gfx.content.azure.enabled;false does not help.
Setting gfx.direct2d.disabled;true *does* help.

  Graphics

        Adapter Description
        ATI Radeon HD 4800 Series

        Adapter Drivers
        aticfx64 aticfx64 aticfx64 aticfx32 aticfx32 aticfx32 atiumd64 atidxx64 atidxx64 atiumdag atidxx32 atidxx32 atiumdva atiumd6a atitmm64

        Adapter RAM
        512

        ClearType Parameters
        Gamma: 1800 Pixel Structure: RGB ClearType Level: 100 Enhanced Contrast: 400

        Device ID
        0x9442

        Direct2D Enabled
        true

        DirectWrite Enabled
        true (6.2.9200.16440)

        Driver Date
        7-3-2012

        Driver Version
        8.970.100.3000

        GPU #2 Active
        false

        GPU Accelerated Windows
        1/1 Direct3D 10

        Vendor ID
        0x1002

        WebGL Renderer
        Google Inc. -- ANGLE (ATI Radeon HD 4800 Series)

        AzureCanvasBackend
        direct2d

        AzureContentBackend
        direct2d

        AzureFallbackCanvasBackend
        cairo
Comment 1 (mostly gone) XtC4UaLL [:xtc4uall] 2012-11-17 04:24:09 PST
Created attachment 682741 [details]
Screenshot showing the Issue on a select Dropdown

Got this one on a select Dropdown in Bugzilla's "Set up whining" Page.
In difference to above mentioned Examples the Rendering fixes itself after ~2 Seconds (without moving the Mouse Pointer).
Comment 2 SpeciesX 2012-11-17 04:46:43 PST
I can also reproduce this on Windows 8 x64.
Comment 3 (mostly gone) XtC4UaLL [:xtc4uall] 2012-11-17 07:06:41 PST
I bravely de-installed KB2670838 (and thus MSIE10) and the Issues are gone.

"DirectWrite Enabled" now expectedly states again with "true (6.1.7601.17789)" in about:support.

Worth a Relnote for affected Builds and/or Note to MS Devs?
Comment 4 (mostly gone) XtC4UaLL [:xtc4uall] 2012-11-19 11:28:56 PST
another Addition:

* it's enough to install the Platform Update alone (without MSIE 10) to make the Issue happen

* the Issue is not happening on my Lenovo Notebook with NVidia's Optimus built-in; neither running D2D against the Intel HD GPU nor the NVidia GeForce 330M GPU

* above mentioned AMD Card is flagged as legacy and thus bound to 12.6 Catalyst Driver Version (as of date).
Comment 5 Grant 2012-11-23 15:19:03 PST
I can attest to this on a work PC with basic Intel graphics - with the IE10 preview installed.
Comment 6 Antoine 2012-12-26 06:22:07 PST
Same problem here. Setting gfx.content.azure.backends to cairo instead of direct2D helped.

--------------------

  Graphics

        Adapter Description
        ATI Radeon HD 4800 Series

        Adapter Drivers
        aticfx32 aticfx32 aticfx32 atiumdag atidxx32 atiumdva

        Adapter RAM
        512

        ClearType Parameters
        DISPLAY1 [ Gamma: 2200 Pixel Structure: RGB ClearType Level: 100 Enhanced Contrast: 50 ] DISPLAY4 [ Gamma: 2200 Pixel Structure: RGB ClearType Level: 100 Enhanced Contrast: 200 ]

        Device ID
        0x9440

        Direct2D Enabled
        true

        DirectWrite Enabled
        true (6.2.9200.16440)

        Driver Date
        7-3-2012

        Driver Version
        8.970.100.3000

        GPU #2 Active
        false

        GPU Accelerated Windows
        1/1 Direct3D 10

        Vendor ID
        0x1002

        WebGL Renderer
        Google Inc. -- ANGLE (ATI Radeon HD 4800 Series)

        AzureCanvasBackend
        direct2d

        AzureContentBackend
        direct2d

        AzureFallbackCanvasBackend
        cairo
Comment 7 timbugzilla 2013-01-09 00:53:02 PST
Any news on this? It can be most annoying ...
Comment 8 timbugzilla 2013-01-15 18:02:34 PST
This seems to have gotten worse in the past 3 days. Is there an ETA on when this will be fixed?
Comment 9 Virtual_ManPL [:Virtual] - (ni? me) 2013-01-16 04:53:14 PST
For time being remove the patch that causes this issue, because no one is working on this as I see...
Comment 10 SpeciesX 2013-01-16 05:56:57 PST
(In reply to Virtual_ManPL [:Virtual] from comment #9)
> For time being remove the patch that causes this issue, because no one is
> working on this as I see...

And what should i do, remove Windows 8?
Comment 11 Virtual_ManPL [:Virtual] - (ni? me) 2013-01-16 06:05:02 PST
If you have build-in patch in system and you can't remove it, simply disable GPU Hardware Acceleration. You can also ping M$ about it...
Comment 12 Jim Jeffery not reading bug-mail 1/2/11 2013-01-18 15:25:15 PST
Not so sure this is totally caused by Platform update and IE10 Preview on win7 x64.

I removed IE10 Preview (not sure what the platform MS patch number is) but the content was still showing 'rainbow fonts' on sites during scroll/repaint of page. 

Turning off azure.content in about:config seems to totally clear the bad fonts in content.  I have since re-installed IE 10 Preview and with Azure.content set to 'false' there is no problem. 

I rather suspect this is more of an Azure issue than anything caused by IE10 preview perhaps.
Comment 13 (mostly gone) XtC4UaLL [:xtc4uall] 2013-01-19 01:48:53 PST
(In reply to Jim Jeffery not reading bug-mail 1/2/11 from comment #12)
You are not describing this Bug Report's Symptom. Please file you own :-)

The Platform Update's Link and Patch Number are posted above/in Summary and this Issue is only about that (and not MSIE 10 itself) since it introduces new D2D Library Versions.

Btw, the Workaround in Comment 6 (setting gfx.content.azure.backends;cairo) seems to work and IMHO kind of confirms Comment 0 that only disabling D2D Rendering helps.

Apart of that I'd appreciate people refrain from posting further "me too"s and/or "when does this get fixed" and/or "I see other Issues" - thank you :-)
Comment 14 SpeciesX 2013-01-23 06:36:17 PST
After upgrade my Graphic Card from Radeon HD 4870 to Radeon HD 7870 i have no longer Rendering Issues.

(In reply to XtC4UaLL [:xtc4uall] from comment #4)
> another Addition:

> * above mentioned AMD Card is flagged as legacy and thus bound to 12.6
> Catalyst Driver Version (as of date).

AMD released few days ago 13.1 Legacy driver.
http://support.amd.com/us/gpudownload/windows/legacy/Pages/legacy-radeonaiw-vista64.aspx
Comment 15 (mostly gone) XtC4UaLL [:xtc4uall] 2013-01-23 13:57:59 PST
(In reply to SpeciesX from comment #14)
> AMD released few days ago 13.1 Legacy driver.
> http://support.amd.com/us/gpudownload/windows/legacy/Pages/legacy-radeonaiw-
> vista64.aspx

Yes, the Issue persists though.
Comment 16 timbugzilla 2013-01-23 14:24:37 PST
Scrolling back up an article rendered by readability.com is a good test:

http://www.readability.com/articles/ksezmd2n

(view it in readability)
Comment 17 Grant 2013-01-23 15:09:12 PST
(In reply to XtC4UaLL [:xtc4uall] from comment #15)
> (In reply to SpeciesX from comment #14)
> > AMD released few days ago 13.1 Legacy driver.
> > http://support.amd.com/us/gpudownload/windows/legacy/Pages/legacy-radeonaiw-
> > vista64.aspx
> 
> Yes, the Issue persists though.


It does it on Intel chips too
Comment 18 SpeciesX 2013-02-01 03:29:15 PST
Created attachment 709005 [details]
Rendering Issues after Ctrl

(In reply to SpeciesX from comment #14)
> After upgrade my Graphic Card from Radeon HD 4870 to Radeon HD 7870 i have
> no longer Rendering Issues.
Comment 19 SpeciesX 2013-02-01 03:38:16 PST
Damn.
I still get rendering issues, this is how it looks sometimes after press ctrl+b.
Comment 20 Loic 2013-02-12 10:42:04 PST
*** Bug 840440 has been marked as a duplicate of this bug. ***
Comment 21 timbugzilla 2013-02-13 17:32:02 PST
Well this seems to be particularly bad with today's build. Perhaps a consequence of patch Tuesday's IE10 updates?
Comment 22 timbugzilla 2013-02-16 14:59:40 PST
According to a few sites, Microsoft is likely to release the IE10 update to all on win7 at approx. the end of the month. 

Will a fix be ready for FF19, or will azure for content be turned off?

http://www.theregister.co.uk/2013/02/15/ie10_on_windows_7_soon/
Comment 23 Lawrence Mandel [:lmandel] (use needinfo) 2013-02-16 17:08:16 PST
Jet - Can you please ensure that someone is on this issue? Thanks.
Comment 24 Bas Schouten (:bas.schouten) 2013-02-16 21:07:51 PST
(In reply to Lawrence Mandel [:lmandel] from comment #23)
> Jet - Can you please ensure that someone is on this issue? Thanks.

Do we have anyone with hardware that reproduces this issue?
Comment 25 Alice0775 White 2013-02-17 10:01:35 PST
similar bug:

Bug 814363 Comment#5
Graphics

        Adapter Description
        ATI Radeon HD 4600 Series

        Vendor ID
        0x1002

        Device ID
        0x9490

        Adapter RAM
        1024

        Adapter Drivers
        aticfx64 aticfx64 aticfx32 aticfx32 atiumd64 atidxx64 atiumdag atidxx32 atiumdva atiumd6a atitmm64

        Driver Version
        8.961.0.0

        Driver Date
        4-5-2012

        Direct2D Enabled
        true

        DirectWrite Enabled
        true (6.2.9200.16440)

        ClearType Parameters
        ClearType parameters not found

        WebGL Renderer
        Google Inc. -- ANGLE (ATI Radeon HD 4600 Series) -- OpenGL ES 2.0 (ANGLE 1.0.0.1242)

        GPU Accelerated Windows
        1/1 Direct3D 10

        AzureCanvasBackend
        direct2d

        AzureFallbackCanvasBackend
        cairo

        AzureContentBackend
        none



Bug 814363 Comment#11
Graphics

        Adapter Description
        ATI Radeon HD 3870 X2

        Adapter Drivers
        aticfx64 aticfx64 aticfx32 aticfx32 atiumd64 atidxx64 atiumdag atidxx32 atiumdva atiumd6a atitmm64

        Adapter RAM
        512

        ClearType Parameters
        DISPLAY1 [ Gamma: 2200 Pixel Structure: RGB ClearType Level: 100 Enhanced Contrast: 100 ] DISPLAY2 [ Gamma: 2200 Pixel Structure: RGB ClearType Level: 100 Enhanced Contrast: 200 ]

        Device ID
        0x950f

        Direct2D Enabled
        true

        DirectWrite Enabled
        true (6.2.9200.16440)

        Driver Date
        7-3-2012

        Driver Version
        8.970.100.3000

        GPU #2 Active
        false

        GPU Accelerated Windows
        1/1 Direct3D 10

        Vendor ID
        0x1002

        WebGL Renderer
        Google Inc. -- ANGLE (ATI Radeon HD 3870 X2)

        AzureCanvasBackend
        direct2d

        AzureContentBackend
        direct2d

        AzureFallbackCanvasBackend
        cairo


Bug 829048 Comment 2
attachment 700515 [details]

Bug 836701 Comment 3
attachment 708656 [details]
Comment 26 Alice0775 White 2013-02-17 10:07:33 PST
Affected:
DirectWrite version 6.2.9200.16440( this is introduced with Windows 7 Platform Update KB2670838.)

Not Affected:
DirectWrite version 6.1.7601.17789 ( this is Windows7 SP1's)
Comment 27 Lilien 2013-02-17 17:17:13 PST
I see this problem/bug with FF19 and:

Aapter Description: ATI Radeon HD 4600 Series
Adapter Drivers: aticfx64 aticfx64 aticfx32 aticfx32 atiumd64 atidxx64 atiumdag atidxx32 atiumdva atiumd6a atitmm64
Adapter RAM: 512
ClearType ParametersGamma: 2200 Pixel Structure: RGB ClearType Level: 100 Enhanced Contrast: 50
Device ID: 0x9490
Direct2D Enabled: true
DirectWrite Enabled: true (6.2.9200.16440)
Driver Date: 11-16-2012
Driver Version: 8.970.100.7000
GPU #2 Active: false
GPU Accelerated: Windows6/6 Direct3D 10
Vendor ID: 0x1002
WebGL Renderer: Google Inc. -- ANGLE (ATI Radeon HD 4600 Series)
AzureCanvasBackend: direct2d
AzureContentBackend: direct2d
AzureFallbackCanvasBackend: cairo
Comment 28 Jamie Kitson 2013-02-18 02:37:13 PST
I see this issue with an ATI Radeon HD 3400.
Comment 29 Jet Villegas (:jet) 2013-02-19 04:46:27 PST
Jonathan: can you help shed some light on this one? Looking for guidance on driver/card blacklisting or other mitigation...
Comment 30 Jonathan Kew (:jfkthame) 2013-02-19 08:36:28 PST
I'm not able to reproduce the issue here for further investigation - my Win8 machine (with Intel HD Graphics 4000) does not seem to suffer from it. (Although comment 17 mentioned it happening with "Intel chips".)

I don't really know anything about driver/card identification and blacklisting; I think Bas is probably a better person to look at that aspect, or maybe other gfx people such as Joe.
Comment 31 ferongr 2013-02-19 09:07:45 PST
Cannot reproduce.

Mozilla/5.0 (Windows NT 6.1; WOW64; rv:21.0) Gecko/20130219 Firefox/21.0 ID:20130219031055

Graphics:
---------
Adapter Description: AMD Radeon HD 6800 Series
Adapter Drivers: aticfx64 aticfx64 aticfx64 aticfx32 aticfx32 aticfx32 atiumd64 atidxx64 atidxx64 atiumdag atidxx32 atidxx32 atiumdva atiumd6a atitmm64
Adapter RAM: 1024
ClearType Parameters: Gamma: 2200 Pixel Structure: RGB ClearType Level: 100 Enhanced Contrast: 100
Device ID: 0x6739
Direct2D Enabled: true
DirectWrite Enabled: true (6.2.9200.16440)
Driver Date: 12-19-2012
Driver Version: 9.12.0.0
GPU #2 Active: false
GPU Accelerated Windows: 1/1 Direct3D 10
Vendor ID: 0x1002
WebGL Renderer: Google Inc. -- ANGLE (AMD Radeon HD 6800 Series)
AzureCanvasBackend: direct2d
AzureContentBackend: direct2d
AzureFallbackCanvasBackend: cairo
Comment 32 Grant 2013-02-19 10:24:31 PST
(In reply to Jonathan Kew (:jfkthame) from comment #30)
> I'm not able to reproduce the issue here for further investigation - my Win8
> machine (with Intel HD Graphics 4000) does not seem to suffer from it.
> (Although comment 17 mentioned it happening with "Intel chips".)
> 
> I don't really know anything about driver/card identification and
> blacklisting; I think Bas is probably a better person to look at that
> aspect, or maybe other gfx people such as Joe.

Its not happening on Windows 8, it happens with the IE10 beta installed on Windows 7.
Comment 33 Jonathan Kew (:jfkthame) 2013-02-19 10:53:14 PST
(In reply to Grant from comment #32)
> (In reply to Jonathan Kew (:jfkthame) from comment #30)
> > I'm not able to reproduce the issue here for further investigation - my Win8
> > machine (with Intel HD Graphics 4000) does not seem to suffer from it.
> > (Although comment 17 mentioned it happening with "Intel chips".)
> > 
> > I don't really know anything about driver/card identification and
> > blacklisting; I think Bas is probably a better person to look at that
> > aspect, or maybe other gfx people such as Joe.
> 
> Its not happening on Windows 8, it happens with the IE10 beta installed on
> Windows 7.

Comment 2 said that it was happening on Win8 as well.
Comment 34 Zlip792 2013-02-19 11:09:19 PST
If notice I am on Windows 7 with Platform update (not installed IE10) only vanilla update package with these specs:
Name:        Firefox
Version:        21.0a1
User Agent:        Mozilla/5.0 (Windows NT 6.1; WOW64; rv:21.0) Gecko/20130219 Firefox/21.0

Graphics
Adapter Description: NVIDIA GeForce GTX 460
Adapter Drivers: nvd3dumx,nvwgf2umx,nvwgf2umx nvd3dum,nvwgf2um,nvwgf2um
Adapter RAM: 1023
Device ID: 0x0e22
Direct2D Enabled: true
DirectWrite Enabled: true (6.2.9200.16440)
Driver Date: 2-9-2013
Driver Version: 9.18.13.1407
GPU #2 Active: false
GPU Accelerated Windows: 1/1 Direct3D 10
Vendor ID: 0x10de
WebGL Renderer: Google Inc. -- ANGLE (NVIDIA GeForce GTX 460)
AzureCanvasBackend: direct2d
AzureContentBackend|: direct2d
AzureFallbackCanvasBackend: cairo

and I am unable to produce any kind of text rendering issues in Firefox Nightly.
Comment 35 Lukas Blakk [:lsblakk] use ?needinfo 2013-02-19 15:53:43 PST
tracking for beta/aurora - will leave the nom for 19 since I know this is being discussed outside of bugzilla as part of a group of bugs around IE10/D3D11 issues.
Comment 36 Alex Keybl [:akeybl] 2013-02-20 12:28:08 PST
QA - can we order the affected cards in comment 27 or comment 28? Jonathan would like to be able to directly investigate a reproducing case.
Comment 37 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2013-02-20 12:58:46 PST
(In reply to Alex Keybl [:akeybl] from comment #36)
> QA - can we order the affected cards in comment 27 or comment 28? Jonathan
> would like to be able to directly investigate a reproducing case.

I've been unable to track one of these cards down in my location, neither are they available on the Canadian market any longer. Juan, can you see if there is a Radeon HD 4800, 4600, or 3400 available in the QA lab. If not, can you check local and online retailers to see if we can track one down?

Thanks
Comment 38 Jonathan Kew (:jfkthame) 2013-02-20 13:13:52 PST
Does this indicate that (many? all?) the affected cards are older products, no longer on the market? If that's the case, perhaps we should simply blacklist them for D2D/DWrite and move on, unless we think they're so widespread that it's worth investing more resources in trying to resolve the issue.

Bas, Joe: wdyt?
Comment 39 timbugzilla 2013-02-20 13:24:46 PST
(In reply to Jonathan Kew (:jfkthame) from comment #38)
> Does this indicate that (many? all?) the affected cards are older products,
> no longer on the market? If that's the case, perhaps we should simply
> blacklist them for D2D/DWrite and move on, unless we think they're so
> widespread that it's worth investing more resources in trying to resolve the
> issue.
> 
> Bas, Joe: wdyt?

Comment 17 indicates that intel GPUs suffer from the problem.
Comment 40 timbugzilla 2013-02-20 13:37:16 PST
Also, comments 18 & 19 indicate that it happens with the AMD 7870 GPU.
Comment 41 SpeciesX 2013-02-21 01:39:42 PST
(In reply to timbugzilla from comment #40)
> Also, comments 18 & 19 indicate that it happens with the AMD 7870 GPU.

yeap, and how it looks can you see here. http://youtu.be/V579D4x9t1c
But i think this is Bug 837489
Comment 42 Jamie Kitson 2013-02-21 02:13:58 PST
That doesn't look like the same bug, that I am talking about:

http://farm9.staticflickr.com/8502/8286462573_49fcb09e19_o.png

This has also been discussed in bug 814363.
Comment 43 SpeciesX 2013-02-21 03:33:17 PST
(In reply to Jamie Kitson from comment #42)
> That doesn't look like the same bug, that I am talking about:
> 
> http://farm9.staticflickr.com/8502/8286462573_49fcb09e19_o.png

This kind of Rendering Issues i had with Windows 8 x64 and Radeon HD 4870, after upgrade to Radeon HD 7870 i get now black and gray squares (Bug 837489).
Comment 44 Jonathan Kew (:jfkthame) 2013-02-21 05:20:47 PST
(In reply to Alex Keybl [:akeybl] from comment #36)
> QA - can we order the affected cards in comment 27 or comment 28? Jonathan
> would like to be able to directly investigate a reproducing case.

It would be much better to get an affected system into Bas's hands, as he actually knows what he's doing with Windows graphics...
Comment 45 juan becerra [:juanb] 2013-02-21 14:09:15 PST
(In reply to Anthony Hughes, Mozilla QA (:ashughes) from comment #37)
> (In reply to Alex Keybl [:akeybl] from comment #36)
> > QA - can we order the affected cards in comment 27 or comment 28? Jonathan
> > would like to be able to directly investigate a reproducing case.
> 
> I've been unable to track one of these cards down in my location, neither
> are they available on the Canadian market any longer. Juan, can you see if
> there is a Radeon HD 4800, 4600, or 3400 available in the QA lab. If not,
> can you check local and online retailers to see if we can track one down?
> 
> Thanks

There's a ATI Radeon 4200 that can be accessed at the MV network though VPN using 10.250.7.207 but we do not have anything else close to that. See: https://intranet.mozilla.org/QA/Lab_Machine_Inventory
Comment 46 juan becerra [:juanb] 2013-02-22 09:17:12 PST
I've been testing this on the machine with the graphics card above, using Fx19 and IE10 installed (KB2792100) and I haven't been able to see the problem. The machine has older gfx drivers (from 6/11) and I am updating at the moment.

I'll report back if that changes anything.
Comment 47 juan becerra [:juanb] 2013-02-22 09:42:51 PST
I don't know if the last Catalyst update had anything to do with this, but I tried visiting a few sites including bugzilla where I tried to see the problem in mail preferences drop-downs, but at some point I searched for "d2d rendering" in google and when I loaded the following page:

http://www.icesoft.org/wiki/display/ICE/Direct-to-DOM+Rendering

I noticed some of the text looked garbled, including text in one of the graphics.

I have not been able to reproduce since.

Again, you can try to access it on the MV network using 10.250.7.207 through VNC.
Comment 48 Jim Jeffery not reading bug-mail 1/2/11 2013-02-22 09:57:08 PST
(In reply to juan becerra [:juanb] from comment #47)
> I don't know if the last Catalyst update had anything to do with this, but I
> tried visiting a few sites including bugzilla where I tried to see the
> problem in mail preferences drop-downs, but at some point I searched for
> "d2d rendering" in google and when I loaded the following page:
> 
> http://www.icesoft.org/wiki/display/ICE/Direct-to-DOM+Rendering
> 
> I noticed some of the text looked garbled, including text in one of the
> graphics.
> 
> I have not been able to reproduce since.
> 
> Again, you can try to access it on the MV network using 10.250.7.207 through
> VNC.

Are you running browser full-screen (maximized, not f11) ?  Shrink the window to say 1/2 page wide as if you docked the window to left side.  Scroll slowly down page as the test begins to hit the top of the viewport the paragraph will go all rainbow.

At least here on on win7 x64 HD3200 Chip-set video on-board GPU.
Clean Profile, newly created, no history/addons/plugins other than default ones picked up by Firefox, Flash/etc.. No java on this system.

Another site I see the problem on is www.neowin.net - the small frame in the upper right of main page under the 'facebook' banner that lists forum topics will blur on a regular basis for me, even without windowing the browser.

I assume also your double checking to see that all hardware-accel is 'on' and not off somewhere ?
Comment 49 juan becerra [:juanb] 2013-02-22 10:42:41 PST
I tried the following scenarios visiting some of the pages mentioned here:
- With the window docked to the left/right, maximized, in full screen
- Reloading multiple times
- Scrolling slowly, fast, up/down/left/right using the mouse, arrow keys, scroll wheel, and automatic scroll.
- Zooming in and out while drop-down menus were selected
- Zooming in and out text*
- And so on..

* I was able to get ugly text rendering while playing a Youtube video and zooming in and out using ctrl- -/+. Of course, once I tried to take a screen capture the text re-render correctly, but this might be another way to trigger this.

Acceleration is on.

Graphics
Adapter Description	ATI Radeon HD 4200
Adapter Drivers	aticfx64 aticfx64 aticfx32 aticfx32 atiumd64 atidxx64 atiumdag atidxx32 atiumdva atiumd6a atitmm64
Adapter RAM	256
Device ID	0x9710
Direct2D Enabled	true
DirectWrite Enabled	true (6.2.9200.16440)
Driver Date	11-16-2012
Driver Version	8.970.100.7000
GPU #2 Active	false
GPU Accelerated Windows	1/1 Direct3D 10
Vendor ID	0x1002
WebGL Renderer	Google Inc. -- ANGLE (ATI Radeon HD 4200)
AzureCanvasBackend	direct2d
AzureContentBackend	direct2d
AzureFallbackCanvasBackend	cairo
Comment 50 Alex Keybl [:akeybl] 2013-02-22 14:09:14 PST
Juan is only having very intermittent success reproducing this issue.

For others affected, please let us know how often this issue occurs for you (every X minutes of browser usage, or every Y pageloads), and what you have to do to make sure text renders properly once impacted.
Comment 51 timbugzilla 2013-02-22 14:14:29 PST
Typing in the location bar then scrolling up and down through the results seems to do it pretty regularly. Sometimes it takes 5 or 10 mins of browsing for the effect to occur consistently though.
Comment 52 timbugzilla 2013-02-22 14:22:51 PST
KB2670838 will be released on 26 February according to Microsoft:

http://support.microsoft.com/kb/894199
Comment 53 Kent S. 2013-02-22 14:24:51 PST
I first noticed the corruption while using the GMail chat window (the default one that is anchored to the bottom of the screen).  Particularly noticeable when using the thumb to scroll up to see prior text (thus triggering window rewrites).

Radeon 4770
Win7 SP1 x64
Comment 54 Jamie Kitson 2013-02-23 06:56:12 PST
I find this page particularly bad:

http://www.expertafrica.com/mozambique/info/weather-and-climate
Comment 55 Alex Keybl [:akeybl] 2013-02-25 10:22:41 PST
Tim/Kent/Jamie - thanks for the replies - once this start occurring, does it happen with all web pages thereafter?
Comment 56 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2013-02-25 10:23:18 PST
(In reply to Jamie Kitson from comment #54)
> I find this page particularly bad:
> 
> http://www.expertafrica.com/mozambique/info/weather-and-climate

Jamie, what are you doing on this page when you see the corruption?

Juan, can you give this website a try?
Comment 57 Jamie Kitson 2013-02-25 10:49:52 PST
(In reply to Alex Keybl [:akeybl] from comment #55)
> Tim/Kent/Jamie - thanks for the replies - once this start occurring, does it
> happen with all web pages thereafter?

No it's quite inconsistent, that page is the only page I've seen it consistently happen on.
Comment 58 juan becerra [:juanb] 2013-02-25 11:37:34 PST
I can reliably reproduce a problem where the text looks pretty ugly on the page in comment #54.

To do so, just go to the page, and hover the mouse over the "Mozambique information" section on the left hand side (which contains "Flights to Mozambique", "Mozambique general info" and so on), going down and and up. The text you are hovering over in that section will appear ugly, but the text in the main content section will also change and look ugly.
Comment 59 Jamie Kitson 2013-02-25 12:18:21 PST
(In reply to Anthony Hughes, Mozilla QA (:ashughes) from comment #56)
> (In reply to Jamie Kitson from comment #54)
> > I find this page particularly bad:
> > 
> > http://www.expertafrica.com/mozambique/info/weather-and-climate
> 
> Jamie, what are you doing on this page when you see the corruption?

Just visiting it, I don't have to do anything.
Comment 60 Jamie Kitson 2013-02-25 12:35:34 PST
Additionally, and I don't know how interesting this is, I just connected over RDP to the machine that it happens on and I did not see the bug.
Comment 61 Kent S. 2013-02-25 12:37:51 PST
(In reply to Alex Keybl [:akeybl] from comment #55)
> Tim/Kent/Jamie - thanks for the replies - once this start occurring, does it
> happen with all web pages thereafter?

For me, it is consistent. I can induce it by using GMail chat, and then using the chat window thumb to (back)scroll the chat window to see messages that have scrolled off the screen. As I bring them into view, the text is corrupted.

I noticed the same issues with other text, but I *immediately* solved the problem by uninstalling the platform update, KB2670838, on November 16 (and have yet to reinstall it, so it has been some time since I've experienced this issue).
Comment 62 timbugzilla 2013-02-25 17:45:25 PST
(In reply to Alex Keybl [:akeybl] from comment #55)
> Tim/Kent/Jamie - thanks for the replies - once this start occurring, does it
> happen with all web pages thereafter?

One quick note - I found that glitches were much more frequent with both KB2670838 and IE10 installed.
Comment 63 Jamie Kitson 2013-02-26 02:01:24 PST
Created attachment 718335 [details]
Screenshot showing the Mozambique page
Comment 64 Jamie Kitson 2013-02-26 03:08:54 PST
(In reply to Kent Soule from comment #61)
> For me, it is consistent. I can induce it by using GMail chat, and then
> using the chat window thumb to (back)scroll the chat window to see messages
> that have scrolled off the screen. As I bring them into view, the text is
> corrupted.

That works for me too, but only if I do it slowly, and only for the portion immediately above what was visible. Also note that it doesn't happen using the mouse wheel or scrollbar buttons, only using the scrollbar bar/thumb.
Comment 65 Alice0775 White 2013-02-26 12:52:44 PST
Today, I installed KB2670838 from Windows Update.
And I encountered the thisproblem.

Regression window
Good:
http://hg.mozilla.org/mozilla-central/rev/9f677c2bb33d
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:18.0) Gecko/18.0 Firefox/18.0 ID:20121006123535
Bad:
http://hg.mozilla.org/mozilla-central/rev/ecd4c4304219
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:18.0) Gecko/18.0 Firefox/18.0 ID:20121006221134
Pushlog:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=9f677c2bb33d&tochange=ecd4c4304219

I guess the problem caused by Bug 784382 - Mixed subpixel and grayscale AA on windows 8
Comment 66 (mostly gone) XtC4UaLL [:xtc4uall] 2013-02-26 13:03:33 PST
(In reply to Alice0775 White from comment #65)

> I guess the problem caused by Bug 784382 - Mixed subpixel and grayscale AA
> on windows 8

Weird since - as I mentioned in Comment 0 - I see this Issue in Firefox 17 and that Bugfix landed on 18.

Nevertheless creating a Tryserver Build with that one backed out couldn't hurt, no?
Comment 67 Alice0775 White 2013-02-26 13:11:28 PST
(In reply to XtC4UaLL [:xtc4uall] from comment #66)
> (In reply to Alice0775 White from comment #65)
> 
> > I guess the problem caused by Bug 784382 - Mixed subpixel and grayscale AA
> > on windows 8
> 
> Weird since - as I mentioned in Comment 0 - I see this Issue in Firefox 17
> and that Bugfix landed on 18.
> 
> Nevertheless creating a Tryserver Build with that one backed out couldn't
> hurt, no?

The Bug 784382 was landed in Firefox18 and Firefox 16, Firefox17 as well.
You should refer  to Tracking Flags of Bug 784382,
Comment 68 laszlo 2013-02-26 15:20:46 PST
I was hit by the Windows 7 Platform Update today, and since then Aurora 21 is virtually unusable for me, because I'm actually seeing this on each and every page I'm visiting - on this bugzilla page, too.

If the corruption doesn't show up in the visible area of a page on first load, I just have to scroll around a bit to make it appear.

Selecting anything in affected text temporarily fixes it for the entire line of text, until I scroll it out of view. On scrolling back into view it's corrupted again, even though the text is still selected.

This is with an AMD Radeon HD4290 IGP, Catalyst 13.1, Windows 7 64bit.
Comment 69 Daniel 2013-02-26 19:40:04 PST
I have an ATI Radeon HD 4200. I'm seeing it intermittently on various pages, but quite consistently on iGoogle where it comes and goes as I move my cursor around.
See screenshot attachment
Comment 70 Daniel 2013-02-26 19:41:17 PST
Created attachment 718813 [details]
Firefox rendering bug screenshot from iGoogle page. ATI Radeon HD 4200
Comment 71 Alice0775 White 2013-02-27 00:19:13 PST
I confirmed in locally,
Backed out c28cc500c239(Bug 798931) and 13ec2ee2b447(Bug 784382)from m-c ad4cc4e97774 fixes the problem.

This problem is definitely caused by Bug 784382.
Comment 72 Marco Bonardo [::mak] 2013-02-27 01:43:02 PST
*** Bug 845742 has been marked as a duplicate of this bug. ***
Comment 73 Jonathan Kew (:jfkthame) 2013-02-27 02:29:34 PST
Reassigning this to Bas, given that it appears to be a D2D/driver/hardware issue, and that it was apparently regressed by bug 784382. (Which in turn was a fix for other text-quality issues on Win8...)
Comment 74 Alice0775 White 2013-02-27 11:33:22 PST
Created attachment 719116 [details]
sample

Steps to Reproduced:
0. Extract zip
1. Start Firefox with New Profile
2. Open index.html
3. Resize window width 994px, if necessary.
   ( top.opener.window.resizeTo(994,700); in Error Console )
4. Scroll up/down by dragging thumb slowly
   --- observe font rendering, if not, resize window width and then retry

5. Enable Bookmarks Toolbar, Restart Browser, and Restore Previous Session
   --- observe font rendering in the toolbar

Actual Results:
  Font broken.
Comment 75 Jerry 2013-02-27 21:05:22 PST
When I remove kb2670838 patch, the problem resolved. but system auto update the patch, the problem back.

sys: win7 x86
display: ati HD4600
Comment 76 Jonas Nordlund 2013-02-28 00:52:32 PST
I'm also seeing this frequently on Windows 7 x64, Firefox 20 Beta 1, and an ATI Radeon HD 2600 Pro, just to give you a different graphics card series. Hmm, so far only ATI Radeons.
Comment 77 Jim Taylor 2013-02-28 04:17:01 PST
I started seeing this problem with SeaMonkey 2.16 yesterday after Microsoft update pushed the  KB2670838 Platform Update to my 64 bit Windows 7 HP dv7 laptop.

Mozilla/5.0 (Windows NT 6.1; WOW64; rv:19.0) Gecko/20100101 Firefox/19.0 SeaMonkey/2.16 Build identifier: 20130217195808

Graphics Chipset      AMD M880G with ATI Mobility Radeon HD 4250

I changed gfx.content.azure.enabled from true to false as a workaround and that corrected the display
Comment 78 Jim Jeffery not reading bug-mail 1/2/11 2013-02-28 04:39:39 PST
This should probably be upgraded to 'Major', and if not fixed soonish, then a back-out of bug 784382 should be done.  I say this because it appears its starting to affect users all the way back Firefox 18, and now other platforms.

More and more Win7 users are getting the update on the Platform update, and I rather suspect there are more users affected than there are Win8 users at this point.  The font corruption is worse on Win7 + MS Patch than the aliasing shown in the Win8 screen-grab IMO.

Or perhaps since turning 'off' Azure for content clears the font problem, that the issue being investigated in this bug , or a parallel problem exists in Azure ?
Comment 79 Loic 2013-02-28 05:10:59 PST
*** Bug 846073 has been marked as a duplicate of this bug. ***
Comment 80 Loic 2013-02-28 05:11:26 PST
*** Bug 846130 has been marked as a duplicate of this bug. ***
Comment 81 SimonM 2013-02-28 06:57:41 PST
I started seeing this issue yesterday 27/2/13
Firefox 19.0, MS update KB2670838, ATI HD4850, Win7 64bit.
Comment 82 Arthur K. 2013-02-28 07:47:47 PST
The KB2670838 update that was released as a "pre-release" version back in November of last year did contain older DLLs versus the final one that was just released a couple days ago.
Comment 83 Arthur K. 2013-02-28 07:52:13 PST
Incidentally, in 817017, Comment 14, I mentioned I had KB2670838 installed just in case it might be related to the hotfix. It turned out to be related to gfx.content.azure.enabled=true. Just wanted to mention it since I see some mention of Azure as well.
Comment 84 Meinolf Sondermann 2013-02-28 13:03:33 PST
In http://support.microsoft.com/kb/2670838 S mentions some incompatibilities for some libraries of their DirectX SDK. 
Could this be a problem with the compiler?
Comment 85 Gian-Carlo Pascutto [:gcp] 2013-02-28 13:31:00 PST
>Could this be a problem with the compiler?

I asked this a few days ago in mozilla.dev.platform, but apparently we don't use those DLLs.

The update seems to change some other video related things that makes some video drivers go boom.
Comment 86 Eduard Braun 2013-02-28 14:36:27 PST
I've got the same problem after installing KB2670838 on two Windows 7 Prof. x64 machines with Firefox 19 installed.

Both are using ATI graphics cards, one an ATI Mobility Radeon HD 3470 with Catalyst 13.1 legacy driver installed, one an ATI Radeon 4350 with latest driver from Windows update (can't check exact version number right now).

I wasn't able yet to find any reliable way to reproduce the issue (the samples on this page only work sporadically if they work at all).
Comment 87 Stan 2013-02-28 14:45:55 PST
As soon as I installed that WindowsUpdate, I have intermittent text rendering on all webpages. 

FF 19.0
Windows 7 Ultimate x64
ATI Radeon HD 4670, Catalyst 12.6
Direct2D, DirectWrite, GPU Acceleration ENABLED
IE10 NOT INSTALLED

This bug severely inhibits the usability of Firefox.
Comment 88 Gabee 2013-02-28 22:55:42 PST
(In reply to Arthur K. from comment #82)
> The KB2670838 update that was released as a "pre-release" version back in
> November of last year did contain older DLLs versus the final one that was
> just released a couple days ago.

Hello!
KB2670838 update is not Pre-release. I contact step into Microsoft hungary.
The Microsoft answer for me: The KB2670838 final (RTM) update. Please contact the Mozilla Support.
Comment 89 olaf 2013-02-28 23:22:34 PST
I had the same issue after installing the KB update on Firefox 19 and ATI Radeon HD 4600 Series
Comment 90 olaf 2013-02-28 23:23:16 PST
Created attachment 719835 [details]
normal view and "blurred" view of webpage after scrolling
Comment 91 Arthur K. 2013-03-01 04:43:11 PST
(In reply to Gabee from comment #88)
> (In reply to Arthur K. from comment #82)
> > The KB2670838 update that was released as a "pre-release" version back in
> > November of last year did contain older DLLs versus the final one that was
> > just released a couple days ago.
> 
> Hello!
> KB2670838 update is not Pre-release. I contact step into Microsoft hungary.
> The Microsoft answer for me: The KB2670838 final (RTM) update. Please
> contact the Mozilla Support.

Please see: http://goo.gl/ONzgR. This update was *originally* released on 11/5/2012. The files it contained at that time were older than the ones that were contained in the final RTM from late February. This update has been out for more than 3 months so you got wrong info from MS. Also, I filed bug 817017 where I stated on 7/12/12 that I had this update (in its pre-release form) installed. Did I somehow travel back in time? :P
Comment 92 Gabee 2013-03-01 06:33:04 PST
> Please see: http://goo.gl/ONzgR. This update was *originally* released on
> 11/5/2012. The files it contained at that time were older than the ones that
> were contained in the final RTM from late February. This update has been out
> for more than 3 months so you got wrong info from MS. Also, I filed bug
> 817017 where I stated on 7/12/12 that I had this update (in its pre-release
> form) installed. Did I somehow travel back in time? :P

Hmm this funny.
Ms support answer for me this update final version. :)
I remove KB2670838 update and no resolved problem.
Comment 93 Bas Schouten (:bas.schouten) 2013-03-01 06:57:36 PST
(In reply to Meinolf Sondermann from comment #84)
> In http://support.microsoft.com/kb/2670838 S mentions some incompatibilities
> for some libraries of their DirectX SDK. 
> Could this be a problem with the compiler?

We are not using any of the libraries mentioned there as far as I know.
Comment 94 Bas Schouten (:bas.schouten) 2013-03-01 06:59:08 PST
I suspect this is -our- bug being exposed by the update. Sadly I lack an ATI machine with Windows 7 that I can use to reproduce the problem and figure out what the cause is. Jeff, do you have an ATI machine in the Toronto office where you can try and repro the problem? If you do I can give some pointers to where I think the problem might roughly be.
Comment 95 Michael 2013-03-01 07:43:57 PST
I have an affected machine with Windows 7 x64, the latest Aurora, and an ATI Radeon HD 3870.
If you guys need a test machine I can test something for you or let you remote control my computer.
Comment 96 Arthur K. 2013-03-01 07:56:34 PST
Although Catalyst 13.1 is the current stable release, Catalyst 13.2 final should be out any day now. Catalyst 13.2b7 went out 3 days ago so perhaps try with those just for the heck of it. They're here: http://goo.gl/gdlPN
Comment 97 Jeff Muizelaar [:jrmuizel] 2013-03-01 08:13:31 PST
(In reply to Bas Schouten (:bas.schouten) from comment #94)
> I suspect this is -our- bug being exposed by the update. Sadly I lack an ATI
> machine with Windows 7 that I can use to reproduce the problem and figure
> out what the cause is. Jeff, do you have an ATI machine in the Toronto
> office where you can try and repro the problem? If you do I can give some
> pointers to where I think the problem might roughly be.

Yes. I have these things. I can take a look.
Comment 98 AllanB 2013-03-01 11:47:24 PST
Same here with an ATI Radeon HD 4770 running driver 13.1 on Windows 7 64 bit (in Toronto).  After installing Microsoft update KB2670838 from WIndows Update (no IE10), the screen was corrupted all over the place when scrolling.  Turning off hardware acceleration did help, but I uninstalled the update for now.
Comment 99 josephthomas619 2013-03-01 12:59:57 PST
I'm getting this bug with an Intel integrated graphics laptop (Mobile Intel(R) 4 Series Express Chipset Family). Text and the UI corrupt when hardware acceleration is on after installing the update on Windows 7 and without installing any updates on Windows 8. Turning HWA off or uninstalling KB2670838 stops this from happening.
Comment 100 Loic 2013-03-02 05:38:24 PST
*** Bug 846963 has been marked as a duplicate of this bug. ***
Comment 101 Michael 2013-03-03 05:42:40 PST
I got KB2670838 on 27th, since then I observed problems on two websites only, but there always in the same places. Also the distortions look quite different. Not only text is damaged, but also radio buttons and even background graphics.
I have disabled clear type since ever. Ati Radeon HD 4800 Series with Win7 32bit
Comment 102 Michael 2013-03-03 05:44:40 PST
Created attachment 720401 [details]
bahn.de, rendering issues
Comment 103 Maco_ 2013-03-03 05:45:44 PST
I really do not know if it is related but I only experience this problem if I have installed the addon "Tree Style Tab" (https://addons.mozilla.org/es/firefox/addon/tree-style-tab/?src=ss). I opened an issue on this addon too: https://github.com/piroor/treestyletab/issues/475

ATI Mobility Radeon HD 4500/5100 Series (Windows 7 x64)
Comment 104 Loic 2013-03-03 06:13:01 PST
*** Bug 847023 has been marked as a duplicate of this bug. ***
Comment 105 Michael 2013-03-03 06:18:09 PST
Comment on attachment 720401 [details]
bahn.de, rendering issues

For the affected lines it roughly looks like every 2nd column is duplicated (see frame around "Häufige Fragen" box. However, for letters this is not all the time valid ...
Comment 106 Eduard Braun 2013-03-03 08:15:57 PST
Created attachment 720423 [details]
Testcase to reproduce the bug

I added a testcase that allows me to reliably reproduce the bug.

The distortion get's visible when scrolling through the dropdown list or moving the selection around.
Comment 107 Marco Bonardo [::mak] 2013-03-04 13:24:56 PST
*** Bug 847091 has been marked as a duplicate of this bug. ***
Comment 108 Jeff Muizelaar [:jrmuizel] 2013-03-04 13:58:02 PST
I can reproduce this on a laptop in the Toronto office. It doesn't look like it will be that much fun to fix...
Comment 109 Jonathan Lin [:jlin] 2013-03-04 14:12:43 PST
The machine is a T500 with an HD 3650
Comment 110 Alex Keybl [:akeybl] 2013-03-04 14:27:54 PST
(In reply to Jeff Muizelaar [:jrmuizel] from comment #108)
> I can reproduce this on a laptop in the Toronto office. It doesn't look like
> it will be that much fun to fix...

Given that, fixing in FF19 is out of the question given the calculus of user impact vs risk of regression. Let's continue to pursue a fix for FF20.
Comment 111 Vlad 2013-03-05 04:03:25 PST
This bug on a laptop Asus X59sl with Windows 7 x86 (32 bit) and Mobility Radeon hd3470 with Catalyst 12.1... Uninstalling KB2670838 solve the problem. (Hardware acceleration enabled)
Comment 112 TG 2013-03-05 11:03:35 PST
Windows 7 32 - ATI HD2400XT
setting "gfx.content.azure.enabled=false" solved the problem
Comment 113 (mostly gone) XtC4UaLL [:xtc4uall] 2013-03-05 11:43:46 PST
*** Bug 847780 has been marked as a duplicate of this bug. ***
Comment 114 Lukas Blakk [:lsblakk] use ?needinfo 2013-03-06 13:25:42 PST
(In reply to Jeff Muizelaar [:jrmuizel] from comment #108)
> I can reproduce this on a laptop in the Toronto office. It doesn't look like
> it will be that much fun to fix...

We can take a speculative, low risk, forward fix before Tues Mar 12th when we build beta 4 - can you confirm if you might have something before then?
Comment 115 James Socol [:jsocol, :james] 2013-03-07 07:15:12 PST
*** Bug 848777 has been marked as a duplicate of this bug. ***
Comment 116 Jeff Muizelaar [:jrmuizel] 2013-03-07 08:05:34 PST
(In reply to Lukas Blakk [:lsblakk] from comment #114)
> (In reply to Jeff Muizelaar [:jrmuizel] from comment #108)
> > I can reproduce this on a laptop in the Toronto office. It doesn't look like
> > it will be that much fun to fix...
> 
> We can take a speculative, low risk, forward fix before Tues Mar 12th when
> we build beta 4 - can you confirm if you might have something before then?

We have no real leads on a fix yet, so I can't say either way.
Comment 117 Ekanan Ketunuti 2013-03-08 03:49:23 PST
*** Bug 848720 has been marked as a duplicate of this bug. ***
Comment 118 James Socol [:jsocol, :james] 2013-03-08 08:34:51 PST
Created attachment 722825 [details]
similar behavior with images

I'm seeing similar issues with images today. Scrolling seems to both trigger it and make it go away, and selecting the image also makes it go away. No idea if this is related--might be a total red-herring--but it seems extremely similar. Did not see this before this morning.
Comment 119 Jeff Muizelaar [:jrmuizel] 2013-03-08 15:35:34 PST
Created attachment 722980 [details]
The following file is a stand alone reproduction of the problem with plain D2D

So this definitely looks like a Microsoft/AMD bug. I'm not yet sure if we will be able to work around it.
Comment 120 Jim Jeffery not reading bug-mail 1/2/11 2013-03-08 17:59:01 PST
(In reply to Jeff Muizelaar [:jrmuizel] from comment #119)
> Created attachment 722980 [details]
> The following file is a stand alone reproduction of the problem with plain
> D2D
> 
> So this definitely looks like a Microsoft/AMD bug. I'm not yet sure if we
> will be able to work around it.

I know there is a lot of noise in this bug already, but as I stated in comment #78 above, are you sure its not an Azure+MS patch issue? 

Turning 'off' pref: gfx.content.azure.enabled (set to false, restart browser) will eliminate the problem. 

Perhaps Azure + AMD/ATI conflict ?

Sorry, just playing devils-advocate a bit.

If its indeed an MS + AMD/ATI problem what would be lost and ease the problem for Firefox users with the issue to just turn off the pref for a cycle ?
Comment 121 Hadrien Nilsson 2013-03-09 11:17:15 PST
(In reply to Jeff Muizelaar [:jrmuizel] from comment #119)
> Created attachment 722980 [details]
> The following file is a stand alone reproduction of the problem with plain
> D2D

On my PC (Seven x64 with Radeon HD 4870), with latest Catalyst drivers (13.1 or 8.970.100.7000), the glitch is visible only when D2D1_ANTIALIAS_MODE_PER_PRIMITIVE and D2D1_LAYER_OPTIONS1_IGNORE_ALPHA are both set in D2D1::LayerParameters1().
Comment 122 Arthur K. 2013-03-09 12:44:24 PST
(In reply to Hadrien Nilsson from comment #121)
> (In reply to Jeff Muizelaar [:jrmuizel] from comment #119)
> > Created attachment 722980 [details]
> > The following file is a stand alone reproduction of the problem with plain
> > D2D
> 
> On my PC (Seven x64 with Radeon HD 4870), with latest Catalyst drivers (13.1
> or 8.970.100.7000), the glitch is visible only when
> D2D1_ANTIALIAS_MODE_PER_PRIMITIVE and D2D1_LAYER_OPTIONS1_IGNORE_ALPHA are
> both set in D2D1::LayerParameters1().

Is this still happening using 13.2b7? http://goo.gl/gdlPN

I would imagine that since AMD hasn't released 13.2 final by now they are seeing this issue too and trying to fix it in the driver.
Comment 123 Kent S. 2013-03-09 12:54:18 PST
AMD 13.2 beta drivers do not apply to the 4xxx range of Radeon video cards.  See http://support.amd.com/us/kbarticles/Pages/AMDCatalyst132BetaDriver.aspx
Comment 124 s793016 2013-03-09 16:11:21 PST
Sorry, my English is very very poor.

KB2670388 changed DirectSDK, so somebody need to make patch to update build prequest from "June 2010 DirectX SDK" to "Windows 8 SDK".

Looks like no one read this from Microsoft kb2670838:
http://support.microsoft.com/kb/2670838/en-us
===
If you are a Windows 7 DirectX developer who uses the June 2010 DirectX Software Development Kit (SDK), you will have to update your development environments after you install this platform update.

You can use one of the following applications or tools to update these .dll files:

    The Windows 8 SDK: This SDK updates the current development environment with new headers, libs, and tools. This includes the previously-listed development .dll files. This update does not update the C or C++ compilers or the IDE, but this update does enable developers to integrate the new features of the platform update into their applications.
===

Below is build environment for gecko based program.
https://developer.mozilla.org/en-US/docs/Developer_Guide/Build_Instructions/Windows_Prerequisites
===
Install build prerequisites

Complete each of these steps otherwise you may not be able to build successfully, there are notes on these software requirements below.

    Make sure your system is up-to-date through Windows Update. (Windows XP needs at least Service Pack 2 and .NET Framework 2.0.)
    You may need to install one or more Windows SDKs. See Windows SDK versions for a quick guide.
    Install the June 2010 DirectX SDK (even VS 2012 requires this).
    Install a version of Visual Studio that supports C++ development: VS 2012 for Windows Desktop Pro or Express (free), or VC++ 2010 Pro or Express (free).
    Install MozillaBuild, a package of additional build tools. (If you see a Windows error dialog giving you the option to re-install with the 'correct settings', choose that option and after that all should be well.) If you have cygwin installed read the note is the tips section.
    Add the folders with relevant .dlls to your PATH (in advanced system settings). When you get errors about missing .dll files, you will need to find the folder containing the dll and add it to the PATH environment variable.
===
Comment 125 Ryan VanderMeulen [:RyanVM] 2013-03-09 16:14:23 PST
(In reply to s793016 from comment #124)

This was covered in comment 84 and comment 85. It got lost in the sea of "me toos".
Comment 126 therube 2013-03-10 07:21:19 PDT
*** Bug 849625 has been marked as a duplicate of this bug. ***
Comment 127 dusty-2011 2013-03-11 11:26:41 PDT
After installing Windows 7 Platform Update KB2670838, I too suffered from text distortion issues after scrolling in Firefox 19.0.2.

I have an ATI Mobility Radeon HD 4570, and Windows 7 64-bit. I first had several year old drivers, but I updated them to Catalyst 13.1, but this made no difference.

For example, on the page: http://forum.hirezstudios.com/phpbb/viewforum.php?f=234 
after scrolling down and up the text would distort.
Another example, on the page: http://www.geenstijl.nl/ (link may be slightly NSFW)
after scrolling down and up the text would distort.

After removing Windows 7 Platform Update KB2670838 today, these issues are gone.

What I don't understand is, why hasn't this bug been fixed by now?? Why is this bug not listed as being of MAJOR importance?? Why is it flagged as "wontfix" for firefox 19?? Does this mean we have to wait for firefox 20 for this to get fixed?? I'd say this deserves a hotfix ASAP for firefox 19.

What is the ETA for a fix for this??
Comment 128 Arthur K. 2013-03-11 11:32:06 PDT
(In reply to dusty-2011 from comment #127)
> After installing Windows 7 Platform Update KB2670838, I too suffered from
> text distortion issues after scrolling in Firefox 19.0.2.
> 
> I have an ATI Mobility Radeon HD 4570, and Windows 7 64-bit. I first had
> several year old drivers, but I updated them to Catalyst 13.1, but this made
> no difference.
> 
> For example, on the page:
> http://forum.hirezstudios.com/phpbb/viewforum.php?f=234 
> after scrolling down and up the text would distort.
> Another example, on the page: http://www.geenstijl.nl/ (link may be slightly
> NSFW)
> after scrolling down and up the text would distort.
> 
> After removing Windows 7 Platform Update KB2670838 today, these issues are
> gone.
> 
> What I don't understand is, why hasn't this bug been fixed by now?? Why is
> this bug not listed as being of MAJOR importance?? Why is it flagged as
> "wontfix" for firefox 19?? Does this mean we have to wait for firefox 20 for
> this to get fixed?? I'd say this deserves a hotfix ASAP for firefox 19.
> 
> What is the ETA for a fix for this??

With KB2670838 you had issues and after removing KB2670838 the problem went away. Same browser (19.0.2), same drivers (13.1). So you don't think Microsoft or their patch has something to do with it? It's disingenuous to say it's the browser when an OS-specific change screws thing up.
Comment 129 Kent S. 2013-03-11 11:38:47 PDT
I now have KB2670838 installed, along with IE10. FF (20b3) is my primary browser, and I "solved" the corruption issue by disabling Azure.

I have not, however, experienced the corruption issue with either IE10 or Chrome.  While MS may not be blameless, it appears that there is some sort of conflict with KB2670838 that is unique to FF.
Comment 130 Jeff Muizelaar [:jrmuizel] 2013-03-11 14:12:11 PDT
Created attachment 723640 [details]
A packaged standalone test case

This contains the whole project and is slightly simplified and documented from before.
Comment 131 Arthur K. 2013-03-11 14:24:57 PDT
(In reply to Kent S. from comment #129)
> I now have KB2670838 installed, along with IE10. FF (20b3) is my primary
> browser, and I "solved" the corruption issue by disabling Azure.
> 
> I have not, however, experienced the corruption issue with either IE10 or
> Chrome.  While MS may not be blameless, it appears that there is some sort
> of conflict with KB2670838 that is unique to FF.

The DirectX components in KB2670838 were updated and, I would imagine, whatever changed with *that* component---seems to be pointing to D2D---is bugging out Firefox. According to news here: http://goo.gl/KTQkc it's also causing BSOD headaches for others so maybe we'll see a KB2670838-v2?

There is the likelihood that it is just revealing a bug in Azure. Or not. Things were working fine before ol' Redmond fixed it with this update. Back in December, I reported in bug 817017 comment 14 that I had this update installed (it was pre-release at the time). But, turning off Azure fixed my issue with respect to that bug.
Comment 132 AllanB 2013-03-12 06:35:10 PDT
Just did a Windows Update and it appears that KB2670838 has been pulled.
Comment 133 Lukas Blakk [:lsblakk] use ?needinfo 2013-03-12 07:46:31 PDT
Adding qa to verify that this is not a concern for tracking, at least for now then.
Comment 134 Loic 2013-03-12 10:12:22 PDT
*** Bug 850195 has been marked as a duplicate of this bug. ***
Comment 135 Bram Speeckaert 2013-03-12 10:16:52 PDT
The update seems to be back on Windows Update now.
Comment 136 spam.dump.one 2013-03-12 13:21:04 PDT
I have the same problem, on 2 pcs with Windows 7 and a "legacy" ATI card.

Desktop pc, Win 7 SP1 64 bits, IE9, ATI 3870, Catalyst 13.1
Laptop pc, Win 7 SP1 32 bits, IE10, ATI 4570, Catalyst 13.1

Characters of web pages seem out of focus, and their color seems washed out.
Comment 137 therube 2013-03-12 16:34:44 PDT
> Just did a Windows Update and it appears that KB2670838 has been pulled.

Check under the /Optional/ updates & see if it is not still shown.
(It is for me & per Comment 135 too.)

Further, seemingly (though I am not about to test) any Win7 user who now installs IE10, which /is/ now being pushed (though still not defaulted), will also end up with KB2670838 being install (being that it is a prerequisite).
Comment 138 AllanB 2013-03-13 04:24:24 PDT
It is back as an optional update for me.  I have an ATI HD4770, 4000 series, legacy AMD card.

The article in http://support.microsoft.com/kb/2670838 now references BSOD issues with certain laptop AMD graphics hardware.  That is new.
Comment 139 Lukas Blakk [:lsblakk] use ?needinfo 2013-03-14 14:10:43 PDT
Since this is not a security update, we'll get a support article up to help people who are hitting this issue workaround.
Comment 140 Lukas Blakk [:lsblakk] use ?needinfo 2013-03-14 14:13:27 PDT
To be clear that doesn't mean we are not going to fix this. We can't tell yet how many users this could affect so this should still be targeted for FF21 resolution.
Comment 141 Mark Straver 2013-03-14 14:38:52 PDT
(In reply to Lukas Blakk [:lsblakk] from comment #140)
> To be clear that doesn't mean we are not going to fix this. We can't tell
> yet how many users this could affect so this should still be targeted for
> FF21 resolution.

Definitely doesn't seem to affect any AMD HD6xxx or 7xxx cards. I've tested the platform update on desktop graphics hardware (HD7750 and HD6870) with both the catalyst 12.8 and 13.1 drivers, and there doesn't seem to be any sort of issue as described.
Comment 142 AllanB 2013-03-14 19:26:11 PDT
The 4000 series was very popular and I can only assume many legacy ATI/AMD display adapter owners are affected.  I don't know how many, but wouldn't be surprised if it was upwards of a million or more.  It is definitely not an insignificant number.
Comment 143 spam.dump.one 2013-03-15 06:10:40 PDT
(In reply to AllanB from comment #142)
> The 4000 series was very popular and I can only assume many legacy ATI/AMD
> display adapter owners are affected.  I don't know how many, but wouldn't be
> surprised if it was upwards of a million or more.  It is definitely not an
> insignificant number.

I have a 3000 series card (3870) that was high end desktop GPU, and it's affected by the same problem described here.

Anybody knows anything about the 5000 series?
Comment 144 Majklas 2013-03-15 06:18:14 PDT
Same here, ATI Mobility Radeon HD 3650 on Windows 7 Ultimate in Asus M51V. Now trying to uninstall that upgrade KB2670838m but keep IE10
Comment 145 dusty-2011 2013-03-15 06:33:25 PDT
(In reply to Lukas Blakk [:lsblakk] from comment #140)
> To be clear that doesn't mean we are not going to fix this. We can't tell
> yet how many users this could affect so this should still be targeted for
> FF21 resolution.

Potentially millions of Firefox users are faced with a broken browser, and you tell them you will fix it probably in some months time?? This deserves a hotfix for firefox 19 NOW. You've known about this bug for months, you knew it would become widespread on February 26 with the MS Update becoming available, so you should have had a fix available BEFORE February 26... You are already late with fixing this, and now tell us you need several more months before a fix is available. This is a disgrace.
Comment 146 dusty-2011 2013-03-15 06:37:35 PDT
(In reply to Lukas Blakk [:lsblakk] from comment #139)
> Since this is not a security update, we'll get a support article up to help
> people who are hitting this issue workaround.

You should've had the support article up BEFORE February 26. So that, when people googled this issue after installing the MS update, that support article would've been the first thing they saw.
Comment 147 spam.dump.one 2013-03-16 09:51:20 PDT
(In reply to dusty-2011 from comment #146)
> (In reply to Lukas Blakk [:lsblakk] from comment #139)
> > Since this is not a security update, we'll get a support article up to help
> > people who are hitting this issue workaround.
> 
> You should've had the support article up BEFORE February 26. So that, when
> people googled this issue after installing the MS update, that support
> article would've been the first thing they saw.

So true! This week, when I was showing an article to a friend of mine, he asked me about the odd looking characters, and, when I tried to explain, he laughed.

This whole thing is laughable. Who cares about adding a new HTML5 tag when I can't read text? Com'on!
Comment 148 Punxsu 2013-03-17 05:21:49 PDT
I just registered to say that I'm dropping Firefox until this is fixed. There's a risk I may not come back. I need a browser that can render text!
Comment 149 spam.dump.one 2013-03-17 06:03:06 PDT
I also noticed that, since I disabled hardware acceleration, the RSS feeds in my bookmark bar become transparent from time to time.

https://imageshack.us/a/img194/4926/20130317135740812695d2d.png
Comment 150 Loic 2013-03-17 06:48:03 PDT
(In reply to spam.dump.one from comment #149)
> I also noticed that, since I disabled hardware acceleration, the RSS feeds
> in my bookmark bar become transparent from time to time.
> 
> https://imageshack.us/a/img194/4926/20130317135740812695d2d.png

See bug 847217
Comment 151 Yakove 2013-03-17 09:26:19 PDT
This bug should have very high priority!
Comment 152 Gene 2013-03-17 09:46:46 PDT
Radeon 2600 Pro on one of my computers. Setting gfx.content.azure.enabled false seems to have worked around the problem for now.
Comment 153 Loic 2013-03-17 11:27:11 PDT
*** Bug 851902 has been marked as a duplicate of this bug. ***
Comment 154 wgh 2013-03-17 11:46:05 PDT
ATI Radeon HD 4800 Series, Windows 7, IE10 installed

Same issue.
Comment 155 spam.dump.one 2013-03-17 15:53:49 PDT
(In reply to Loic from comment #150)
> (In reply to spam.dump.one from comment #149)
> > I also noticed that, since I disabled hardware acceleration, the RSS feeds
> > in my bookmark bar become transparent from time to time.
> > 
> > https://imageshack.us/a/img194/4926/20130317135740812695d2d.png
> 
> See bug 847217

Thanks, voted.
I have that bug after disabling hardware acceleration though. Only text is fixed.
Comment 156 freshdownload 2013-03-18 07:01:14 PDT
Hello. I have a video card ATI 4800, drivers for firefox 13.1 and 19.02, Windows 7 - 32 bit, in some places it is fuzzy font. I have the latest Internet Explorer 10th In other browsers - Chrome, IE10, etc. font is normal. I was forced to go to the competition.
Comment 157 freshdownload 2013-03-18 07:02:01 PDT
firefox 19.02 and AMD Ati Drivers 13.1 :)
Comment 158 Arthur K. 2013-03-18 07:02:38 PDT
(In reply to spam.dump.one from comment #155)
> (In reply to Loic from comment #150)
> > (In reply to spam.dump.one from comment #149)
> > > I also noticed that, since I disabled hardware acceleration, the RSS feeds
> > > in my bookmark bar become transparent from time to time.
> > > 
> > > https://imageshack.us/a/img194/4926/20130317135740812695d2d.png
> > 
> > See bug 847217
> 
> Thanks, voted.
> I have that bug after disabling hardware acceleration though. Only text is
> fixed.

Have you tried disabling Azure as well?
Comment 159 Arthur K. 2013-03-18 07:07:50 PDT
(In reply to freshdownload from comment #157)
> firefox 19.02 and AMD Ati Drivers 13.1 :)

Have you tried with Catalyst 13.3 beta drivers? http://goo.gl/5awRW
Comment 160 Arthur K. 2013-03-18 07:10:48 PDT
(In reply to Arthur K. from comment #159)
> (In reply to freshdownload from comment #157)
> > firefox 19.02 and AMD Ati Drivers 13.1 :)
> 
> Have you tried with Catalyst 13.3 beta drivers? http://goo.gl/5awRW

Disregard. I see that AMD has moved 4000 series and older to a new driver model.
Comment 161 spam.dump.one 2013-03-18 13:30:11 PDT
(In reply to Arthur K. from comment #158)
> (In reply to spam.dump.one from comment #155)
> > (In reply to Loic from comment #150)
> > > (In reply to spam.dump.one from comment #149)
> > > > I also noticed that, since I disabled hardware acceleration, the RSS feeds
> > > > in my bookmark bar become transparent from time to time.
> > > > 
> > > > https://imageshack.us/a/img194/4926/20130317135740812695d2d.png
> > > 
> > > See bug 847217
> > 
> > Thanks, voted.
> > I have that bug after disabling hardware acceleration though. Only text is
> > fixed.
> 
> Have you tried disabling Azure as well?

Yes, it didn't help.

Right now
gfx.content.azure.enabled is set to false
gfx.direct2d.disabled is set to true

I still see only the shadow of some drop down menu. Then, if I click on them again, sometimes they appear, sometimes not.
Comment 162 Arthur K. 2013-03-18 13:43:47 PDT
(In reply to spam.dump.one from comment #161)
> (In reply to Arthur K. from comment #158)
> > (In reply to spam.dump.one from comment #155)
> > > (In reply to Loic from comment #150)
> > > > (In reply to spam.dump.one from comment #149)
> > > > > I also noticed that, since I disabled hardware acceleration, the RSS feeds
> > > > > in my bookmark bar become transparent from time to time.
> > > > > 
> > > > > https://imageshack.us/a/img194/4926/20130317135740812695d2d.png
> > > > 
> > > > See bug 847217
> > > 
> > > Thanks, voted.
> > > I have that bug after disabling hardware acceleration though. Only text is
> > > fixed.
> > 
> > Have you tried disabling Azure as well?
> 
> Yes, it didn't help.
> 
> Right now
> gfx.content.azure.enabled is set to false
> gfx.direct2d.disabled is set to true
> 
> I still see only the shadow of some drop down menu. Then, if I click on them
> again, sometimes they appear, sometimes not.

Did you also set gfx.content.azure.backends from D2D to Cairo as per Comment 6?
Comment 163 spam.dump.one 2013-03-19 03:05:58 PDT
(In reply to Arthur K. from comment #162)
> (In reply to spam.dump.one from comment #161)
> > (In reply to Arthur K. from comment #158)
> > > (In reply to spam.dump.one from comment #155)
> > > Have you tried disabling Azure as well?
> > 
> > Yes, it didn't help.
> > 
> > Right now
> > gfx.content.azure.enabled is set to false
> > gfx.direct2d.disabled is set to true
> > 
> > I still see only the shadow of some drop down menu. Then, if I click on them
> > again, sometimes they appear, sometimes not.
> 
> Did you also set gfx.content.azure.backends from D2D to Cairo as per Comment
> 6?

No, I tried now and it worked, thanks.
Comment 164 Loic 2013-03-19 06:58:49 PDT
*** Bug 852494 has been marked as a duplicate of this bug. ***
Comment 165 Loic 2013-03-19 07:20:53 PDT
*** Bug 852168 has been marked as a duplicate of this bug. ***
Comment 166 Loic 2013-03-19 08:38:15 PDT
*** Bug 851754 has been marked as a duplicate of this bug. ***
Comment 167 dusty-2011 2013-03-19 11:25:07 PDT
(In reply to spam.dump.one from comment #163)
> (In reply to Arthur K. from comment #162)
> > (In reply to spam.dump.one from comment #161)
> > > (In reply to Arthur K. from comment #158)
> > > > (In reply to spam.dump.one from comment #155)
> > > > Have you tried disabling Azure as well?
> > > 
> > > Yes, it didn't help.
> > > 
> > > Right now
> > > gfx.content.azure.enabled is set to false
> > > gfx.direct2d.disabled is set to true
> > > 
> > > I still see only the shadow of some drop down menu. Then, if I click on them
> > > again, sometimes they appear, sometimes not.
> > 
> > Did you also set gfx.content.azure.backends from D2D to Cairo as per Comment
> > 6?
> 
> No, I tried now and it worked, thanks.

Can you post this resolution in the thread for this bug? Link: https://bugzilla.mozilla.org/show_bug.cgi?id=847217
Comment 168 Jeff Muizelaar [:jrmuizel] 2013-03-19 16:37:16 PDT
I've filed bug 852751 about getting all R600-R700 cards black listed from hardware acceleration.
Comment 169 Antoine 2013-03-19 16:53:48 PDT
(In reply to Jeff Muizelaar [:jrmuizel] from comment #168)
> I've filed bug 852751 about getting all R600-R700 cards black listed from
> hardware acceleration.

What about the performance impact?
My 4870 isn't good enough for Firefox even though it performs well in most of today's applications and games?
Comment 170 laszlo 2013-03-19 17:20:24 PDT
(In reply to Jeff Muizelaar [:jrmuizel] from comment #168)
> I've filed bug 852751 about getting all R600-R700 cards black listed from
> hardware acceleration.

That affects every ATI/AMD system older than about 2.5 years, or in other words, many millions of people. You can not be serious... except if that measure is only temporary until this bug is fixed.
Comment 171 Kent S. 2013-03-19 17:30:12 PDT
Has anyone coordinated with the ATI driver developers? It is possible that this is an issue with the ATI legacy drivers (the most recent version of which is 13.1).
Comment 172 Jeff Muizelaar [:jrmuizel] 2013-03-19 17:49:47 PDT
(In reply to laszlo from comment #170)
> (In reply to Jeff Muizelaar [:jrmuizel] from comment #168)
> > I've filed bug 852751 about getting all R600-R700 cards black listed from
> > hardware acceleration.
> 
> That affects every ATI/AMD system older than about 2.5 years, or in other
> words, many millions of people. You can not be serious... except if that
> measure is only temporary until this bug is fixed.

Currently the only other alternative is this bug.

(In reply to Kent S. from comment #171)
> Has anyone coordinated with the ATI driver developers? It is possible that
> this is an issue with the ATI legacy drivers (the most recent version of
> which is 13.1).

Yes. We've been in contact with both AMD and Microsoft and are waiting for more information on any possible fixes.
Comment 173 Mark Straver 2013-03-20 00:01:37 PDT
So, you're just going to axe the performance of a few million users by blacklisting all HWA for those generations of cards, instead of making azure for content flipped off a temporary solution until this is all figured out? That's kind of rigorous...

Certainly if the MS KB isn't even installed on a large percentage of them. I think you'll have a lot of very angry users as a result when their browser suddenly starts to perform poorly fnar.
Comment 174 Leos Literak 2013-03-20 03:42:07 PDT
I have ATI Mobility Radeon HD 540v. I turned hw acceleration off and it seems that the bug disappeared.
Comment 175 Jeff Muizelaar [:jrmuizel] 2013-03-20 07:44:18 PDT
(In reply to Mark Straver from comment #173)
> So, you're just going to axe the performance of a few million users by
> blacklisting all HWA for those generations of cards, instead of making azure
> for content flipped off a temporary solution until this is all figured out?
> That's kind of rigorous...

Turning off Azure will likely cause bugs 798931 and 784382 and switches us to path that has not been tested since azure was turned on by default.
Comment 176 Alice0775 White 2013-03-20 08:10:57 PDT
And Turning off HWA will cause Bug 654570 and Bug 671302
Comment 177 Arthur K. 2013-03-20 08:24:09 PDT
Since the above two solutions (Azure=Off and HWA=Off) causes problems, does changing gfx.content.azure.backends from D2D to Cairo, which fixes problems for some people, cause any bugs?
Comment 178 Jim Jeffery not reading bug-mail 1/2/11 2013-03-20 08:29:57 PDT
(In reply to Jeff Muizelaar [:jrmuizel] from comment #175)
> (In reply to Mark Straver from comment #173)
> > So, you're just going to axe the performance of a few million users by
> > blacklisting all HWA for those generations of cards, instead of making azure
> > for content flipped off a temporary solution until this is all figured out?
> > That's kind of rigorous...
> 
> Turning off Azure will likely cause bugs 798931 and 784382 and switches us
> to path that has not been tested since azure was turned on by default.

I have had azure.content off for a couple of months and have not seen either of those bugs, and both are marked Fixed, and a quick read of both patches does not indicate it was 'fixed by enabling azure.content'. 

Both of those issues were fixed before the Platform update ever came out, even in pre-release form. As I've said before, turning Azure.content off is a better fix than alienating ATI/AMD users to the trash-heap.
Comment 179 Mark Straver 2013-03-20 08:32:21 PDT
I'm just thinking that you're going to hit a lot more people with blacklisting than needed, considering this bug requires (1)Win 7 SP1, (2)the Platform update. You'd be hitting everyone regardless of OS, platform, or update installed or not.
Obviously, people who run into this bug -can- fix it by using the "untested path", judging by the feedback so far (both on bugzilla and outside of it), so wouldn't it be more apt to just inform people in a clear manner and/or put together a tool to make the appropriate pref changes if the combination in this bug is found? Maybe force a working pref combination from browserglue or something upon init when the bad combination is found?
Comment 180 dusty-2011 2013-03-20 09:14:45 PDT
Firefox without Hardware Acceleration is a slow and unstable browser. Page render time is very high, and regularly the entire browser freezes for 10 seconds or more when trying to render a heavy page. With HWA enabled, the same page renders in a few seconds without freezing the browser.
Please reconsider other fixes, such as turning Azure.content off, before blacklisting old ATI cards. Many users will not be pleased with the decreased performance if HWA is disabled, and will be angry because of the many freezes of the browser that occur with HWA disabled.
Comment 181 spam.dump.one 2013-03-20 10:31:50 PDT
(In reply to dusty-2011 from comment #167)
> (In reply to spam.dump.one from comment #163)
> > (In reply to Arthur K. from comment #162)
> > > (In reply to spam.dump.one from comment #161)
> > > > (In reply to Arthur K. from comment #158)
> > > > > (In reply to spam.dump.one from comment #155)
> > > > > Have you tried disabling Azure as well?
> > > > 
> > > > Yes, it didn't help.
> > > > 
> > > > Right now
> > > > gfx.content.azure.enabled is set to false
> > > > gfx.direct2d.disabled is set to true
> > > > 
> > > > I still see only the shadow of some drop down menu. Then, if I click on them
> > > > again, sometimes they appear, sometimes not.
> > > 
> > > Did you also set gfx.content.azure.backends from D2D to Cairo as per Comment
> > > 6?
> > 
> > No, I tried now and it worked, thanks.
> 
> Can you post this resolution in the thread for this bug? Link:
> https://bugzilla.mozilla.org/show_bug.cgi?id=847217

Done. Please vote for that bug to be fixed.
Comment 182 Matthias Versen [:Matti] 2013-03-20 17:03:24 PDT
*** Bug 853130 has been marked as a duplicate of this bug. ***
Comment 183 Milan Sreckovic [:milan] 2013-03-21 13:26:22 PDT
Last from MS on 3/21/13: We were able to get your repro case working on the latest drivers and are still triaging this bug.
Comment 184 Mardeg 2013-03-22 17:54:54 PDT
*** Bug 854047 has been marked as a duplicate of this bug. ***
Comment 185 LepidopTERA 2013-03-22 20:13:05 PDT
Created attachment 728571 [details]
Drawing small graphics, improperly rendered text

Small graphics (?) drawn progressively with movement of scrollbar.
Comment 186 LepidopTERA 2013-03-22 20:18:16 PDT
(In reply to LepidopTERA from comment #185)
> Created attachment 728571 [details]
> Drawing small graphics, improperly rendered text
> 
> Small graphics (?) drawn progressively with movement of scrollbar.

Sorry, since this is my first post here I didn't realize my short comments on the attachment would actually become the post.  I wanted to include the URL:

http://harrisburg.psu.edu/programs/master-science-information-systems

The section to look for is towards the bottom of the page.  Once you encounter the scroll box, you scroll to the bottom and scroll up slowly.  It may or may not happen as you do.

I'm using a Radeon 4870, Firefox 19.0.2, Windows 7 SP1.

Again, this is my first post here, so I hope I've provided all relevant information.  I figured this was worth posting since it seems to go beyond the typical text rendering issues people, including myself, have been encountering.
Comment 187 Scott Balay 2013-03-28 13:48:39 PDT
Created attachment 730865 [details]
"Corrupt" dropdowns when trying to fix this bug with settings

A lot of dropdown menus appear like this when I try to "fix" this font rendering bug by using these config settings:

gfx.content.azure.enabled: false
gfx.direct2d.disabled: true
gfx.content.azure.backends: Cairo

Using these settings does in fact fix the font rendering but most dropdowns are now unusable.  Not really a fix so much as trading one problem with another.
Comment 188 Scott Balay 2013-03-28 13:57:44 PDT
Comment on attachment 730865 [details]
"Corrupt" dropdowns when trying to fix this bug with settings

I am just about to give up Firefox for good.  THIS BUG IS A DEAL BREAKER FOR ME.  I've used Firefox for over a decade religiously, but I cannot deal with this.  I hope you guys can find a solution soon that doesn't involve blaming someone else.  Even if it *is* their fault, this is going to cost you many users, myself included.

I'm running an "old" ATI HD 4650 Mobile with latest drivers on Win 7 x64.

By default, I have the common text pixelation problem that can be very jarring and in some cases the text becomes totally unreadable.  I've tried to overlook this and live with it for the last couple of months, but I can't -- it's just too annoying.

I tried making these changes:

gfx.content.azure.enabled: false
gfx.direct2d.disabled: true
gfx.content.azure.backends: Cairo (is this case-sensitive?)

This does appear to fix the text rendering issue (though I'm not sure how it affects performance), but now dropdowns are broken (see attachment).  Many of them are totally unusable -- the graphical content of them is a jumble of stuff.  It looks corrupted and you can't tell what is going on.  If I reverse the config settings above, dropdowns work but font rendering is broken again.  I can't have both working right, apparently.

I'm happy to try a different combination of settings if someone can advise me, but I do not really want to fix this by uninstalling an official Microsoft patch.  It's not worth the hassle and I don't want to run an outdated/less secure system for this.  I'd rather switch to a different browser... though I REALLY don't want to do that.

Thanks for your consideration...
Comment 189 dusty-2011 2013-03-28 16:56:49 PDT
Quote: "I'm happy to try a different combination of settings if someone can advise me, but I do not really want to fix this by uninstalling an official Microsoft patch.  It's not worth the hassle and I don't want to run an outdated/less secure system for this."

I do advise you to uninstall IE10 and Windows 7 Platform Update KB2670838. If you use Firefox as your main browser, then these updates are not useful for you anyway. I would advise you to uninstall IE10 and use IE9 as a backup browser. IE9 is still supported with security updates, so your system will not be any less secure. And Update KB2670838 is NOT a security update, and does NOT enhance your security in any form. Uninstalling this update will not compromise your system's security. And you only need this update if you want to use IE10. You don't need it for using Firefox, Chrome or IE9.

Quote: "It's not worth the hassle". Uninstalling IE10 and the platform update is a very quick process... And then you can use Firefox with standard settings, and have good font rendering and uncorrupted dropdowns at the same time.

I personally plan to not install KB2670838 and IE10 for as long as it takes to fix this bug. My system will not be any less secure, and since I only use IE as a backup browser, I don't really need IE10 either. IE9 is still fine for a backup browser.
Comment 190 Bas Schouten (:bas.schouten) 2013-03-28 20:31:19 PDT
(In reply to Scott Balay from comment #188)
> Comment on attachment 730865 [details]
> "Corrupt" dropdowns when trying to fix this bug with settings
> 
> I am just about to give up Firefox for good.  THIS BUG IS A DEAL BREAKER FOR
> ME.  I've used Firefox for over a decade religiously, but I cannot deal with
> this.  I hope you guys can find a solution soon that doesn't involve blaming
> someone else.  Even if it *is* their fault, this is going to cost you many
> users, myself included.
> 
> I'm running an "old" ATI HD 4650 Mobile with latest drivers on Win 7 x64.
> 
> By default, I have the common text pixelation problem that can be very
> jarring and in some cases the text becomes totally unreadable.  I've tried
> to overlook this and live with it for the last couple of months, but I can't
> -- it's just too annoying.
> 
> I tried making these changes:
> 
> gfx.content.azure.enabled: false
> gfx.direct2d.disabled: true
> gfx.content.azure.backends: Cairo (is this case-sensitive?)
> 
> This does appear to fix the text rendering issue (though I'm not sure how it
> affects performance), but now dropdowns are broken (see attachment).  Many
> of them are totally unusable -- the graphical content of them is a jumble of
> stuff.  It looks corrupted and you can't tell what is going on.  If I
> reverse the config settings above, dropdowns work but font rendering is
> broken again.  I can't have both working right, apparently.
> 
> I'm happy to try a different combination of settings if someone can advise
> me, but I do not really want to fix this by uninstalling an official
> Microsoft patch.  It's not worth the hassle and I don't want to run an
> outdated/less secure system for this.  I'd rather switch to a different
> browser... though I REALLY don't want to do that.
> 
> Thanks for your consideration...

You could simply go into your Tools->Options->Advanced and switch off 'Use hardware acceleration if available', without changing any other settings this should solve your issue. Be -sure- to restart your browser after changing this setting.

This will affect your performance to some extent but mostly only when using media-rich content. We have a stand-alone testcase for this bug that reproduces it on affected hardware. We are also in contact with Microsoft and AMD on the issue and they have assured us they're working on it, if you'd like to encourage them further we will most certainly not hold you back :-).
Comment 191 Bouvrie 2013-03-29 06:02:35 PDT
Been experiencing this as well. Specs:



  Application Basics

        Name
        Firefox

        Version
        19.0.2

        User Agent
        Mozilla/5.0 (Windows NT 6.1; WOW64; rv:19.0) Gecko/20100101 Firefox/19.0

        Build Configuration

          about:buildconfig

  Extensions

        Name

        Version

        Enabled

        ID

        Adblock Plus
        2.2.3
        true
        {d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d}

        DoNotTrackMe
        2.2.6.110
        true
        donottrackplus@abine.com

        HttpFox
        0.8.11
        true
        {4093c4de-454a-4329-8aff-c6b0b123c386}

        keyconfig
        20110522
        true
        keyconfig@dorando

  Important Modified Preferences

      Name

      Value

        accessibility.typeaheadfind.flashBar
        0

        browser.cache.disk.capacity
        358400

        browser.cache.disk.smart_size.first_run
        false

        browser.cache.disk.smart_size.use_old_max
        false

        browser.cache.disk.smart_size_cached_value
        358400

        browser.places.smartBookmarksVersion
        4

        browser.privatebrowsing.autostart
        true

        browser.startup.homepage_override.buildID
        20130307023931

        browser.startup.homepage_override.mstone
        19.0.2

        browser.urlbar.default.behavior
        2

        dom.mozApps.used
        true

        extensions.lastAppVersion
        19.0.2

        gfx.direct3d.prefer_10_1
        true

        network.cookie.prefsMigrated
        true

        places.database.lastMaintenance
        1364546055

        places.history.expiration.transient_current_max_pages
        104858

        plugin.disable_full_page_plugin_for_types
        application/pdf

        privacy.donottrackheader.enabled
        true

        privacy.sanitize.migrateFx3Prefs
        true

        security.warn_viewing_mixed
        false

  Graphics

        Adapter Description
        ATI Radeon HD 4800 Series

        Adapter Drivers
        aticfx64 aticfx64 aticfx64 aticfx32 aticfx32 aticfx32 atiumd64 atidxx64 atidxx64 atiumdag atidxx32 atidxx32 atiumdva atiumd6a atitmm64

        Adapter RAM
        1024

        Device ID
        0x9440

        Direct2D Enabled
        true

        DirectWrite Enabled
        true (6.2.9200.16492)

        Driver Date
        7-3-2012

        Driver Version
        8.970.100.3000

        GPU #2 Active
        false

        GPU Accelerated Windows
        1/1 Direct3D 10

        Vendor ID
        0x1002

        WebGL Renderer
        Google Inc. -- ANGLE (ATI Radeon HD 4800 Series)

        AzureCanvasBackend
        direct2d

        AzureContentBackend
        direct2d

        AzureFallbackCanvasBackend
        cairo

  JavaScript

        Incremental GC
        true

  Accessibility

        Activated
        false

        Prevent Accessibility
        0

  Library Versions

        Expected minimum version

        Version in use

        NSPR
        4.9.4
        4.9.4

        NSS
        3.14.1.0 Basic ECC
        3.14.1.0 Basic ECC

        NSSSMIME
        3.14.1.0 Basic ECC
        3.14.1.0 Basic ECC

        NSSSSL
        3.14.1.0 Basic ECC
        3.14.1.0 Basic ECC

        NSSUTIL
        3.14.1.0
        3.14.1.0
Comment 192 Mark Straver 2013-03-30 02:52:15 PDT
A little tidbit of additional information that may be important to triaging this issue (might serve to pass on to the people working on this @ AMD/Microsoft?):

I noticed with the KB installed on a current gen card (HD6870) with current drivers and all updates in place, that it also causes issues in other applications that do not use hardware acceleration. My favorite text editor is "textplorer" - using a normal windows text interface but with a custom font (installed as part of the program's installation). With the KB installed, when I select and delete text, the window is not properly updated and the deleted text remains on-screen, until I scroll the text out of view and then back into view, the redraw fixing the display issue. This is 100% reproducible on my system.

Removing the KB and not doing anything else immediately fixed this issue.

So there are more issues with this KB update than just the indicated AMD card ranges for HW accelerated applications, by the looks of it.
Comment 193 spam.dump.one 2013-03-30 03:10:07 PDT
(In reply to Scott Balay from comment #188)
> Comment on attachment 730865 [details]
> "Corrupt" dropdowns when trying to fix this bug with settings
> 
> I'm running an "old" ATI HD 4650 Mobile with latest drivers on Win 7 x64.
> 
> By default, I have the common text pixelation problem that can be very
> jarring and in some cases the text becomes totally unreadable.  I've tried
> to overlook this and live with it for the last couple of months, but I can't
> -- it's just too annoying.
> 
> I tried making these changes:
> 
> gfx.content.azure.enabled: false
> gfx.direct2d.disabled: true
> gfx.content.azure.backends: Cairo (is this case-sensitive?)
> 
> This does appear to fix the text rendering issue (though I'm not sure how it
> affects performance), but now dropdowns are broken (see attachment).  Many
> of them are totally unusable -- the graphical content of them is a jumble of
> stuff.  It looks corrupted and you can't tell what is going on.  If I
> reverse the config settings above, dropdowns work but font rendering is
> broken again.  I can't have both working right, apparently.

Please then, have a look at this bug and vote for it to be fixed

https://bugzilla.mozilla.org/show_bug.cgi?id=847217
Comment 194 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2013-04-02 09:36:41 PDT
Since comment 133 there have been several user reports in this bug that uninstalling the update has resolved this issue for them. I believe we are still working with Microsoft/AMD on this and a couple other bugs. I'm getting lost in the comments since then so please add the qawanted keyword if there's anything else QA can help with here.
Comment 195 Loic 2013-04-04 03:05:16 PDT
*** Bug 857940 has been marked as a duplicate of this bug. ***
Comment 196 Alice0775 White 2013-04-05 18:11:17 PDT
*** Bug 858725 has been marked as a duplicate of this bug. ***
Comment 197 Loic 2013-04-06 05:51:43 PDT
*** Bug 829549 has been marked as a duplicate of this bug. ***
Comment 198 spam.dump.one 2013-04-06 12:38:19 PDT
(In reply to Anthony Hughes, Mozilla QA (:ashughes) from comment #194)
> Since comment 133 there have been several user reports in this bug that
> uninstalling the update has resolved this issue for them. I believe we are
> still working with Microsoft/AMD on this and a couple other bugs. I'm
> getting lost in the comments since then so please add the qawanted keyword
> if there's anything else QA can help with here.

In order to mitigate this bug, I disabled HWA and Azure. I got another bug that may or may not be related. Please have a look.

https://bugzilla.mozilla.org/show_bug.cgi?id=847217
Comment 199 TG 2013-04-07 09:38:10 PDT
Windows 7 32 - ATI HD2400XT - 1920x1080
KB2670838 still installed
Just upgraded to FF21 Beta 0
trying azure ON again
After browsing for a few hours problems seems GONE
Still testing for the next few days
Comment 200 dusty-2011 2013-04-08 07:20:30 PDT
(In reply to TG from comment #199)
> Windows 7 32 - ATI HD2400XT - 1920x1080
> KB2670838 still installed
> Just upgraded to FF21 Beta 0
> trying azure ON again
> After browsing for a few hours problems seems GONE
> Still testing for the next few days

Do you have Hardware Acceleration (HWA) enabled? If enabled, you should get (close to) 60 FPS on this page: http://ie.microsoft.com/testdrive/Performance/ParticleAcceleration/
Comment 201 TG 2013-04-08 07:36:46 PDT
(In reply to dusty-2011 from comment #200)
> (In reply to TG from comment #199)
> > Windows 7 32 - ATI HD2400XT - 1920x1080
> > KB2670838 still installed
> > Just upgraded to FF21 Beta 0
> > trying azure ON again
> > After browsing for a few hours problems seems GONE
> > Still testing for the next few days
> 
> Do you have Hardware Acceleration (HWA) enabled? If enabled, you should get
> (close to) 60 FPS on this page:
> http://ie.microsoft.com/testdrive/Performance/ParticleAcceleration/

Yes.
Draw time from 3 to 4ms FPS:60
This morning I had slightly glitches from a text forum, after hitting F5 they disappeared, but on heavy pages like Amazon where I had big problems in the past, the scrolling is smooth and fast with crystal clear fonts.
Comment 202 dusty-2011 2013-04-08 07:42:56 PDT
(In reply to TG from comment #201)
> (In reply to dusty-2011 from comment #200)
> > (In reply to TG from comment #199)
> > > Windows 7 32 - ATI HD2400XT - 1920x1080
> > > KB2670838 still installed
> > > Just upgraded to FF21 Beta 0
> > > trying azure ON again
> > > After browsing for a few hours problems seems GONE
> > > Still testing for the next few days
> > 
> > Do you have Hardware Acceleration (HWA) enabled? If enabled, you should get
> > (close to) 60 FPS on this page:
> > http://ie.microsoft.com/testdrive/Performance/ParticleAcceleration/
> 
> Yes.
> Draw time from 3 to 4ms FPS:60
> This morning I had slightly glitches from a text forum, after hitting F5
> they disappeared, but on heavy pages like Amazon where I had big problems in
> the past, the scrolling is smooth and fast with crystal clear fonts.

I just installed KB2670838 and Firefox 21 Beta. The problem has not been fixed. I still get the same type of distorted fonts when scrolling up on the same pages. An example page is: http://forum.hirezstudios.com/phpbb/viewforum.php?f=345. Scrolling up on this page creates distorted text in almost 100% of cases.

As a result, I'm uninstalling KB2670838 and Firefox 21 Beta. I will use Firefox 20 again.
Comment 203 TG 2013-04-08 07:59:03 PDT
(In reply to dusty-2011 from comment #202)
> (In reply to TG from comment #201)
> > (In reply to dusty-2011 from comment #200)
> > > (In reply to TG from comment #199)
> > > > Windows 7 32 - ATI HD2400XT - 1920x1080
> > > > KB2670838 still installed
> > > > Just upgraded to FF21 Beta 0
> > > > trying azure ON again
> > > > After browsing for a few hours problems seems GONE
> > > > Still testing for the next few days
> > > 
> > > Do you have Hardware Acceleration (HWA) enabled? If enabled, you should get
> > > (close to) 60 FPS on this page:
> > > http://ie.microsoft.com/testdrive/Performance/ParticleAcceleration/
> > 
> > Yes.
> > Draw time from 3 to 4ms FPS:60
> > This morning I had slightly glitches from a text forum, after hitting F5
> > they disappeared, but on heavy pages like Amazon where I had big problems in
> > the past, the scrolling is smooth and fast with crystal clear fonts.
> 
> I just installed KB2670838 and Firefox 21 Beta. The problem has not been
> fixed. I still get the same type of distorted fonts when scrolling up on the
> same pages. An example page is:
> http://forum.hirezstudios.com/phpbb/viewforum.php?f=345. Scrolling up on
> this page creates distorted text in almost 100% of cases.
> 
> As a result, I'm uninstalling KB2670838 and Firefox 21 Beta. I will use
> Firefox 20 again.

Just scrolled that page several times whit no problems.
I'm not a "gamer". I have no overclocking of any kind, just work (full pages side by side) and some music :)
Comment 204 Loic 2013-04-08 15:32:20 PDT
*** Bug 859086 has been marked as a duplicate of this bug. ***
Comment 205 areichelt 2013-04-09 03:25:23 PDT
Created attachment 735090 [details]
Google News (mostly unreadable)
Comment 206 areichelt 2013-04-09 03:39:31 PDT
I get the same issues with my on-board Radeon HD 4350 on my office PC and Firefox 21 Beta.
Comment 207 Andre Klapper 2013-04-09 03:53:42 PDT
*** Bug 859690 has been marked as a duplicate of this bug. ***
Comment 208 TG 2013-04-09 06:26:18 PDT
Created attachment 735140 [details]
Google Maps

Problem almost disappeared after upgrading to FF21, just few annoyances on some pages like in the attached one.
Please note the "G" in the word "Google Maps", after refreshing the page the problem disappeared.
Comment 209 Charles Gilbert 2013-04-12 09:41:54 PDT
Most, if not all problems have disappeared on both of my machines with Radeon hardware.
Comment 210 lolbrol 2013-04-14 04:37:34 PDT
*** Bug 861569 has been marked as a duplicate of this bug. ***
Comment 211 laszlo 2013-04-15 11:22:14 PDT
I reinstalled the platform update a few days ago, and while I was seeing the font corruption on every page at the end of February (Comment 68), I'm only seeing it very seldom now with current Aurora (22). The bug is still there, but something has changed.
Comment 212 [:Aleksej] 2013-04-23 03:14:29 PDT
*** Bug 863701 has been marked as a duplicate of this bug. ***
Comment 213 Peter 2013-04-23 07:00:33 PDT
I see the same issue on both Windows 7 (64bit) and in Gentoo Linux, both at home and at work. My home computer (running both Linux and Windows 7) has an ATI 4850 card in it, and the computer at work running only Windows 7 has a Nvidia Quadro 600 (I think).
Comment 214 dusty-2011 2013-04-23 09:55:30 PDT
(In reply to Peter from comment #213)
> I see the same issue on both Windows 7 (64bit) and in Gentoo Linux, both at
> home and at work. My home computer (running both Linux and Windows 7) has an
> ATI 4850 card in it, and the computer at work running only Windows 7 has a
> Nvidia Quadro 600 (I think).

You see this issue in Linux?? That would be a separate bug, since Linux did not have the Windows 7 Platform Update KB2670838. You should file a new bug about the issue you are having in Linux. Please be more specific about the issue you are having, and provide some screenshots of the issue.
Comment 215 Eduard Braun 2013-04-25 04:33:44 PDT
The frequency with which the problem occurs seems also to be dependent on window position and window width.

Sometimes I notice the problem a lot. I then move the Firefox window a little bit to the left/right and/or change its width by only a few pixels. I'm mostly able to find a position where the problem is nearly not noticeable any more.


Besides that: What is the current status of a potential bugfix? Is Microsoft working on this? Or ATI? Or are you working on a workaround?

A little update by Mozilla developers would be most welcome since all communication regarding this bug seems to be purely internal now.
Comment 216 Jeff Muizelaar [:jrmuizel] 2013-04-25 07:27:57 PDT
(In reply to Eduard Braun from comment #215)
> The frequency with which the problem occurs seems also to be dependent on
> window position and window width.
> 
> Sometimes I notice the problem a lot. I then move the Firefox window a
> little bit to the left/right and/or change its width by only a few pixels.
> I'm mostly able to find a position where the problem is nearly not
> noticeable any more.

This matches our theories on the cause.

> Besides that: What is the current status of a potential bugfix? Is Microsoft
> working on this? Or ATI? Or are you working on a workaround?

I've not heard anything from Microsoft in the last little while. AMD also now has a bug report on file, but no word of a resolution.
Comment 217 Loic 2013-04-29 00:26:34 PDT
*** Bug 866319 has been marked as a duplicate of this bug. ***
Comment 218 José Jeria 2013-04-29 06:52:55 PDT
*** Bug 814363 has been marked as a duplicate of this bug. ***
Comment 219 cps 2013-04-30 01:24:37 PDT
*** Bug 865286 has been marked as a duplicate of this bug. ***
Comment 220 Arthur K. 2013-04-30 10:51:56 PDT
Any improvement with Catalyst 13.4?
Comment 221 laszlo 2013-04-30 11:06:01 PDT
As has been said before, the affected video cards can only be used with the legacy driver, the latest of which is still 13.1.
Comment 222 Emanuel Hoogeveen [:ehoogeveen] 2013-04-30 11:42:34 PDT
Might be interesting to try it with this modified version of the 13.5 beta driver if you're on 64-bit Windows: http://forums.laptopvideo2go.com/topic/30187-catalyst-135-legacy-for-desktop-and-mobile/

Of course, even if it works that's probably not something we can recommend all users to do..
Comment 223 Zlip792 2013-05-01 11:12:31 PDT
AMD Catalyst 13.4 Beta driver for Legacy Video Card is out officially, I red from geeks3d forum.
Don't meant to bad bump here. Just to let everyone know.
Comment 224 timbugzilla 2013-05-01 18:29:22 PDT
I tried the 13.4 Beta legacy driver but it does not help things unfortunately.
Comment 225 dusty-2011 2013-05-06 06:17:26 PDT
(In reply to lsblakk@mozilla.com from comment #139)
> Since this is not a security update, we'll get a support article up to help
> people who are hitting this issue workaround.

Almost 2 months have passed since then. What's the status on this support article? Is it up and running somewhere already?
Comment 226 Liberman 2013-05-12 12:54:10 PDT
The problem occurs also on following configuration:
- ATI Radeon™ HD 4290 (integrated on main board: ASUS M4A89GTD PRO)
- Windows 7 SP1 x64
- AMD Catalyst 13.4
- FF 20.0.1
- KB 2670838 present

Font-artefacts appear very randomly with no regularity regarding particular pages which makes them impossible to be reproduced on demand.

Unfortunately, after the lecture of this thread the only reasonable "workaround" for me seems to be Google Chrome :(
Comment 227 spam.dump.one 2013-05-13 11:40:28 PDT
Since I disabled hardware acceleration and Azure I have all kinds of random slowdowns.
Firefox asks me to block the Flash plugin, saying it is causing a slowdown even on pages that do _not_ use Flash at all.
Also, a bug not rendering drop down RSS feed menus is adding frustration.
Comment 228 dusty-2011 2013-05-13 15:38:12 PDT
(In reply to spam.dump.one from comment #227)
> Since I disabled hardware acceleration and Azure I have all kinds of random
> slowdowns.
> Firefox asks me to block the Flash plugin, saying it is causing a slowdown
> even on pages that do _not_ use Flash at all.
> Also, a bug not rendering drop down RSS feed menus is adding frustration.

If you want to continue using Firefox as your primary browser, and do no want to experience any of these annoying bugs, I advice you to take the following steps:
1) Uninstall IE10 if you have it installed
2) Uninstall  Platform Update KB2670838
3) Re-enable both hardware acceleration and Azure.

These steps will not compromise your system's security in any way, as KB2670838 is not a security update and IE9 is still supported with security updates.
Comment 229 Vlad 2013-05-13 19:51:02 PDT
(In reply to dusty-2011 from comment #228)
> (In reply to spam.dump.one from comment #227)
> > Since I disabled hardware acceleration and Azure I have all kinds of random
> > slowdowns.
> > Firefox asks me to block the Flash plugin, saying it is causing a slowdown
> > even on pages that do _not_ use Flash at all.
> > Also, a bug not rendering drop down RSS feed menus is adding frustration.
> 
> If you want to continue using Firefox as your primary browser, and do no
> want to experience any of these annoying bugs, I advice you to take the
> following steps:
> 1) Uninstall IE10 if you have it installed
> 2) Uninstall  Platform Update KB2670838
> 3) Re-enable both hardware acceleration and Azure.
> 
> These steps will not compromise your system's security in any way, as
> KB2670838 is not a security update and IE9 is still supported with security
> updates.

I tried to uninstall IE10 and KB2670838 and got periodically reloading explorer.exe error. Reinstalling KB solve explorer problem.
Comment 230 Loic 2013-05-14 13:37:13 PDT
*** Bug 872192 has been marked as a duplicate of this bug. ***
Comment 231 Cory Faller 2013-05-15 10:19:08 PDT
So is this just.. not getting fixed or what?  Uninstalling the platform update or IE10 are not an option for me, I am a web developer and I need to have this software on my machine to test in.  It is astonishing to me how many versions of FF have released with this issue still intact.  I've put up with it because I think to myself that it's just a temporary inconvenience, obviously it'll get fixed, but support articles on workarounds that involve uninstalling IE10 or disabling hardware acceleration are not a solution.
Comment 232 Loic 2013-05-15 10:47:57 PDT
(In reply to Cory Faller from comment #231)
> So is this just.. not getting fixed or what?  Uninstalling the platform
> update or IE10 are not an option for me, I am a web developer and I need to
> have this software on my machine to test in.  It is astonishing to me how
> many versions of FF have released with this issue still intact.  I've put up
> with it because I think to myself that it's just a temporary inconvenience,
> obviously it'll get fixed, but support articles on workarounds that involve
> uninstalling IE10 or disabling hardware acceleration are not a solution.

Firefox is not the only application impacted by KB2670838.
Comment 233 Cory Faller 2013-05-15 10:56:55 PDT
I should should think that if an OS changes how it does things, it's a software company's responsibility to update their software so it continues to function, rather than playing the blame game. Chrome's text is fine, Firefox's isn't. Frankly that's all that matters in the end. Put in a fix to compensate for the update. Special-case it, I don't care. The specifics are irrelevant to the consumer, all they see, all I see, is that Firefox is broken, and why isn't it getting fixed.
Comment 234 prorokrak 2013-05-15 13:01:14 PDT
*** Bug 872192 has been marked as a duplicate of this bug. ***
Comment 235 areichelt 2013-05-15 23:18:34 PDT
(In reply to Cory Faller from comment #233)
> I should should think that if an OS changes how it does things, it's a
> software company's responsibility to update their software so it continues
> to function, rather than playing the blame game. Chrome's text is fine,
> Firefox's isn't. Frankly that's all that matters in the end. Put in a fix to
> compensate for the update. Special-case it, I don't care. The specifics are
> irrelevant to the consumer, all they see, all I see, is that Firefox is
> broken, and why isn't it getting fixed.

You are so right. It doesn't matter at all, if it's Mozilla's fault, or the fault of Microsoft. The only thing, the customer (me) sees is, that there is a bug in the software and it's not getting fixed for weeks and months. Even worse: It doesn't seem like there is one single developer interested in fixing this fault. The worst thing, however, is, that this doesn't seem to be a minor problem for only a handful of people, but a serious bug applying to a whole bunch of users.

We nearly have 250 comments  on this report with people complaining, that their web sites look messed up, as you can see...
Comment 236 Mark Straver 2013-05-16 12:25:07 PDT
Considering this is DirectWrite related, it is incredibly unfortunate that the pref we *used* to have to turn it off is no longer present. Is there a way to at least make this configurable again so DirectWrite can be turned off specifically on the affected systems without having to kill HWA completely?
Comment 237 Jim Jeffery not reading bug-mail 1/2/11 2013-05-16 12:46:50 PDT
(In reply to Mark Straver from comment #236)
> Considering this is DirectWrite related, it is incredibly unfortunate that
> the pref we *used* to have to turn it off is no longer present. Is there a
> way to at least make this configurable again so DirectWrite can be turned
> off specifically on the affected systems without having to kill HWA
> completely?

If you would have taken time to read the bug fully you would have found that in about:config simply turning off pref:  gfx.content.azure.enabled ,  will FIX the bad font rendering without having to sacrifice HWA, or turning off DirectWrite. I've have had the pref 'off' for months since this started and have yet to see any font issues recur.
Comment 238 Mark Straver 2013-05-16 13:06:59 PDT
(In reply to Jim Jeffery not reading bug-mail 1/2/11 from comment #237)
> If you would have taken time to read the bug fully you would have found that
> in about:config simply turning off pref:  gfx.content.azure.enabled ,  will
> FIX the bad font rendering without having to sacrifice HWA, or turning off
> DirectWrite. I've have had the pref 'off' for months since this started and
> have yet to see any font issues recur.

I did read the bug - I tend to keep track of most comments posted.

Thing is, I was under the impression that turning azure off had a bigger impact on performance than turning DirectWrite off. Apologies if I'm mistaken there.
Comment 239 Emanuel Hoogeveen [:ehoogeveen] 2013-05-16 13:23:32 PDT
Direct2D requires DirectWrite, so the only way to avoid DW is to use the Direct3D 9 HW acceleration, which is much more limited. I'm not sure whether disabling Azure means disabling D2D at this point, or if it just means using an older codepath, but it's definitely the most straightforward way to workaround this issue.
Comment 240 Majken Connor [:Kensie] 2013-05-16 14:31:04 PDT
While the bug isn't the right place to get help with the workarounds, the support site is. I started this thread for that purpose - https://support.mozilla.org/en-US/questions/959581

Please take comments and discussion about the workarounds there to leave this bug for progress on solving the problem. It'll help keep the bug manageable, and you'll get more help there.
Comment 241 Loic 2013-05-20 13:34:14 PDT
*** Bug 874038 has been marked as a duplicate of this bug. ***
Comment 242 Gian-Carlo Pascutto [:gcp] 2013-05-21 06:25:46 PDT
>I've not heard anything from Microsoft in the last little while. AMD also now has 
>a bug report on file, but no word of a resolution.

It does not look Microsoft or AMD will solve this problem anytime soon.

Bug 852751 appears stalled. Do we have any way forward? 

Default the best workaround on any system running Windows 7 with the affected hardware (R600/R700)? Shall I file a new bug to replace bug 852751 to do that instead?

What is confusing is that comment 0 claims switching "gfx.content.azure.enabled" doesn't help, yet this is what our support article points to.
Comment 243 Alice0775 White 2013-05-21 06:42:26 PDT
I thing Solution A is best. Should not take Solution C.

Solution A. Uninstall KB2670838 (and MSIE 10) is best solution now. --- everybody happy
Solution B. Backing out the offending patch of Bug 784382 --- It is unhappy for the person who is nervous in subpixel AA
Solution C. Block GPU influencing this problem --- Serious rendering problem will happen, see bug 654570, bug 671302 and Bug 873313 etc etc.
Comment 244 Gian-Carlo Pascutto [:gcp] 2013-05-21 07:02:10 PDT
>Bug 784382 - It is unhappy for the person who is nervous in subpixel AA

That one only affects Windows 8, so it would solve the problem on Windows 7. It's reasonable to assume there will be a lot less people running Windows 8 on HD4xxx era hardware than there are running Windows 7.

It's not a solution, but given that there doesn't seem to be one, I'm quite willing to settle for reducing the bleeding.
Comment 245 Eduard Braun 2013-05-21 07:25:14 PDT
Well at least the text is readable with bug 784382 and the issue is only very hard to notice at all. Nothing one could say of this bug...
Comment 246 Eduard Braun 2013-05-21 07:27:16 PDT
>It does not look Microsoft or AMD will solve this problem anytime soon.
Is there actually an statement (official or not) on this or is this only your personal impression?
Comment 247 Gian-Carlo Pascutto [:gcp] 2013-05-21 07:34:24 PDT
>Is there actually an statement (official or not) on this or is this only your 
>personal impression?

See comment 216 and remember the problem was reported more than 6 months ago.
Comment 248 Eduard Braun 2013-05-21 07:38:33 PDT
Yes, but 6 months are (sadly) not considered a long time for Microsoft or ATI. And its no reliable indicator if it'll not be fixed anytime soon.

However I share your opinion that a workaround in Firefox (however it will look) would probably be the best option until the bug is correctly fixed.
Comment 249 Vitor Cunha 2013-05-21 07:45:12 PDT
(In reply to Eduard Braun from comment #248)
> Yes, but 6 months are (sadly) not considered a long time for Microsoft or
> ATI. And its no reliable indicator if it'll not be fixed anytime soon.
> 
> However I share your opinion that a workaround in Firefox (however it will
> look) would probably be the best option until the bug is correctly fixed.

AMD already replied it wasn't their issue (in the Windows 8 equivalent of this bug).
You can only imagine how motivated Microsoft must be to spend ours trying to solve an issue (which nobody knows for sure if it's theirs) and affects mostly just Firefox -- you know, that thing which isn't Internet Explorer.
Comment 250 Alex Keybl [:akeybl] 2013-05-23 13:57:42 PDT
We'll re-track this for a specific release if/when we find out that this platform update will be vended out by default. For now, we're still trying to address this with the 3rd party.
Comment 251 Gian-Carlo Pascutto [:gcp] 2013-05-24 00:08:12 PDT
>if/when we find out that this platform update will be vended out by default.

Doesn't it get installed by default on all Windows 7 machines that have updates on?
Comment 252 Mark Straver 2013-05-24 03:42:23 PDT
(In reply to Gian-Carlo Pascutto (:gcp) from comment #251)
> >if/when we find out that this platform update will be vended out by default.
> 
> Doesn't it get installed by default on all Windows 7 machines that have
> updates on?

No, it /was/ for a brief time after MS released the update, but was quickly switched to being optional (deselected by default). I think if people decide to install MSIE10 though, that it might be pulled in as a dependency - not sure  about that as I won't touch MSIE10, myself.
Comment 253 piotrborkowski 2013-05-26 02:08:38 PDT
(In reply to Mark Straver from comment #252)
> (In reply to Gian-Carlo Pascutto (:gcp) from comment #251)
> > >if/when we find out that this platform update will be vended out by default.
> > 
> > Doesn't it get installed by default on all Windows 7 machines that have
> > updates on?
> 
> No, it /was/ for a brief time after MS released the update, but was quickly
> switched to being optional (deselected by default). I think if people decide
> to install MSIE10 though, that it might be pulled in as a dependency - not
> sure  about that as I won't touch MSIE10, myself.

Both IE10 and Platform Update are installed automatically. People doesn't need to decide to install IE10 on default Windows Update settings because this is marked as important update[1].

1. http://technet.microsoft.com/en-us/ie/jj898508.aspx#upgrades
Comment 254 Mark Straver 2013-05-26 06:59:30 PDT
It's true it's marked as an "important update" but (at least on all my systems) it is NOT selected for install by default (cleared checkbox) so it doesn't get installed automatically. if that is different for other people, then Microsoft isn't helping their platform update issues by being inconsistent :P
Comment 255 piotrborkowski 2013-05-26 10:59:21 PDT
(In reply to Mark Straver from comment #254)
> It's true it's marked as an "important update" but (at least on all my
> systems) it is NOT selected for install by default (cleared checkbox) so it
> doesn't get installed automatically. if that is different for other people,
> then Microsoft isn't helping their platform update issues by being
> inconsistent :P

On Windows 7 vm which I created few days ago IE10 was installed automatically with other security and non-security updates. If I manually try to install KB2670838 system says update already installed.
Comment 256 areichelt 2013-05-26 23:28:13 PDT
I have the same issue. It is, indeed, marked as an important updated, and also installed by default. Therefore I guess, a lot of people are affected by this bug.
Comment 257 Loic 2013-05-31 08:32:19 PDT
*** Bug 839017 has been marked as a duplicate of this bug. ***
Comment 258 Emanuel Hoogeveen [:ehoogeveen] 2013-06-12 02:01:45 PDT
Microsoft's latest round of updates included two (KB2834140 and KB2836502) that solve issues caused by KB2670838. Neither update sounds like it fixes the issues reported in this bug, but that's still encouraging. Has there been any further word from Microsoft regarding this bug?
Comment 259 Harry Johnston 2013-06-12 16:34:41 PDT
Can anyone who is experiencing this issue or has managed to reproduce it please confirm whether or not KB2834140 and/or KB2836502 resolve it or not?
Comment 260 Eduard Braun 2013-06-12 16:41:22 PDT
No, it is not fixed by those patches.
Comment 261 Alice0775 White 2013-06-12 17:08:41 PDT
Me too, I can still reproduce the problem with STR in comment#74 even if updated KB2834140 and KB2836502.
Comment 262 john ruskin 2013-06-19 09:23:23 PDT
I report random distorted fonts in Fox version 21.  This follows a computer crash and recovery of the original Windows 7 install.   I undertook this in the last couple of days, on a machine which had not been updated/used since Jan 2013, more or less.   I did not have the font issue with the state of the machine in Jan 2013

Following this very recent install of Win7, I undertook all updates available to a yesterday --> except I --declined-- the IE-10 update.   KB2670838 -was- installed, as the 6th most recent Win7 updates.  Thereafter, the two patches of the last couple of days (of 6-13-13) KB2834140 and KB2836502 -were- installed on this machine as the last Win7 updates.   

On reading that uninstalling the KB2670838 update may work, I will attempt that.  Is there any conflict with, or need to remove, the other two subsequent updates?

Though I don't typically run IE, the program opens into IE-9. I don't recall requesting that as an update from what I remember having been IE8 before (though I may be wrong).   I never did an IE-10 update under the old Win7 installation

I never noticed the blurry font before.

I installed Ver 21 of Fox after the Windows 7 recovery.

And now I noticed the blurry fonts.  They are not on all pages, and not on all lines, but where they do occur, I can eliminate them by selecting the text, hover over relevant items, scrolling defective text and returning text to view, or changing the page width.  My active intervention, of some form, repairs the font distortion.

I use an HP with an AMD Phenom II P650 Dual Core Processor.  Dispay adapter is the AMD M880G with ATI Mobility Radeon HD 4250.  64 Bit Windows, SP1.
Comment 263 Dragon 2013-06-19 11:06:03 PDT
I have found that centering text within a DOM element with either CSS text-align: center, or XUL pack/align="center" causes SOME text (web fonts) to blur - specially pixel (bitmap) fonts. CSS text-align left/right or using padding to center text seems to reliably cause all text to render correctly. 

Is anyone else seeing the same? Thanks. 

Using:
WIN7PRO SP1, FF21
Comment 264 Alice0775 White 2013-06-19 11:20:19 PDT
(In reply to Dragon from comment #263)
> I have found that centering text within a DOM element with either CSS
> text-align: center, or XUL pack/align="center" causes SOME text (web fonts)
> to blur - specially pixel (bitmap) fonts. CSS text-align left/right or using
> padding to center text seems to reliably cause all text to render correctly. 
> 
> Is anyone else seeing the same? Thanks. 
> 
> Using:
> WIN7PRO SP1, FF21

text-align: left also causes the problem.
(See comment #74)
Comment 265 Jonathan 2013-06-24 13:11:00 PDT
Here we are, months later, and still we have a bug that makes reading text difficult in the browser.  Microsoft and Google have both proven themselves to be capable of creating fully functional browsers that properly display text consistently.  You, however, have failed at this, and continue to fail to make your product perform the simple task of displaying text.  I really don't care who's fault you think this is, and I grow tired of your continued finger pointing at microsoft.  The bottom line is simple: others can make a browser that displays text, you cannot.  

I really don't understand how you can expect me or others to take you seriously given these facts.  I suggest you get with it, and do whatever you need to do to get your browser to display text properly, and do it fast!  You have to the end of the month to fix it, or I will be forced to walk away from firefox, and find another browser that will display text properly.  Once I find a suitable replacement, I'll be recommending a switch to all of my friends, co-workers, and others that ask me for computer advice.  

I really think you need to stop and ask yourself, how long do you think you can get away with this lack of functioning in your product?  Look at how fast firefox caught on, and where it got.  Google is pushing hard with chrome, and there are other things out there.  You can lose the crowd you built up very easily, and 5 years from now we could find ourselves thinking "hey, remember firefox?  wow, what happened to that, the text broke, and then they disappeared"

It's up to you, ball is in your court.  Will you fix it, or continue pointing the finger while leaving us without a functioning version?
Comment 266 Mark Straver 2013-06-24 13:34:07 PDT
I have to agree that stalling this further serves nobody.

Considering there is a very defined set of parameters for this to go wrong, can we at least do a check on if requirements are met (check for the affected hardware + directwrite version + operating system) and if matched, simply disable canvas for content and/or switch the back-end to cairo on those systems? (flip the prefs)

I'd submit a patch for this myself but I don't know where in the tree this check should be made.
Comment 267 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2013-06-24 13:43:37 PDT
Thanks Johnathan for your feedback. Unfortunately bugzilla isn't really the place for this type of feedback. We welcome any information (or a patch) which might lead to resolving this issue but general comments about how you think this situation is being handled are perhaps more appropriate for the dev-platform mailing list.

Rest assured we are still working to find a solution to this issue.

Thank you
Comment 268 Eduard Braun 2013-06-24 14:01:28 PDT
(In reply to Mark Straver from comment #266)
I'm afraid to say that I would NOT been satisfied with a "solution" that is made of blacklisting specific hard-/software.

There has to be bug somewhere (might it be in Microsoft's, AMD's or even Mozilla's code) which has to be found and fixed. Blacklisting should only be the last resort if Microsoft turns out to be uncooperative and no reasonable workaround can be found. However I'm quite sure that even in the worst case there has to be a practical workaround (at least Firefox seems to be the only application affected that I know of, so other software seems to do the rendering in a way that doesn't trigger the bug, which could be duplicated by Firefox).
Comment 269 Mark Straver 2013-06-24 14:16:56 PDT
(In reply to Eduard Braun from comment #268)
> I'm afraid to say that I would NOT been satisfied with a "solution" that is
> made of blacklisting specific hard-/software.

I'm not saying this should necessarily lead to blacklisting (there's a proposed bug for that which I think is too rigorous, as well) - I'm suggesting that at least as a workaround, until this is finally triaged and there is progress as to the cause and a permanent solution, that the azure back-end is selectively switched off on the affected systems with a simple check (something people have to do manually at this time to fix the issue) and people still have an accelerated browser, just with the older cairo code path. Performance loss should not be too great in that case, either (as opposed to just blacklisting).

Doing nothing at all while waiting for "the perfect final solution" is surely no longer an option. It won't be the first time that a temporary workaround is put in place until something more final is implemented.
Comment 270 Alice0775 White 2013-06-24 14:24:39 PDT
Switching to Google Chrome or IE10 is vest way.
Comment 271 john ruskin 2013-06-24 20:22:39 PDT
I can report that:
     uninstalling the KB2670838 update works to remove the bug on Win7

see comment 262, for comments on IE and etc status

Also:  New Laptop with Win8, and new Fox install, within the last few days, does not display the font defect.
Comment 272 spam.dump.one 2013-06-26 05:08:44 PDT
After many releases, dozens of reports and hundreds of comments, we still have a broken browser that cannot display text.

In the meantime, you managed to grow a wonderfully useless WebGL implementation.

Heck of a job, guys!
Comment 273 Loic 2013-06-26 05:13:28 PDT
(In reply to spam.dump.one from comment #272)
> After many releases, dozens of reports and hundreds of comments, we still
> have a broken browser that cannot display text.
> 
> In the meantime, you managed to grow a wonderfully useless WebGL
> implementation.
> 
> Heck of a job, guys!

Hello. You should read the BMO etiquette before posting as new user, especially the point 1.1 that applies to you...
https://bugzilla.mozilla.org/page.cgi?id=etiquette.html
Comment 274 Jonathan 2013-06-26 07:14:50 PDT
(In reply to Loic from comment #273)
> (In reply to spam.dump.one from comment #272)
> > After many releases, dozens of reports and hundreds of comments, we still
> > have a broken browser that cannot display text.
> > 
> > In the meantime, you managed to grow a wonderfully useless WebGL
> > implementation.
> > 
> > Heck of a job, guys!
> 
> Hello. You should read the BMO etiquette before posting as new user,
> especially the point 1.1 that applies to you...
> https://bugzilla.mozilla.org/page.cgi?id=etiquette.html

Hey, lay off, given the ridiculousness of the situation here, I think we've reached a point where it is a bit called for for people to point out the fact that, YOUR BROWSER IS NOT DISPLAYING TEXT PROPERLY, AND HASN'T FOR MONTHS!!!!!

WHY ARE YOU NOT GETTING THIS?

YOUR BROWSER IS NOT DISPLAYING TEXT RIGHT.

THIS IS BASICS, PEOPLE.  WHEN YOU WANT TO MAKE A BROWSER, STEP 1 WOULD BE TO MAKE SOMETHING THAT DISPLAYS TEXT.

WHY ARE YOU NOT MORE EMBARRASSED ABOUT THE CURRENT STATE OF YOUR BROWSER?

THIS IS BEYOND RIDICULOUS!

If you want more politeness, and want less comments about the ridiculousness of the situation, FIX THE DAMN BUG ALREADY!  YOU'VE HAD WAY MORE THAN ENOUGH TIME!
Comment 275 Mark Straver 2013-06-26 07:34:28 PDT
@Jonathan: Bugzilla etiquette is there for a reason - it separates discussion from actual progress. Demanding that a bug be fixed doesn't contribute to actually fixing the bug in question. Last thing we need is a heated discussion resulting in this bug becoming "comments-restricted" because that, in turn, would prevent people from leaving constructive comments.

So, let's stay calm, and focus on a solution, shall we? Obviously, people do install the platform update as part of their system maintenance, and it'll probably at one point (likely sooner) become a prerequisite for more than just MSIE10. Uninstalling might not be an option at that point.

It's already been established that this impacts a LOT of people, so it needs at least a temporary workaround that doesn't cripple the browser, agreed?
Comment 276 entelesis 2013-06-26 20:02:42 PDT
@Eduard/@Mark: Good points. 

Blacklisting hardware isn't a solution.  On Win7/Win8 virtual machines, even IE 10 has font issues - their solution? Under Tools -> Internet Options -> Advanced, the very first option is Accelerated graphics "Use software rendering instead of GPU rendering", and checking this works.  

For my environment, I've got gfx.content.azure.enabled=false, and gfx.direct2d.disabled=true, and browsing typekit.com right now, it's about 80% effective.  Uninstalling IE10/KB2670838 is _not an option_, because checking rendering in various browsers on various OS's is why I have the VM's in the first place.  The assumption has to be that the end user will automatically update the OS.  

This, as far as Microsoft is concerned, has to be considered a feature and not a bug (and you know they must love this one).  So, as Mark points out, the likelihood of it remaining embedded has to be _expected_.   It will be interesting to see if Win8.1/IE11 exhibits the same behavior on installing Firefox.  As of right now, the ISO's have still not been posted, but I will test that as soon as they are available.  My prediction: more pain.

So, the decision has to be for the target platform:  is automatically adjusting the rendering to default to non-gpu-optimized settings crippling the browser when 4 out of 5 fonts will then render satisfactorily?  because that's all a jonathan will really care about.  He won't notice the milli-second delays as much as what he sees when rendering completes.  

@jonathan:  when you find yourself banned from Bugzilla, don't be surprised.  Bugzilla (or any other bug reporting tool) is not for busting chops - it's for showing them.  Grow some.
Comment 277 Loic 2013-06-27 06:27:41 PDT
*** Bug 887754 has been marked as a duplicate of this bug. ***
Comment 278 NVD 2013-07-11 01:41:16 PDT
MS has released a security update for dwrite.dll. Probably won't fix anything but please test and report back.

32bit
http://www.microsoft.com/en-us/download/details.aspx?id=39415

64bit
http://www.microsoft.com/en-us/download/details.aspx?id=39423
Comment 279 Jim Jeffery not reading bug-mail 1/2/11 2013-07-12 06:28:54 PDT
(In reply to NVD from comment #278)
> MS has released a security update for dwrite.dll. Probably won't fix
> anything but please test and report back.
> 
> 32bit
> http://www.microsoft.com/en-us/download/details.aspx?id=39415
> 
> 64bit
> http://www.microsoft.com/en-us/download/details.aspx?id=39423

Can't say for sure that this MS patch made any difference, but I can say that something has changed since last time I had azure.content enabled in that its now harder to repo the problem and it seems, at least on my end, that things have improved.  Then again, perhaps some patch landed in Firefox that accounts for the change... too hard to go digging looking for 'what' may have changed.
Comment 280 Alice0775 White 2013-07-12 07:06:00 PDT
(In reply to NVD from comment #278)
> MS has released a security update for dwrite.dll. Probably won't fix
> anything but please test and report back.
> 
> 32bit
> http://www.microsoft.com/en-us/download/details.aspx?id=39415
> 
> 64bit
> http://www.microsoft.com/en-us/download/details.aspx?id=39423

Nothing was changed.
I can still reproduce the problem with STR of comment#74 easily.
Comment 281 Alex 2013-07-12 10:10:51 PDT
Confirmed on both Windows 7 x64 and Windows 8 x64. AMD 5670.
gfx.content.azure.enabled=false doesn't help
gfx.direct2d.disabled=true seems to improve things

Disabling "use hardware acceleration when available" solved it, and makes browsing slower.
Comment 282 Emanuel Hoogeveen [:ehoogeveen] 2013-07-12 11:14:45 PDT
(In reply to Alex from comment #281)
> gfx.content.azure.enabled=false doesn't help
> gfx.direct2d.disabled=true seems to improve things

That doesn't match what others have found. Make sure to restart after changing a setting.
Comment 283 Eduard Braun 2013-07-12 12:58:27 PDT
A few questions to those guys that were talking with Microsoft and ATI respectively:
1) Any news (I'm afraid not)?
2) Does one know if this has to be fixed by Microsoft or ATI?
3) Is there a place were we can complain to Microsoft and/or ATI, to try to put some pressure on them? Especially since right know everyone is complaining here although there's not much we can do on our side for now. It would probably be much better to complain where the bug can actually be fixed.
Comment 284 Zlip792 2013-07-12 13:11:40 PDT
I might not be contributing much, but I think using this AMD Survey link, you can let them know about the problem you people are facing and then they might get active and look for solution along with Firefox dev. Hopefully my comment does not be considered as bumping etc.
http://www.amdsurveys.com/se.ashx?s=5A1E27D20B2F3F30
Comment 285 Alice0775 White 2013-07-14 23:59:42 PDT
*** Bug 893642 has been marked as a duplicate of this bug. ***
Comment 286 Jeff Muizelaar [:jrmuizel] 2013-07-23 06:02:29 PDT
I small update on the status of this bug. I emailed AMD again to try and get more information. My contact there pinged the developers but I have not gotten any useful information back yet.
Comment 287 cristo morlan 2013-07-25 06:29:24 PDT
Just curious, if this is only effecting Firefox (and it is on mine too), why look at graphics cards and Window's Patches when Firefox is obviously doing something other browsers are not.
Comment 288 Gian-Carlo Pascutto [:gcp] 2013-07-25 08:04:14 PDT
Because that's where the bug is, and the workarounds we know have other severe problems which are outlined in the 286 comments before yours. See for example comment 243.

Browser rendering engines are fairly complicated and entirely different in design, so you're not going to be able to easily find a workaround for this by checking what "Firefox is obviously doing that other browsers aren't" because the answer will be "almost everything". At least one "other browser" has been doing a heavy effort in the last year to get their font rendering closer to ours to avoid those other problems (such as being unable to do sub-pixel font positioning), so don't let this AMD/MS bug trick you into believing our implementation is crap :)

>We'll re-track this for a specific release if/when we find out that this platform update 
>will be vended out by default. For now, we're still trying to address this with the 3rd 
>party.

The platform update *is* now being vended out by default (comment 253). I would love to give a suggestion to proceed and take the last crappy way out but I can't even figure out what the correct workaround is here (see comment 242+244) because this bug and our support articles contradict.
Comment 289 AllanB 2013-07-25 10:09:43 PDT
(In reply to cristo morlan from comment #287)
> Just curious, if this is only effecting Firefox (and it is on mine too), why
> look at graphics cards and Window's Patches when Firefox is obviously doing
> something other browsers are not.

Cristo asks a very simple yet relevant question.  If no other browser is suffering from this default platform update, then how is this not Firefox's issue?

This has been going on for so long and is preventing me from installing IE10 on my 3 year-old PC.  I don't really want to go out and buy a new video card or slow down Firefox by turning off hardware rendering just to make Firefox 22 work.

I do believe this has gone on for way too long and the responses from Firefox volunteers have been very obtuse - basically saying we have no idea what is causing it and we are not going to fix it.  There is no apparent determined effort to fix it and that is very disappointing.
Comment 290 Jeff Muizelaar [:jrmuizel] 2013-07-25 10:15:50 PDT
(In reply to cristo morlan from comment #287)
> Just curious, if this is only effecting Firefox (and it is on mine too), why
> look at graphics cards and Window's Patches when Firefox is obviously doing
> something other browsers are not.

The reason Firefox is hit by this is because of how invalidation and clipping work. We often clip to complex regions during draw. I'm not sure how this works in IE 10 so it's hard to say how they manage to avoid this problem. As you can see from the plain Direct2D test case attached to the bug, it's not obvious how to predict when the problem will happen and when it wont. Basically, clipping to certain regions when drawing to surfaces of particular sizes doesn't work properly with the AMD drivers. 

If someone can figure out a better way to predict when drivers do the wrong thing we might be able to work around the problem.
Comment 291 john ruskin 2013-07-25 14:18:44 PDT
Another "I'm curious" question:

What is different about Win 8 as installed on my recent/new laptop, that I don't get the defect that I had gotten on the Win 7 laptop?

((Noting that I got rid of the problem by uninstalling the update, and not using IE10, in the first place)) ((See Comment 271))
Comment 292 timbugzilla 2013-07-25 14:32:11 PDT
Do problems persist after installing the IE 11 Preview on Windows 7?
Comment 293 AllanB 2013-07-26 04:16:26 PDT
(In reply to Jeff Muizelaar [:jrmuizel] from comment #290)
> (In reply to cristo morlan from comment #287)
> > Just curious, if this is only effecting Firefox (and it is on mine too), why
> > look at graphics cards and Window's Patches when Firefox is obviously doing
> > something other browsers are not.
> 
> The reason Firefox is hit by this is because of how invalidation and
> clipping work. We often clip to complex regions during draw. I'm not sure
> how this works in IE 10 so it's hard to say how they manage to avoid this
> problem. As you can see from the plain Direct2D test case attached to the
> bug, it's not obvious how to predict when the problem will happen and when
> it wont. Basically, clipping to certain regions when drawing to surfaces of
> particular sizes doesn't work properly with the AMD drivers. 
> 
> If someone can figure out a better way to predict when drivers do the wrong
> thing we might be able to work around the problem.

It's difficult to understand how only Firefox exposes this 'wrong thing' done by the AMD driver, when people run so many other applications on the same machine, including multimedia, that don't have the issue.  

Given that this bug is 6 months old, and it appears that nobody is working on it in any constructive way, I believe we can safely assume it will never be fixed.

You therefore have three choices - buy a new video card, use another browser or keep running without the platform update.
Comment 294 Alice0775 White 2013-07-26 04:22:36 PDT
See Comment 71, backing Bug 784382 out will fix the problem, but when it is now, it is too late...
Comment 295 Charles Gilbert 2013-07-26 04:54:35 PDT
(In reply to AllanB from comment #293)
 
> It's difficult to understand how only Firefox exposes this 'wrong thing'
> done by the AMD driver, when people run so many other applications on the
> same machine, including multimedia, that don't have the issue.  
> 
> Given that this bug is 6 months old, and it appears that nobody is working
> on it in any constructive way, I believe we can safely assume it will never
> be fixed.
> 
> You therefore have three choices - buy a new video card, use another browser
> or keep running without the platform update.

I would like to weigh in on behalf of the folks working the Mozilla project. I am not a member of that team. But as a retired systems programmer with much experience in high-speed rendering of graphics, I do know something about this issue in general.

Floating point ops don't work so well for graphic rendering. They're too CPU-intensive. Granted, we have floating-op co-processors nowadays, but I doubt if that is what people employ in a graphics co-processor. You develop integer-based approximation techniques that are almost as accurate but run much faster in a binary world. I know from experience what a simple one-bit rounding error in just the right place will do the rendering process. A single off instruction, and certain depictions go a little wacky.
 
Personally, I doubt that this is a driver issue. AMD is a good company with good engineers and they have probably taken a lot of flak over this. If it were a driver problem, they would have fixed it by now. I think it is a flaw in their graphics processor, and therefore not particularly fixable on existing equipment. Just my educated guess. But no doubt they will fix the issue in newer product.

Meanwhile, the Mozilla folks have created a spiffy way to render things that no doubt runs quite efficiently. Unfortunately, their algorithm happens to bring out the flaw in the AMD product, more so than some algorithms written for other products. Such is life. There is little they can do to fix an AMD problem.

It pains me that I have had to shut off hardware acceleration in FireFox on this machine. I am not at all happy about that. But ongoing carping at the Mozilla programmers will not help at all. In fact, it probably only slows their efforts to find kludgy workarounds for AMD's error.
Comment 296 AllanB 2013-07-26 08:28:59 PDT
Obviously you could be correct, but it's hard to believe that Firefox is using the graphics processor in such a unique way compared to every other sofware product out there, that this flaw only happens with Firefox.
Comment 297 Vlad 2013-07-31 21:59:12 PDT
Strange. I reinstall Windows 2 months ago and disable installing of recommended updates. Now, I cannot find KB2670838 in installed and recommended updates. Microsoft excluded this update? :) Also Windows don't suggest to install IE 10 or 11.
Comment 298 spam.dump.one 2013-08-01 02:11:17 PDT
(In reply to AllanB from comment #296)
> Obviously you could be correct, but it's hard to believe that Firefox is
> using the graphics processor in such a unique way compared to every other
> sofware product out there, that this flaw only happens with Firefox.

I have an ATI HD 3870.

To be fair, I remember seeing some strange artifacts when playing Mass Effect 1 and Prey. I also remember that these artifacts where a little different between each driver revision. So I ended up trying a bunch of drivers and choosing the one that gave the less problems. That was on Windows XP, but still...

Also, right now I'm on Windows 7, and can see lots of little corruptions when scrolling in LibreOffice.
Comment 299 mjh563 2013-08-17 15:22:16 PDT
*** Bug 906336 has been marked as a duplicate of this bug. ***
Comment 300 AllanB 2013-08-17 15:26:06 PDT
Got tired of waiting for a fix and dumped my ATI 4770.  Got a GTX 650 at a reasonable price, updated IE10 and installed all the Microsoft DirectX updates.
Comment 301 Jonathan 2013-08-17 15:42:42 PDT
Oh how cute, you guys are still acting like you're actually a relevant browser.  I switched to a browser that actually has a team of programmers that are capable of creating a program that can properly display text.  Been a fun ride, but when you can't even make a browser that someone can read text using, well, it's time to move on.
Comment 302 Michael Hohner 2013-08-17 23:42:40 PDT
In reality it's easier for people to switch browsers than to switch graphics cards, so I expect many will do just that. There are also other bugs that I see every single day, and that are there since FF7! Mozilla has to realize that loyalty has its limits. If a problem can only be seen in FF, the end user couldn't care less if the root problem is really in FF or not.
Comment 303 Michael Hohner 2013-08-30 10:44:29 PDT
Now I disabled direct2d, and the fonts look OK again. But now narrow drop-down lists (e.g. only single letter options) are just garbage.
Comment 304 Timothy Nikkel (:tnikkel) 2013-08-30 10:46:08 PDT
(In reply to Michael Hohner from comment #303)
> Now I disabled direct2d, and the fonts look OK again. But now narrow
> drop-down lists (e.g. only single letter options) are just garbage.

What do you mean? Perhaps file a bug about that?
Comment 305 Michael Hohner 2013-08-30 10:53:49 PDT
Created attachment 797936 [details]
drop-down-direct2d-off.png

Drop-down list when direct2d is off to workaround this bug.
Comment 306 Timothy Nikkel (:tnikkel) 2013-08-30 10:55:09 PDT
(In reply to Michael Hohner from comment #305)
> Created attachment 797936 [details]
> drop-down-direct2d-off.png
> 
> Drop-down list when direct2d is off to workaround this bug.

Yes, please file a bug on that.
Comment 307 Michael Hohner 2013-08-30 11:01:40 PDT
Filed bug 911279.
Comment 308 Jim Mathies [:jimm] 2013-09-04 09:49:20 PDT
Created attachment 799604 [details]
Packaged standalone test case (cleaned)
Comment 309 Loic 2013-09-24 10:58:36 PDT
*** Bug 919454 has been marked as a duplicate of this bug. ***
Comment 310 Morgan 2013-09-27 00:31:04 PDT
Same bug reporting in in Firefox 24 (and 23). Disabling hardware acceleration via options/advanced has solved the issue although obviously isn't the ideal the solution.

Gfx Card: ATI Mobility Radeon HD 3650 (old card I know)
Gfx Driver: 8.970.100.7000 (via the Legacy 13.1 driver linked above)
OS: Windows 7 x64 SP1 + IE10 + All available updates to 2013-09-27 (clean install yesterday)

Issue is not present in IE10. 

Scrolling so that the corrupt text is off screen and then back on screen is also a "sort of" fix.
Comment 311 Vlad 2013-09-27 19:02:32 PDT
I noticed that bug disappears after uninstalling Catalyst completely (Windows will install it's own driver). By the way, default Windows driver doesn't provide any OpenGL implementation, but Catalyst does.
Comment 312 Morgan 2013-09-28 00:06:35 PDT
Can confirm with Vlad (Comment 311) that this issue is not present with Catalyst removed. This issue appeared after video driver installation. 

Driver installed was from http://support.amd.com/us/gpudownload/windows/legacy/Pages/legacy-radeonaiw-vista64.aspx filename 13-1-legacy_vista_win7_win8_64_dd_ccc.exe
Comment 313 Martin Vendl 2013-09-28 13:34:42 PDT
Correct me if I'm wrong, but uninstalling video driver is the same as disabling hardware acceleration. Firefox cannot use acceleration without proper driver installed.
Comment 314 Vlad 2013-09-28 21:10:01 PDT
(In reply to Martin Vendl from comment #313)
> Correct me if I'm wrong, but uninstalling video driver is the same as
> disabling hardware acceleration. Firefox cannot use acceleration without
> proper driver installed.

Windows automatically install proper 3D driver. I can use DirectX acceleration with it, but no OpenGL. :(
Comment 315 dusty-2011 2013-09-29 07:19:27 PDT
(In reply to Vlad from comment #314)
> (In reply to Martin Vendl from comment #313)
> > Correct me if I'm wrong, but uninstalling video driver is the same as
> > disabling hardware acceleration. Firefox cannot use acceleration without
> > proper driver installed.
> 
> Windows automatically install proper 3D driver. I can use DirectX
> acceleration with it, but no OpenGL. :(

So how much frames per second do you get at the following page:
http://ie.microsoft.com/testdrive/Performance/FishBowl/
The fps counter on the left should say 60 fps with HWA enabled with 10 fish in the bowl. If HWA is disabled it would say 1 fps.

Please type about:support in Firefox's address bar and scroll down to the entry 'GPU accelerated windows'. Please post here what it says for that entry. If the first number is zero then you don't have hardware acceleration.
Comment 316 Vlad 2013-09-29 07:29:49 PDT
(In reply to dusty-2011 from comment #315)
> (In reply to Vlad from comment #314)
> > (In reply to Martin Vendl from comment #313)
> > > Correct me if I'm wrong, but uninstalling video driver is the same as
> > > disabling hardware acceleration. Firefox cannot use acceleration without
> > > proper driver installed.
> > 
> > Windows automatically install proper 3D driver. I can use DirectX
> > acceleration with it, but no OpenGL. :(
> 
> So how much frames per second do you get at the following page:
> http://ie.microsoft.com/testdrive/Performance/FishBowl/
> The fps counter on the left should say 60 fps with HWA enabled with 10 fish
> in the bowl. If HWA is disabled it would say 1 fps.
> 
> Please type about:support in Firefox's address bar and scroll down to the
> entry 'GPU accelerated windows'. Please post here what it says for that
> entry. If the first number is zero then you don't have hardware acceleration.

Ok, I opened that Microsoft site and get 9 fps (50 % CPU load), then opened about:config and saw that Direct2D is blocked because of old graphics driver version. But, in 'GPU accelerated windows' i have '1/1 Direct3D 9'. Also 'Driver version' is '8.632.1.2000'.
Comment 317 Emanuel Hoogeveen [:ehoogeveen] 2013-09-29 07:32:19 PDT
Right, so you're getting Direct3D 9-based hardware acceleration - Direct2D (which is affected by this bug) only works with Direct3D 10 and up. Note that the Direct3D 9-based hardware acceleration is more basic, so it won't perform as well.
Comment 318 Vlad 2013-09-29 07:37:17 PDT
I don't understand why '1/1 Direct3D 9' is always displaing. Even if no WebGL is opened in other tabs.
Comment 319 Emanuel Hoogeveen [:ehoogeveen] 2013-09-29 07:39:00 PDT
Hardware acceleration applies to more than just WebGL. Although Direct2D HWA is more extensive, at least some parts of the browser window will be accelerated with Direct3D 9.
Comment 320 Vitor Cunha 2013-10-01 03:54:57 PDT
(In reply to Vlad from comment #311)
> I noticed that bug disappears after uninstalling Catalyst completely
> (Windows will install it's own driver). By the way, default Windows driver
> doesn't provide any OpenGL implementation, but Catalyst does.

It was a good try, but it's already described in the documentation (https://wiki.mozilla.org/Blocklisting/Blocked_Graphics_Drivers#AMD.2FATI_cards) that you are required (at least) Catalyst 10.6 or driver version 8.741.0.0 so that hardware acceleration is available.

Windows 7 comes with an older driver from 2009, which is below this requirement (hence blacklisted).
In other words, that is just a way of unawarely disabling the hardware acceleration without unticking the checkbox.

If anyone knows of an older driver version which doesn't cause this issue but still retains the hardware acceleration I sure would want to test it out on my system. From what I recall, the issue started around 12.4 (not sure if including or excluding).
Comment 321 Vlad 2013-10-01 05:09:22 PDT
(In reply to Vitor Cunha from comment #320)
> (In reply to Vlad from comment #311)
> > I noticed that bug disappears after uninstalling Catalyst completely
> > (Windows will install it's own driver). By the way, default Windows driver
> > doesn't provide any OpenGL implementation, but Catalyst does.
> 
> It was a good try, but it's already described in the documentation
> (https://wiki.mozilla.org/Blocklisting/Blocked_Graphics_Drivers#AMD.
> 2FATI_cards) that you are required (at least) Catalyst 10.6 or driver
> version 8.741.0.0 so that hardware acceleration is available.
> 
> Windows 7 comes with an older driver from 2009, which is below this
> requirement (hence blacklisted).
> In other words, that is just a way of unawarely disabling the hardware
> acceleration without unticking the checkbox.
> 
> If anyone knows of an older driver version which doesn't cause this issue
> but still retains the hardware acceleration I sure would want to test it out
> on my system. From what I recall, the issue started around 12.4 (not sure if
> including or excluding).

I tried 12.4 with no luck. :(
Comment 322 dusty-2011 2013-10-01 10:27:09 PDT
(In reply to Vitor Cunha from comment #320)
> (In reply to Vlad from comment #311)
> > I noticed that bug disappears after uninstalling Catalyst completely
> > (Windows will install it's own driver). By the way, default Windows driver
> > doesn't provide any OpenGL implementation, but Catalyst does.
> 
> It was a good try, but it's already described in the documentation
> (https://wiki.mozilla.org/Blocklisting/Blocked_Graphics_Drivers#AMD.
> 2FATI_cards) that you are required (at least) Catalyst 10.6 or driver
> version 8.741.0.0 so that hardware acceleration is available.
> 
> Windows 7 comes with an older driver from 2009, which is below this
> requirement (hence blacklisted).
> In other words, that is just a way of unawarely disabling the hardware
> acceleration without unticking the checkbox.
> 
> If anyone knows of an older driver version which doesn't cause this issue
> but still retains the hardware acceleration I sure would want to test it out
> on my system. From what I recall, the issue started around 12.4 (not sure if
> including or excluding).

From my experience, I believe the driver version is irrelevant. I had a really old driver from 2009 (which is blacklisted), but I manually forced Firefox to use hardware acceleration. This went fine, until Windows 7 Platform Update KB2670838 arrived, from then on I had to face the bug described in this thread. Since then, I have updated my drivers to the Legacy 13.1 drivers, which is not a solution for this bug. As a workaround to this bug, I have uninstalled KB2670838.
Comment 323 Morgan 2013-10-01 11:10:10 PDT
Looking into update KB2670838 it seems to be the heart of the problem. Check out the KB article http://support.microsoft.com/kb/2670838. Scroll down and you will see a host of machines which are known to BSOD due to the update. All with AMD graphics cards. It appears this update is a bit of a nightmare in more ways than just corrupting text in Firefox. People have reported issues with Chrome as well (have a little hunt on Google for KB2670838). 

I do not know the consequences, if any, of uninstalling the update so I will leave it be for now as I need my machine working for the next few days but I might see how things are if I uninstall it over the weekend. Interestingly my machine is a Dell Studio 17 (1737) and a few of the machines listed in the KB article are Dell Studio laptops. Microsoft are obviously aware of the issue with this update so it is frustrating that they have not fixed it. 

Hopefully there is something the Firefox dev team can do to resolve this issue however if not perhaps they should look into blacklisting known problem cards from h/w acceleration?
Comment 324 Vitor Cunha 2013-10-01 16:04:15 PDT
(In reply to Morgan Pugh from comment #323)
> Hopefully there is something the Firefox dev team can do to resolve this
> issue however if not perhaps they should look into blacklisting known
> problem cards from h/w acceleration?
I would say that (right now) that would be the way forward.
Take the cards that use the Legacy Driver, see what is functional and what isn't, and block the problematic parts.

That way Firefox wont show corrupted text "out of the box" and we, the owners of such legacy cards, would still get the most of what is possible out of them.
Comment 325 Mark Straver 2013-10-02 01:38:56 PDT
As far as I know switching off azure for content through gfx.content.azure.enabled to false removes the issue on problem setups - if that can be done automatically on problem setups, it would be a (probably transparent) solution for people affected by this. It would prevent having to completely blacklist card/driver combinations that would otherwise benefit from HWA. I suggest for minimal performance loss:

1) Gather intel on which cards are affected, specifically (this might already have been done in the driver block bug?)
2) For the affected cards, check the DirectWrite version on the system for 6.2.*
3) If DirectWrite is 6.2.* and the card is in the list, flip off azure for content

Check (2) would prevent unnecessary blocking of features on unaffected systems (e.g. people not having the platform update installed).
Comment 326 Emanuel Hoogeveen [:ehoogeveen] 2013-10-02 02:26:50 PDT
Is turning off Azure a viable solution long-term? i.e. is Azure, or something based on Azure, intended to eventually replace all hardware acceleration, or will it always be an optional extension of the basic support? Also, which would be worse: disabling Azure, or disabling D2D-based HWA (falling back to D3D9)?
Comment 327 Vitor Cunha 2013-10-02 03:46:22 PDT
(In reply to Mark Straver from comment #325)
> As far as I know switching off azure for content through
> gfx.content.azure.enabled to false removes the issue on problem setups - if
> that can be done automatically on problem setups

Well, from the small testing I have done, you don't really need to go as far as disabling Azure altogether. Changing just the "gfx.content.azure.backends" property whilst retaining everything else has accomplished the same thing (although regardless of what backend you put in "content.azure" the end result will be same, a none for that particular acceleration).

The cards which I have tested are:
- Mobility HD3650 in a Toshiba (with latest 13.4 beta legacy drivers)
- Mobility HD3200 IGP in a HP (with latest 13.4 beta legacy drivers)
Comment 328 Vitor Cunha 2013-10-02 04:17:07 PDT
(Just realized I probably did the exact same thing as suggested, only in a less elegant way of doing it... Sorry about that)
Comment 329 piotrborkowski 2013-10-03 03:41:57 PDT
(In reply to Vitor Cunha from comment #327)
> Well, from the small testing I have done, you don't really need to go as far
> as disabling Azure altogether. Changing just the
> "gfx.content.azure.backends" property whilst retaining everything else has
> accomplished the same thing 

If you remove direct2d from backends, azure uses skia or cairo backend which are both pure software backends. Setting gfx.content.azure.enabled to false doesn't disable direct2d and browser is fully hardware accelerated like was before azure checkout to Firefox.
Comment 330 faerylander 2013-10-03 03:50:47 PDT
(In reply to piotrborkowski from comment #329)
> 
> If you remove direct2d from backends, azure uses skia or cairo backend which
> are both pure software backends. Setting gfx.content.azure.enabled to false
> doesn't disable direct2d and browser is fully hardware accelerated like was
> before azure checkout to Firefox.

Setting gfx.content.azure.enabled to false alone, does not solve the problem for me. Setting gfx.direct2d.disabled to true, without changing anything else, solves it. AMD 5670, Catalyst 13.9 (just the video driver installed, not the Catalyst suite).
Comment 331 Kent S. 2013-10-03 04:01:15 PDT
(In reply to faerylander from comment #330)
> (In reply to piotrborkowski from comment #329)
> 
> Setting gfx.content.azure.enabled to false alone, does not solve the problem
> for me. Setting gfx.direct2d.disabled to true, without changing anything
> else, solves it. AMD 5670, Catalyst 13.9 (just the video driver installed,
> not the Catalyst suite).

Setting gfx.content.azure.enabled to "false" DOES solve the problem for me.  I leave my Direct2d parameters at their defaults.  I get 60 fps when testing with http://ie.microsoft.com/testdrive/Performance/FishBowl/, proving that I have HW acceleration.  ATI Radeon HD 4770, using legacy driver 8.970.100.7000 (11/16/2012). FF25.0b4
Comment 332 Vitor Cunha 2013-10-03 04:02:06 PDT
(In reply to faerylander from comment #330)
> Setting gfx.content.azure.enabled to false alone, does not solve the problem
> for me. Setting gfx.direct2d.disabled to true, without changing anything
> else, solves it. AMD 5670, Catalyst 13.9 (just the video driver installed,
> not the Catalyst suite).
Your card isn't a "Legacy" card, hence you have an issue that looks similar in nature but probably requires a different solution.


> (In reply to piotrborkowski from comment #329)
> If you remove direct2d from backends, azure uses skia or cairo backend which
> are both pure software backends. Setting gfx.content.azure.enabled to false
> doesn't disable direct2d and browser is fully hardware accelerated like was
> before azure checkout to Firefox.
about:support shows the same with both approaches.
"AzureCanvasBackend" retains direct2d acceleration with a fallback to cairo while "AzureContentBackend" is none.

I do reckon it is a much more elegant solution to just set "gfx.content.azure.enabled" to false than to temper with the content backends (note that the canvas backends remain untouched).
Comment 333 Loic 2013-10-21 12:12:20 PDT
*** Bug 928770 has been marked as a duplicate of this bug. ***
Comment 334 Morgan 2013-10-21 12:27:09 PDT
Small update. I just upgraded (via a clean install) to Windows 8.1 Pro x64 and the issue is still there although it does not appear as often for some reason. I am using the same legacy driver as there is not a newer version as far as I know.
Comment 335 Masatoshi Kimura [:emk] 2013-10-21 21:42:00 PDT
Changing the summary according to the duped bug.
Comment 336 Alice0775 White 2013-10-22 14:26:11 PDT
ATI 13.9 legacy driver does not fix the problem....
Comment 337 Charles Gilbert 2013-10-22 14:42:35 PDT
Lately I have been seeing certain pages render inappropriately in much the same way with hardware acceleration disabled.
Comment 338 Vitor Cunha 2013-10-22 15:26:55 PDT
(In reply to Alice0775 White from comment #336)
> ATI 13.9 legacy driver does not fix the problem....

I can also confirm that I am still getting issues with my Mobile HD3650 and the latest legacy 13.9 package.
Comment 339 Loic 2013-10-23 18:25:16 PDT
It looks like this update has been included in the new Windows 8.1, some users reported this issue has appeared since the update to Win 8.1.
Comment 340 Loic 2013-10-23 18:26:47 PDT
NB: all the new reports I read were about ATI cards.
Comment 341 Jonathan Kew (:jfkthame) 2013-10-25 00:59:49 PDT
Jeff... Bas... anyone: do we have a plan (and timescale) to address this somehow? For people who are affected, it's a really bad bug; and given that it's on Win8.1 as well as Win7+platform-update, the number of affected users seems likely to keep growing.
Comment 342 Wayne Mery (:wsmwk, NI for questions) 2013-10-25 12:27:13 PDT
*** Bug 829048 has been marked as a duplicate of this bug. ***
Comment 343 mjh563 2013-10-28 23:32:50 PDT
*** Bug 931745 has been marked as a duplicate of this bug. ***
Comment 344 bhavana bajaj [:bajaj] 2013-11-06 16:01:43 PST
:mattwoodrow recently landed patches in https://bugzilla.mozilla.org/show_bug.cgi?id=934860 which may help this bug. I am adding verifyme to see if QA or any one else on this bug  can help verify that the issue reported on this bug is resolved in tomorrow's or Friday's nightly.
Comment 345 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2013-11-06 16:08:48 PST
(In reply to bhavana bajaj [:bajaj] from comment #344)
> :mattwoodrow recently landed patches in
> https://bugzilla.mozilla.org/show_bug.cgi?id=934860 which may help this bug.
> I am adding verifyme to see if QA or any one else on this bug can help
> verify that the issue reported on this bug is resolved in tomorrow's or
> Friday's nightly.

QA was never able to reproduced this, mostly because we could never get our hands on affected hardware. We should instead just need-info some of the people who were able to reproduce this.
Comment 346 Eduard Braun 2013-11-06 16:56:30 PST
Wow, this is great news! It would be great if this annoying bug was finally fixed.

I'm just testing the try build from [1] on Windows 7 x64 Prof. with an ATI Mobility Radeon HD 3470 and I was not able to reproduce the bug with this build so far!

[1] http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/mwoodrow@mozilla.com-c03125f5f428/try-win32/
Comment 347 Michael Hohner 2013-11-06 22:27:25 PST
This also works with ATI Radeon HD 4300/4500 Series.
Comment 348 Gregory Szorc [:gps] 2013-11-07 10:11:09 PST
I usually see this bug within 5 minutes of browsing and so far today's 2013-11-07 Nightly appears bug free.
Comment 349 Mark Straver 2013-11-07 10:17:56 PST
Awesome news :) Any chance we can see those patches uplifted to the next major version and (hopefully) ESR?
Comment 350 patryk 2013-11-09 04:49:21 PST
Build from Comment 346 fixes the problem for my Radeon HD 4850.

+1 from me to backport this into Firefox 26.
Comment 351 Ryan VanderMeulen [:RyanVM] 2013-11-11 11:17:58 PST
A possible fix for this bug was just landed for the Firefox 26 beta4 release due out tomorrow (12-Nov). If those of you who are experiencing this bug could try it out, feedback would be appreciated :)

http://www.mozilla.org/en-US/firefox/channel/#beta
Comment 353 coinman 2013-11-12 17:21:20 PST
I just tested 26 beta4 and the problem appears to be fixed on my machine (Windows 7 SP1). My card is a Mobility Radeon HD 5165.
Comment 354 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2013-11-12 17:35:07 PST
I think we have sufficient reports indicating this bug is resolved to mark it so. Release Management, I leave the final call to you.
Comment 355 Eduard Braun 2013-11-12 18:06:23 PST
It's great that the patch finally fixed it. But did anybody ever find out, what the actual problem was with the rendering errors?

As I read from Matt Woodrow's description the patch was rather a lucky shot and not really a well-aimed fix. How do we know that we do not run into the problem again some day?

I think some sort of debriefing would be a good idea before hastily closing this and hitting the bug again at some point in the future. Also did the communication with Microsoft and ATI result in any useful results? Or did they just kept quiet trying to sit it out?
Comment 356 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2013-11-12 18:11:46 PST
I believe the word from MS and AMD were that they'd assign engineering resources once Mozilla sent them some hardware which reliably reproduced this behaviour. I do not believe that ever happened so I don't believe we know why this happened nor why Matt's patch fixes/masks this issue. Even if we did get a laptop which reproduces this now, is MS and AMD likely to fix an issue our mutual users are no longer experiencing?
Comment 357 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2013-11-12 18:12:44 PST
PS

I think a post-mortem on this issue is a very good idea.
Comment 358 Robert Kaiser 2013-11-12 18:22:54 PST
(In reply to Anthony Hughes, QA Mentor (:ashughes) [On vacation, Nov 15-Dec 3] from comment #354)
> I think we have sufficient reports indicating this bug is resolved to mark
> it so. Release Management, I leave the final call to you.

Actually, is this an important enough fix to relnote it?
Comment 359 Gian-Carlo Pascutto [:gcp] 2013-11-12 23:32:09 PST
>But did anybody ever find out, what the actual problem was with the rendering errors?
>As I read from Matt Woodrow's description the patch was rather a lucky shot and not really a well-aimed 
>fix. How do we know that we do not run into the problem again some day?

I think the graphics team has had a good idea what area the bug resides in, see for example comment 290 ("The reason Firefox is hit by this is because of how invalidation and clipping work. We often clip to complex regions during draw...Basically, clipping to certain regions when drawing to surfaces of particular sizes doesn't work properly with the AMD drivers."). Note that there is also a standalone testcase attached to this bug that illustrates it can be perfectly reproduced without involving Firefox at all - it is a bug in AMD's drivers, period.

Matt's patch simplifies Firefox's drawing behavior wrt clipping to be more like the average Windows application. This wasn't guaranteed to fix things but it wasn't a lucky shot either, more like a well-targeted one. Our luck is probably in that it was possible at all and we managed to do it without regressing performance for anything else.

None of that guarantees we don't hit random other driver bugs in the future. "Make Firefox do what everything else does" obviously has it's limits.
Comment 360 Gian-Carlo Pascutto [:gcp] 2013-11-13 05:37:33 PST
>...and we managed to do it without regressing performance for anything else.

I jinxed it. Bug 937519. That won't be a problem until Australis lands, though.
Comment 361 dusty-2011 2013-11-13 07:21:36 PST
I can confirm that this bug is fixed in the latest Firefox Beta (26.0). I can no longer reproduce this bug in website content or in the UI. 

In Firefox 25, this bug is still easily reproducable in both website content and in the UI (for example, the window with which you can customize your toolbar shows broken font rendering in Firefox 25). Since the bug is no longer reproducable in Firefox 26, but is still reproducable in Firefox 25, it is definitely the result of fixing bug 934860 that bug 812695 is now fixed.

I would relnote this bug, since it is a very well-known bug. Tens of thousands of users faced this bug, and many switched browsers over it. If you relnote this bug then news websites will report it is fixed, which may entice some users to switch back to Firefox again.

This leaves me with some questions:
1) What is clipping? Why was Firefox clipping so much more complex than that of other programs?
2) If you knew it was probably the complex clipping which caused this bug, why did you not assign a developer on fixing this bug earlier? Matt Woodrow had this bug fixed within half a week of his first attempt. Why wait for a fix from Microsoft/AMD if you can fix the bug yourself in two days?
3) If Microsoft/AMD requested affected hardware why did you not send this hardware to them? It shouldn't have been that hard to buy a used graphics card... Also, it seems strange that AMD wouldn't have this hardware lying around themselves, since they build the hardware.
4) What made Matt Woodrow work on this bug? Was it his own initiative? Or did someone assign him to this?
5) Since Matt Woodrow fixed within half a week what others couldn't fix in an entire year, it makes Matt Woodrow look like quite a genius. Is Matt Woodrow a genius??
6) Can we blame the assignee Jeff Muizelaar for the lack of progress on this bug for an entire year? After all, we now know it was possible to fix the bug within half a week by just putting one developer (Matt Woodrow) on it.
7) Taking a year to fix something which can be fixed within half a week.. Is this a sign that Mozilla has the wrong priorities?
Comment 362 Loic 2013-11-13 07:34:42 PST
Whatever, the bug is fixed, that's the main point. No need to play the monday-morning quarterback to find a guilty party lo lynch.
Comment 363 Jeff Muizelaar [:jrmuizel] 2013-11-13 07:45:26 PST
(In reply to Eduard Braun from comment #355)
> It's great that the patch finally fixed it. But did anybody ever find out,
> what the actual problem was with the rendering errors?

I hope to get an idea of where the problem is from D3D level in the hope that that will help AMD fix the problem or MS work around it. I'm having some tooling problems currently though.

> As I read from Matt Woodrow's description the patch was rather a lucky shot
> and not really a well-aimed fix. How do we know that we do not run into the
> problem again some day?

This problem still exists. Matt's patch just made it less likely to show up.
Comment 364 Jeff Muizelaar [:jrmuizel] 2013-11-13 07:47:48 PST
(In reply to dusty-2011 from comment #361)
> 
> This leaves me with some questions:
> 1) What is clipping? Why was Firefox clipping so much more complex than that
> of other programs?

Clipping is way of avoiding drawing in particular areas. This problem only applies to Direct2D, and the only other browser using Direct2D is Internet Explorer. I don't know exactly how IE's rendering model works to avoid this issue.

> 2) If you knew it was probably the complex clipping which caused this bug,
> why did you not assign a developer on fixing this bug earlier? Matt Woodrow
> had this bug fixed within half a week of his first attempt. Why wait for a
> fix from Microsoft/AMD if you can fix the bug yourself in two days?

This bug isn't fixed, Matt's patch is just a work around of the problem.

> 3) If Microsoft/AMD requested affected hardware why did you not send this
> hardware to them? It shouldn't have been that hard to buy a used graphics
> card... Also, it seems strange that AMD wouldn't have this hardware lying
> around themselves, since they build the hardware.

Microsoft and AMD were both able to reproduce the bug. We opened a support ticket with Microsoft and the only the recommendation they were able to come up with was to avoid the problem. Microsoft gave up on October 8. 

> 4) What made Matt Woodrow work on this bug? Was it his own initiative? Or
> did someone assign him to this?

Matt will need to answer, but the initiative was at least partly spurred by us removing the pref to disable Azure content.

> 5) Since Matt Woodrow fixed within half a week what others couldn't fix in
> an entire year, it makes Matt Woodrow look like quite a genius. Is Matt
> Woodrow a genius??

Yes. FWIW, the idea to do clipping differently with D2D only came to us this summer.

> 6) Can we blame the assignee Jeff Muizelaar for the lack of progress on this
> bug for an entire year? After all, we now know it was possible to fix the
> bug within half a week by just putting one developer (Matt Woodrow) on it.

Sure. Though remember the bug still hasn't been fixed, just worked around. The real blame here belongs to AMD.

> 7) Taking a year to fix something which can be fixed within half a week.. Is
> this a sign that Mozilla has the wrong priorities?

Not necessarily. We had a hard time evaluating the actual impact of this on users.
Comment 365 kamikazze-ru 2013-11-13 07:51:58 PST
(In reply to Loic from comment #362)
> Whatever, the bug is fixed, that's the main point. No need to play the
> monday-morning quarterback to find a guilty party lo lynch.

Totally disagree, dusty-2011 are asking right questions. I'm personally had to wait around a 6 months before bug was fixed, and really begin thinking about changing the browser. Stay on FF with this bug (especially in corp environment there all of the PCs are updating automatically) required a lot of patience. Someone's owe me a bottle of fine single-malt whisky for this.
Comment 366 spam.dump.one 2013-11-13 08:01:27 PST
(In reply to Jeff Muizelaar [:jrmuizel] from comment #364)
> (In reply to dusty-2011 from comment #361)
> > 
> > 7) Taking a year to fix something which can be fixed within half a week.. Is
> > this a sign that Mozilla has the wrong priorities?
> 
> Not necessarily. We had a hard time evaluating the actual impact of this on
> users.

You took a year to fix some basic stuff like drawing text.
It is a Bad sign.

How much time did it take to evaluate "the actual impact" of all the other less than indispensable changes that are pushed out each release?

This is the bug to will point at when people ask "what's wrong with Firefox".
Comment 367 Morgan 2013-11-13 08:04:02 PST
I agree with dusty-2011 that this should be included in the relnotes. It has been a real pain in the ass for me and a lot of others and I am sure others who had the issue just switched browsers when there was no proper fix for such a long time. If it were up to me it would get a big red FIXED in the relnotes.

Also props to Matt for getting the fix done. It has taken a long time but it was fixed in the end. A post mortem as to why this bug took so long to get resources assigned should be a priority IMHO. Maybe Matt got lucky with the fix due to other changes/ideas made over the past few months but either way this should serve as a good lessons learned for the future.
Comment 368 Robert Kaiser 2013-11-13 08:12:06 PST
I'm not release management but I think we have enough evidence that this is fixed to be able to Mark It So™. :)

I'm also killing the needinfos given that, but I'm leaving the one on RelMan to make sure they notice the relnote request and in case they disagree with me marking it this way.


(In reply to spam.dump.one from comment #366)
> You took a year to fix some basic stuff like drawing text.

To be fair, it took us a year to fix this because this is a bug in the AMD drivers and we needed to find a creative way of working around it. The fix itself might have been coded fast, but it took a long time to understand things enough and have ideas on how to circumvent the actual AMD bug. Matt is a genius for sure but coding it is often not the major achievement, but finding a path to go with coding can take a long time.
Comment 369 Elbart 2013-11-13 08:13:13 PST
(In reply to spam.dump.one from comment #366)
> This is the bug to will point at when people ask "what's wrong with Firefox".

Only people who think that rendering text and hardware-acceleration in general is "basic stuff" will do that.

Especially when a driver-quirk is involved. People using nVidia- and Intel-GPUs had no problem. Do the math.
Comment 370 dusty-2011 2013-11-13 08:19:23 PST
Ok, thanks for the answers Jeff Muizelaar. This made things a bit clearer for me.

Even though the fix is a workaround as you name it, and not a true resolution, it is working perfectly so far. I will keep testing to see if I can spot any text corruption, but I of course hope to never see this problem again.

In the end, whether the fix is a workaround or a true resolution doesn't matter, as long as the end users never see any text corruption. I understand that with a workaround it is more difficult to guarantee that the end users will never run into text corruption, perhaps even impossible. But a quick workaround that can be implemented in 2 days, and fixes 99.99% of the problems, is still preferred over a true resolution that takes years to code and fixes 100% of the problems. Therefore, I wish that the Firefox developers had taken the route of a quick workaround earlier, so we did not have to wait so long for a fix.

But I do not understand your remark "We had a hard time evaluating the actual impact of this on  users.". You knew that this broke the font rendering of users with ATI R600-R700 series graphics cards. And correct font rendering is one of the most important aspects of a browser. You knew that thousands of Firefox users were adversely affected by this. You should have known that this was a high priority bug. There has probably never been a bug in the history of Bugzilla with as much duplicates created for it as this bug.

@Loic. I don't want to lynch anyone. But I am of course agitated over this bug, as are many others. But the joy of finally receiving a fix for this bug is stronger than my anger...
Comment 371 Jonathan 2013-11-13 08:34:30 PST
Had a hard time evaluating the impact of a browser not being able to display text properly on the users?  Seriously?  I mean, it's great that finally a fix was found, and it sounds like it was a complicated issue....but a year to display text properly, and your response is that it was hard to evaluate the impact of that?  Wow....
Comment 372 Vitor Cunha 2013-11-13 09:55:43 PST
Thank you guys, I really had a good laugh (one which I didn't have for quite a while) looking at the arguments as to why this wasn't "a serious bug".

I've been a long standing Firefox user, one which started testing it out when it was first named Firebird. In fact I even come back as far as the times of Netscape Communicator 4.x, with a slight incursion in IE5.x for a few daunting years. I think you can get the point that I am a long standing "fan" of Firefox. -- This bug actually made me switch to Chrome for a couple of weeks, until a workaround was found.

This is a long time "fan" which actually has some technical understanding and knows where to look for solutions. I eventually managed to find a way to come back to Firefox. Do you actually believe the average user ever switched back to Firefox, a browser which (by default) failed to have the page text readable?

It's not just a matter of looking at my belly button and making my own (singular) case. AMD represents 20% of the market, which is the 2nd place in market share (right bellow the beamuth of Intel).
Do I really have to point out that there are more machines with an AMD GPU than actual Firefox users? Can you really discard that as "minor"? I think not.

Make no mistake, users have been lost during the time this bug vigorated (actual fact, check Firefox market share). Can you really afford to be "prickish" and not acknowledge, to those who may have walked away due to this bug, that things have finally been fixed?

Food for thought.

My last words go to express my deepest gratitude for the huge analytical task of sorting out this bug.
Coding is cheap and fast. Analyzing and debugging is the real task, one which takes large amounts of time, frustration and despair. Kudos for finding a solution.
Comment 373 Charles Gilbert 2013-11-13 10:11:31 PST
My history also dates back to Netscape, so I am another longtime user. That said, I have two computers, both very fast, both running crippled in the browser department because I have the GPU disabled in Firefox. Given that this has gone on for quite a while and there now is a workaround established, if that new workaround is not put into general release I will be looking around for another browser. As much as I detest Microsoft, Internet Explorer is not so shabby these days.
Comment 374 Ryan VanderMeulen [:RyanVM] 2013-11-13 10:15:38 PST
(In reply to Charles Gilbert from comment #373)
> if that new workaround is not put into general release

As noted in the comments above, the workaround is shipping in Firefox 26. You can download the current beta release and confirm that it's fixed.

Can we please stop the "me too" comments now? Spamming 150+ people isn't overly productive.
Comment 375 Jim Jeffery not reading bug-mail 1/2/11 2013-11-13 10:20:01 PST
Not to throw water on the fire, but before we go singing the praises of a fix, which I am grateful for as an AMD user, but ...  

1. AMD is not IMO going to back-port any drivers for old legacy hardware that suffers from this bug, R66-R700 GPU, chipsets.  They are no longer updating drivers for my chipset with is and HD3200 GPU on a Phenom II CPU chipset.  

2. The 'fix' for the corrupted display has caused a regression/performance in the UX branch with is the base/test ground for the upcoming Australis UI upgrade.  They are still evaluating the numbers but it seems to have caused a pretty significant problem.  I'm assuming that if they can't find a work-around that the 'fix' may have to be backed out so they can proceed to land Australis.  

Discussion on the regression here:
https://bugzilla.mozilla.org/show_bug.cgi?id=937519

Bottom line, that leaves us AMD users out in the cold again with no way forward but to eventually upgrade their systems and/or GPU's.  I won't be doing any GPU/Video card upgrades myself.  Don't that over the years and ended up with horrid results, and fried mother boards and melt-down of Pwr/supplies.  There is more to upgrading a video card than just plugging it in...

I hope the fix sticks myself, and that the UX team can find/fix the problem with Australis.

Folks that are getting the back-port of the fix in Firefox 26, won't be getting the Australis theme, so they are good until / when Australis finally makes production and is shipped to the masses if the 'fix' does not stick.
Comment 376 William R. "Xer" Cope 2013-11-13 10:35:55 PST
(In reply to Jim Jeffery not reading bug-mail 1/2/11 from comment #375)

> 
> Bottom line, that leaves us AMD users out in the cold again with no way
> forward but to eventually upgrade their systems and/or GPU's.  I won't be
> doing any GPU/Video card upgrades myself.  Don't that over the years and
> ended up with horrid results, and fried mother boards and melt-down of
> Pwr/supplies.  There is more to upgrading a video card than just plugging it
> in...
The problem where novice users replacing their own video cards end up with fried motherboards and power supplies is generally related to having a power supply that does not have the proper... power supply... to handle the video card. That being said, the required wattage for video cards are listed in their specs if you look, and any tutorial will tell you that the first thing you need to do when replacing a video card is to check the PSU to make sure it is good enough (unfortunately, however, the average person has a tendency to be averse to reading directions, in my experience). I personally haven't seen a video card yet that required more than 450 watts, and many average cards, not the ultra high end ones, only need 300. 450 is covered by pretty much the lowest aftermarket PSU you can probably find unless you look really, really hard. That being said, a lot of low end budget store-bought PCs come with cheap PSUs as low as 250 watts, so they were obviously never meant to carry a decent video card in the first place, but upgrading is still a possibility if you just check into that.
Comment 377 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2013-11-13 10:42:23 PST
(In reply to William R. "Xer" Cope from comment #376)
> (In reply to Jim Jeffery not reading bug-mail 1/2/11 from comment #375)
> 
> > 
> > Bottom line, that leaves us AMD users out in the cold again with no way
> > forward but to eventually upgrade their systems and/or GPU's.  

Please continue this discussion outside of this bug, perhaps on the mailing lists. Thank you.
Comment 378 dusty-2011 2013-11-13 12:55:40 PST
Why is the Target Milestone set to mozilla28 Ryan VanderMeulen? In comment 374 you said this bug would be fixed in the stable version of Firefox 26. Shouldn't the Target Milestone therefore be set to mozilla26?
Comment 379 Emanuel Hoogeveen [:ehoogeveen] 2013-11-13 12:58:13 PST
The Target Milestone is set to mozilla28 because it was fixed during the mozilla28 development cycle. If you look at the status- flags, you'll see that status-firefox26 and up are marked as fixed.
Comment 380 lolbrol 2013-11-13 13:02:08 PST
When was this fixed for aurora? 2 days ago I installed IE11 and the bug appeard again in firefox. It was worse than before. It was really crying with a cap on.
Comment 381 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2013-11-13 13:05:56 PST
(In reply to lolbrol from comment #380)
> When was this fixed for aurora?

I believe the patch landed in mozilla-aurora on November 11th which would mean this would first appear in November 12ths Aurora build.
Comment 382 Jack Eidsness 2013-11-18 10:32:07 PST
I only recently allowed IE to be updated again (The workaround I chose was to uninstall IE 10 and the platform update; I finally updated to 11 after I saw this was fixed), but it is definitely broken for me, in Nightly. So I'm not sure if this is back, or never left. The nightly I'm using now is built from http://hg.mozilla.org/mozilla-central/rev/beddd6d4bcdf

Could this be a matter of settings appropriate to my hardware (AMD HD4850), or is this not actually fixed?
Comment 383 Zlip792 2013-11-18 10:51:05 PST
@Jack
Workaround: http://forums.mozillazine.org/viewtopic.php?p=13191089#p13191089

Its been added behind hidden preference. Create it.

Go to about:config and create boolean "layout.paint_rects_separately" (witout quotes) to true
Comment 384 dusty-2011 2013-11-18 13:19:00 PST
(In reply to Zlip792 from comment #383)
> @Jack
> Workaround: http://forums.mozillazine.org/viewtopic.php?p=13191089#p13191089
> 
> Its been added behind hidden preference. Create it.
> 
> Go to about:config and create boolean "layout.paint_rects_separately"
> (witout quotes) to true

Thanks. The patch which disables the font changes and adds them behind a hidden preference has been approved for the Beta and Aurora releases as well (see: https://bugzilla.mozilla.org/show_bug.cgi?id=934860#c45). So in the next Beta and Aurora version you will have to change this hidden preference yourself to see correct fonts.

Does anyone know why they chose for a hidden preference, instead of a visible preference?? A visible preference would have been easier for the end-users.
Comment 385 dusty-2011 2013-11-18 13:36:33 PST
Can we get a professional support article up and running for the latest workaround for this bug? I'm talking about the following workaround: 
Go to about:config and create boolean "layout.paint_rects_separately" (without quotes) to true.

This workaround works in the current Nightly and it will work in the next Beta and Aurora releases. It is also expected to work in the next stable version of Firefox, version 26.

What I'm talking about is a professional support article, something similar to this: https://support.mozilla.org/en-US/kb/view-pdf-files-firefox-without-downloading-them
Such a support article shouldn't take very long to make. And it would be very helpful for the less tech-savvy. Not everyone will understand e.g. what go to about:config means, and the support article should therefore explain this in greater detail. It should say type about:config in the address bar of Firefox and then click on the button to continue. The support article should then explain to click with the right mouse button on empty space and then create a new boolean. Some screenshots should further clarify this procedure.

Without a proper support article up and running which can be linked to on forums etc. the less tech-savvy will probably not be able to use the workaround for this bug.
Comment 386 spam.dump.one 2013-11-19 01:12:19 PST
(In reply to Zlip792 from comment #383)
> @Jack
> Workaround: http://forums.mozillazine.org/viewtopic.php?p=13191089#p13191089
> 
> Its been added behind hidden preference. Create it.
> 
> Go to about:config and create boolean "layout.paint_rects_separately"
> (witout quotes) to true

So, this is what passes for "resolved fixed" nowadays?
After 1 year of waiting we get a _hidden_ option as a workaround?
Comment 387 Emanuel Hoogeveen [:ehoogeveen] 2013-11-19 01:16:40 PST
The fix just isn't quite ready yet. It is currently expected to be re-enabled for everyone after some more work lands to fix the performance regressions it introduced. Until then, those affected can use that option, hidden or not (I don't know whether hiding it was intentional).
Comment 388 Kent S. 2013-11-20 15:08:34 PST
I'm seeing some font corruption on FF 26.0b6 (appearing in the GMail full-screen window, in the list of "green dot" GChat contacts on the left; the first 3 or so contacts (of a long list) will show initial corruption, that rewrites and corrects after a few seconds).

"layout.paint_rects_separately" (without quotes) created and set to "true"

Windows 7, x64; Radeon HD4470; driver version: 8.970.100.7000 (11/16/2012), Cat Suite 13.9

:'(
Comment 389 Jim Jeffery not reading bug-mail 1/2/11 2013-11-21 05:12:02 PST
*** Bug 941369 has been marked as a duplicate of this bug. ***
Comment 394 Liz Henry (:lizzard) (needinfo? me) 2013-11-21 13:53:25 PST
Restricting comments on request based on high number of violations of Bugzilla etiquette: https://bugzilla.mozilla.org/page.cgi?id=etiquette.html
Comment 395 :Gavin Sharp [email: gavin@gavinsharp.com] 2013-11-21 17:58:15 PST
(This is a bug with lots of active discussion - I'm removing the comment restriction)
Comment 396 spam.dump.one 2013-11-23 02:24:48 PST
(In reply to :Gavin Sharp (email gavin@gavinsharp.com) from comment #395)
> (This is a bug with lots of active discussion - I'm removing the comment
> restriction)

Thanks. Would it also be possible to ban that spammer?
Comment 397 nucrap 2013-11-26 07:17:41 PST
(In reply to Kent S. from comment #388)
> I'm seeing some font corruption on FF 26.0b6 (appearing in the GMail
> full-screen window, in the list of "green dot" GChat contacts on the left;
> the first 3 or so contacts (of a long list) will show initial corruption,
> that rewrites and corrects after a few seconds).
> 
> "layout.paint_rects_separately" (without quotes) created and set to "true"
> 
> Windows 7, x64; Radeon HD4470; driver version: 8.970.100.7000 (11/16/2012),
> Cat Suite 13.9
> 

Same for me! The workaround doesn't fix it.
Win 7 64 bit, ATI Radeon HD 4770, catalyst 13.9. It seems many ATI 4000 users are affected..
Comment 398 dusty-2011 2013-11-26 09:00:33 PST
(In reply to nucrap from comment #397)
> (In reply to Kent S. from comment #388)
> > I'm seeing some font corruption on FF 26.0b6 (appearing in the GMail
> > full-screen window, in the list of "green dot" GChat contacts on the left;
> > the first 3 or so contacts (of a long list) will show initial corruption,
> > that rewrites and corrects after a few seconds).
> > 
> > "layout.paint_rects_separately" (without quotes) created and set to "true"
> > 
> > Windows 7, x64; Radeon HD4470; driver version: 8.970.100.7000 (11/16/2012),
> > Cat Suite 13.9
> > 
> 
> Same for me! The workaround doesn't fix it.
> Win 7 64 bit, ATI Radeon HD 4770, catalyst 13.9. It seems many ATI 4000
> users are affected..

I don't see any font corruption in Gmail. I've been using the workaround ("layout.paint_rects_separately") for about a week now and I don't see any font corruption on any site. All the sites which previously were affected by this bug are now rendered fine. I have an ATI Radeon HD 4570.

I have to add that I don't have any chat contacts with a green dot in front of them, since they are all offline.

Is gmail the only site on the entire internet where you see minor font corruption that automatically goes away after a few seconds? If so, then it sounds like a minor issue to me. I would be more worried if you saw this font corruption on other sites as well.

Have you tested whether the font corruption goes away after uninstalling KB2670838? If the font corruption goes away after uninstalling KB2670838 then this bug isn't fully fixed for you (although the likelihood of you running into the bug has probably been massively reduced). If the font corruption does not go away after uninstalling KB2670838 then you have to file a new bug (also test whether setting "layout.paint_rects_separately" to false fixes the font corruption, if so then CC :mattwoodrow).
Comment 399 nucrap 2013-11-26 14:09:48 PST
(In reply to dusty-2011 from comment #398)
> (In reply to nucrap from comment #397)
> > (In reply to Kent S. from comment #388)
> > > I'm seeing some font corruption on FF 26.0b6 (appearing in the GMail
> > > full-screen window, in the list of "green dot" GChat contacts on the left;
> > > the first 3 or so contacts (of a long list) will show initial corruption,
> > > that rewrites and corrects after a few seconds).
> > > 
> > > "layout.paint_rects_separately" (without quotes) created and set to "true"
> > > 
> > > Windows 7, x64; Radeon HD4470; driver version: 8.970.100.7000 (11/16/2012),
> > > Cat Suite 13.9
> > > 
> > 
> > Same for me! The workaround doesn't fix it.
> > Win 7 64 bit, ATI Radeon HD 4770, catalyst 13.9. It seems many ATI 4000
> > users are affected..
> 
> I don't see any font corruption in Gmail. I've been using the workaround
> ("layout.paint_rects_separately") for about a week now and I don't see any
> font corruption on any site. All the sites which previously were affected by
> this bug are now rendered fine. I have an ATI Radeon HD 4570.
> 
> I have to add that I don't have any chat contacts with a green dot in front
> of them, since they are all offline.
> 
> Is gmail the only site on the entire internet where you see minor font
> corruption that automatically goes away after a few seconds? If so, then it
> sounds like a minor issue to me. I would be more worried if you saw this
> font corruption on other sites as well.

It even happens in firefox menu's like the download manager or simply in the preferences window...
 
> Have you tested whether the font corruption goes away after uninstalling
> KB2670838? If the font corruption goes away after uninstalling KB2670838
> then this bug isn't fully fixed for you (although the likelihood of you
> running into the bug has probably been massively reduced). If the font
> corruption does not go away after uninstalling KB2670838 then you have to
> file a new bug (also test whether setting "layout.paint_rects_separately" to
> false fixes the font corruption, if so then CC :mattwoodrow).

I'll try
Comment 400 dusty-2011 2013-11-26 16:03:20 PST
> It even happens in firefox menu's like the download manager or simply in the
> preferences window...

Okay, I have a possible explanation for this. I've done some testing and concluded that the workaround only works when applied correctly. It is absolutely essential that you create a new BOOLEAN called layout.paint_rects_separately and set its value to true. If you have created a new STRING called layout.paint_rects_separately and set its value to true then the workaround does not work.

I want you to go to about:config and look up the layout.paint_rects_separately item. Please verify that in the column type it says boolean. If it does not say boolean, then you have to get rid of the item. Getting rid of the item is not straightforward, but it can be done if you follow these steps:

1) Open about:config in Firefox. Right click on layout.paint_rects_separately and choose the last item in the context menu: Reinitialize.
2) Close Firefox entirely.
3) Go to Start-> Run->type in %appdata% and hit OK. This will take you to the application data folder.
4) Once there, browse to Mozilla-> firefox -> Profiles-> 'xxxxxxxx.default' (this is the profile folder)
5) Open prefs.js with notepad and search for layout.paint_rects_separately. Delete the entire line with layout.paint_rects_separately written on it.
6) Reopen Firefox. Open about:config. Click with the right mouse button on empty space and click on "New" and then on "Boolean". Type in layout.paint_rects_separately in the dialog box and click OK. Choose "true" in the next dialog box.
7) Test whether you still see any font corruption on websites (e.g. Gmail) and in the Firefox menus.

I hope this solves the issues you are still having. It would be great if the remaining issues were caused by people incorrectly applying the workaround, since this can be easily solved. If on the other hand, you have applied the workaround correctly and are still experiencing issues, that is a much larger cause of concern.

For me, there is an easy test to see whether the workaround has been applied correctly. I right click on the empty space just a hair below the address bar and click on the bottom item in the context menu: "Configure...". The resulting window shows font corruption if layout.paint_rects_separately is a string, and it shows no font corruption if layout.paint_rects_separately is a boolean.
Comment 401 dusty-2011 2013-11-26 16:07:38 PST
< 5) Open prefs.js with notepad and search for layout.paint_rects_separately. Delete the entire line with layout.paint_rects_separately written on it.
I forgot to mention that after step 5 you have to save the file in notepad by clicking on "File" and then "Save". Then exit notepad.
Comment 402 Kent S. 2013-11-26 17:49:12 PST
Mea culpa. I had created the workaround (layout.paint_rects_separately) as a string, rather than as boolean. Corrected now and will retest.

BTW, when the workaround didn't work, I "fixed" it by setting "gfx.content.azure.enabled" to false.
Comment 403 Jonathan Kew (:jfkthame) 2013-11-27 02:47:25 PST
(In reply to dusty-2011 from comment #400)

> I want you to go to about:config and look up the
> layout.paint_rects_separately item. Please verify that in the column type it
> says boolean. If it does not say boolean, then you have to get rid of the
> item. Getting rid of the item is not straightforward, but it can be done if
> you follow these steps: ...

If you've created a pref with the wrong type (such as string instead of boolean), you should be able to fix this by just right-clicking the entry in about:config and choosing "Reset" (in the case of a string, this will reset it to an empty string).

Then quit the browser, and restart it; the user-created pref should now be gone again, and you can re-create it with the proper type.
Comment 404 dusty-2011 2013-11-27 07:30:21 PST
(In reply to Kent S. from comment #402)
> Mea culpa. I had created the workaround (layout.paint_rects_separately) as a
> string, rather than as boolean. Corrected now and will retest.
> 
> BTW, when the workaround didn't work, I "fixed" it by setting
> "gfx.content.azure.enabled" to false.

See, my gut feeling told me that the workaround had probably been applied incorrectly. And it was also what I was hoping for, since this is easily corrected. Anyways, this is great news!
I guess this shows again that we are in desperate need of an official support article on this matter. We need a support article which clearly explains all the steps involved in applying this workaround, so that it is applied correctly and the developers are not faced with incorrect bug reports. Even though the keyword "user-doc-needed" is set, Mozilla hasn't shown any haste in getting a professional support article online.
It also shows that it was a weird choice to create a _hidden_ preference layout.paint_rects_separately. Had the preference been visible to the end-user then the end-user would've only had to switch the entry from false to true, which is much less error-prone then asking the end-user to create a user preference. When you ask an end-user to create a preference themselves you will always have some people that create a string instead of a boolean or make a typo.


(In reply to Jonathan Kew (:jfkthame) from comment #403)
> (In reply to dusty-2011 from comment #400)
> 
> > I want you to go to about:config and look up the
> > layout.paint_rects_separately item. Please verify that in the column type it
> > says boolean. If it does not say boolean, then you have to get rid of the
> > item. Getting rid of the item is not straightforward, but it can be done if
> > you follow these steps: ...
> 
> If you've created a pref with the wrong type (such as string instead of
> boolean), you should be able to fix this by just right-clicking the entry in
> about:config and choosing "Reset" (in the case of a string, this will reset
> it to an empty string).
> 
> Then quit the browser, and restart it; the user-created pref should now be
> gone again, and you can re-create it with the proper type.

Thanks, I just tested that and it works! This is a much easier solution than the one I posted. I had looked up my solution online, so I guess my source was wrong about this (or my source was right about this the time he posted it, 7 years ago, and the procedure has since been changed).
Comment 405 nucrap 2013-11-27 08:42:47 PST
@dusty-2011@hotmail.com:
Thanks for your efforts, but I have set up everything correctly. The workaround doesn't work for me. Turning HW acceleration off does.

I'll now try with uninstalling the ms update...
Comment 406 nucrap 2013-11-27 09:32:40 PST
Ok I have uninstalled KB2670838 and the issue is solved.
Comment 407 nucrap 2013-11-27 09:35:18 PST
@dusty-2011@hotmail.com: Also sure this "hidden" workaround is even implemented in my ff 25.0.1? Or is it only in some later dev version?
Comment 408 Gian-Carlo Pascutto [:gcp] 2013-11-27 09:41:43 PST
See the flags on top of this bug:

status-firefox25: 	wontfix
status-firefox26: 	fixed 

The workaround can only be activated in Firefox 26 (=beta right now) and later.
Comment 409 dusty-2011 2013-11-27 10:01:54 PST
Why has the title of this bug been changed to "content removed as per bug 936499"?? And why am I unable to access bug 936499? I receive the message "You are not authorized to access bug #936499." Is this the new Mozilla policy, to shield everything off from the end users? What exactly is this bug 936499? What is discussed in that bug? Why has it caused the content of bug 812695 to be removed?


(In reply to nucrap from comment #405)
> @dusty-2011@hotmail.com:
> Thanks for your efforts, but I have set up everything correctly. The
> workaround doesn't work for me. Turning HW acceleration off does.
> 
> I'll now try with uninstalling the ms update...

You clearly have not set up everything correctly, since you haven't even understood what step 1 is supposed to be:
step 1) Install Firefox Beta
step 2) Apply workaround by editing about:config

I thought it was quite clear from the previous comments and the tracking flags that the bug was only fixed for Firefox 26 (and up) AND that you had to apply a workaround by editing about:config.

Anyways, I'm really glad that everyone who reported that the workaround doesn't work was wrong. This means we finally have a fully working fix for this bug that works for everyone.
Comment 410 dusty-2011 2013-11-27 10:06:06 PST
The title of this bug has now been changed back from "content removed as per bug 936499" to the original title: "- [D2D] Text Rendering Issues on Windows 7 with Platform Update KB2670838 (MSIE 10 Prerequisite) or on Windows 8.1". Can someone tell me what's going on here? Why has the title been changed twice? What is bug 936499?
Comment 411 Gian-Carlo Pascutto [:gcp] 2013-11-27 10:07:39 PST
>Why has the title of this bug been changed to "content removed as per bug 936499"?? And why am I unable to access bug 936499?

There was a load of spam in this bug from some kind of DDOS attack. The spam has been removed (see for example https://bugzilla.mozilla.org/show_bug.cgi?id=812695#c396 and the missing comments surrounding it). I guess the 936499 bug is the security team trying to deal with it.

And can we please get back on topic now?
Comment 412 nucrap 2013-11-27 10:12:16 PST
Installed firefox 26 beta (sorry but I really have more important things to do than scrolling threw a ton of comments...) and the workaround works now ! Thanks!
Comment 413 Vlad 2013-12-10 07:28:19 PST
Hmm, updated to Firefox 26 and Enabled HW in Additional Settings and ... distortion is here. :( (Windows 7 x86, Radeon mobility 3470 with Catalyst 13.9)
Comment 414 Emanuel Hoogeveen [:ehoogeveen] 2013-12-10 07:43:04 PST
To enable the workaround for this bug:
1) Make sure you're running Firefox 26 or higher
2) Go to about:config
3) Right click anywhere in the content area, create a new Boolean called "layout.paint_rects_separately" (without the quotes) and set it to true
4) Restart the browser

This setting is expected to become the default at some point, but right now it causes some performance regressions.
Comment 415 Vlad 2013-12-10 07:52:18 PST
You are just right! :) I totally forgot about this setting. Ok, set it now, and right now everything just fine. ^)
Comment 416 dusty-2011 2013-12-10 08:27:43 PST
In the release notes of Firefox 26 (http://www.mozilla.org/en-US/firefox/26.0/releasenotes/) you have linked to this bug, this is a missed opportunity. You should have linked to a professional support article detailing the exact steps for enabling the workaround (see comment 414). As it stands, most end users will now simply assume the bug is fixed and will not know about the workaround. After upgrading to Firefox 26 they will still see the font corruption and be mad. They will probably switch browsers or file a new bug or come complain here without reading the prior comments.

Please, get a professional support article ready today or tomorrow and link to it in the release notes. Thank you.

PS. I am clearing the need info request for kesoule@aya.yale.edu as I have given him plenty of time to respond. In comment 402 he admitted he created the workaround as a string instead of a boolean, so that's why the workaround didn't work for him.
Comment 417 Kent S. 2013-12-10 08:56:55 PST
(In reply to dusty-2011 from comment #416)
 
> PS. I am clearing the need info request for kesoule@aya.yale.edu as I have
> given him plenty of time to respond. In comment 402 he admitted he created
> the workaround as a string instead of a boolean, so that's why the
> workaround didn't work for him.

My apologies. I thought that my response in comment 402 was sufficient. I have not had any issues since correcting the pref. from a string to boolean. Currently running FF26.0b10.

p.s. I totally agree that the Rel Note on this issue is presently inadequate. Designating the bug as "fixed" is insufficient to alert those who have been affected that they must also manually create a new value via about:config.
Comment 418 Jason 2013-12-10 17:18:00 PST
I haven't read the comments because there are so many, so this may have already been addressed, but this bug does not appear fixed to me.  We are still experiencing it with the latest version of Firefox on both Windows 7 and Windows 8.1 in a standard environment.
Comment 419 Masatoshi Kimura [:emk] 2013-12-10 18:44:51 PST
(In reply to Jason from comment #418)
> I haven't read the comments because there are so many, so this may have
> already been addressed, but this bug does not appear fixed to me.  We are
> still experiencing it with the latest version of Firefox on both Windows 7
> and Windows 8.1 in a standard environment.

Please read comment #414.
Comment 420 Jason 2013-12-10 18:48:53 PST
(In reply to Masatoshi Kimura [:emk] from comment #419)
> (In reply to Jason from comment #418)
> > I haven't read the comments because there are so many, so this may have
> > already been addressed, but this bug does not appear fixed to me.  We are
> > still experiencing it with the latest version of Firefox on both Windows 7
> > and Windows 8.1 in a standard environment.
> 
> Please read comment #414.

I see.  Thanks.

Why was this marked as "fixed" if a workaround is required to "fix" it?  Why not mark it as WON'TFIX?
Comment 421 Chris Fox 2013-12-10 23:46:53 PST
Saw new version of Firefox was out.
Saw text rendering bug that effects Windows 8.1 is fixed -- Hooray!
Downloaded & Installed update.
Turned hardware acceleration back on.
Restarted Firefox again.
Text scrambling again.

What was fixed again?
Comment 422 Michael Hohner 2013-12-10 23:56:50 PST
Seems the fix and workaround also fix bug 671302, at least for me.
Comment 423 Masatoshi Kimura [:emk] 2013-12-11 04:07:53 PST
(In reply to Chris Fox from comment #421)
> Saw new version of Firefox was out.
> Saw text rendering bug that effects Windows 8.1 is fixed -- Hooray!
> Downloaded & Installed update.
> Turned hardware acceleration back on.
> Restarted Firefox again.
> Text scrambling again.
> 
> What was fixed again?

Did you read and follow comment #414?
Comment 424 spam.dump.one 2013-12-11 04:24:38 PST
(In reply to Chris Fox from comment #421)
> Saw new version of Firefox was out.
> Saw text rendering bug that effects Windows 8.1 is fixed -- Hooray!
> Downloaded & Installed update.
> Turned hardware acceleration back on.
> Restarted Firefox again.
> Text scrambling again.
> 
> What was fixed again?

They wrote a comment in a bug report page with 400 comments to describe a workaround they have hidden behind the most complex option page they had in the program.

This is how they "fix" things now ;-)
Comment 425 Jeff Muizelaar [:jrmuizel] 2013-12-11 05:19:55 PST
Reopening because, as people have mentioned, this hasn't actually been fixed yet. I'll try to get the release notes adjusted as well.
Comment 426 Emanuel Hoogeveen [:ehoogeveen] 2013-12-11 08:36:33 PST
(In reply to spam.dump.one from comment #424)
> They wrote a comment in a bug report page with 400 comments to describe a
> workaround they have hidden behind the most complex option page they had in
> the program.

Mozilla isn't some monolithic entity - and I'm just a volunteer ;) I agree the situation here became very tangled, which is unfortunate. I think what happened is the following:
1) The behavior seen in this bug was fixed by the patch in bug 934860, which got backported to the 26 and 27 branches.
2) This bug was marked RESOLVED FIXED, and a release note prepared.
3) The fix turned out to regress performance in the general case, and a backout was requested. However it is expected that with some further tweaks, the new behavior will actually be faster in the future, so instead of being backed out it was merely disabled.

Unfortunately the state of this bug wasn't (fully) updated to reflect point 3, and neither was the release note.
Comment 427 Chris Fox 2013-12-11 22:00:41 PST
(In reply to Masatoshi Kimura [:emk] from comment #423)

> Did you read and follow comment #414?

Yes, I did. My point is, isn't a work-around by definition an action taken to avoid the behavior of a known bug? If the big has been fixed there isn't anything that should require work-around -- because the bug shouldn't be there anymore.

About:config is supposed to be an advanced preference and tweaking interface -- not something the average user should have to access to resolve problems.

At the very least, if the problem can't be truly fixed and the official solution is going to be to use this work-around change in about:config, this string/value should be included in the 26.0.0 version by default. It should not require the user to manually add it.
Comment 428 Gian-Carlo Pascutto [:gcp] 2013-12-11 23:04:37 PST
We can't fix the bug because it's not in our software. We can only work around it. So any fix from our side is going to be a workaround, and that's exactly what was done. 

From the point of our users it makes sense to keep it open until the workaround doesn't need action from their side.

>this string/value should be included in the 26.0.0 version by default

Absolutely not, as it will regress performance for people who do NOT have a broken graphics card + driver combo. Automatically setting it for people on the affected combination would have been nice, but apparently detecting that in an automated manner hasn't been possible so far.
Comment 429 Kurt Pruenner 2013-12-11 23:43:46 PST
(In reply to Gian-Carlo Pascutto (:gcp) from comment #428)
> >this string/value should be included in the 26.0.0 version by default
> 
> Absolutely not, as it will regress performance for people who do NOT have a
> broken graphics card + driver combo. Automatically setting it for people on
> the affected combination would have been nice, but apparently detecting that
> in an automated manner hasn't been possible so far.

The user really shouldn't have to add the pref to about:config, seeing as there's a good chance they might manage to choose a type besides boolean and it won't work.

Why keep this a hidden pref instead of setting it to false by default? That way the user at least only has to double click the existing pref instead of adding it themselves...
Comment 430 Mark Straver 2013-12-12 01:59:21 PST
(In reply to Gian-Carlo Pascutto (:gcp) from comment #428)
> Automatically setting it for people on
> the affected combination would have been nice, but apparently detecting that
> in an automated manner hasn't been possible so far.

Why isn't this possible? If one looks at about:support, there is plenty of detail about:
- The graphics hardware and driver
- The version of DirectWrite
and detecting the OS is easy as well and already done within the browser.

So there should be plenty of data available within the browser to automatically detect the affected combination of hardware/driver/DirectWrite/OS, and to enable this or any other workaround on affected combinations. Check the combo, flip the pref. Should be easy enough?
Comment 431 Gian-Carlo Pascutto [:gcp] 2013-12-12 02:53:35 PST
>the affected combination of hardware/driver/DirectWrite/OS

I'm guessing it's not clear what this *exact* list is, and we have no way to verify ourselves (see e.g. comment 345). Some people in this bug reported the issue on Intel cards. Do you block/workaround on those as well thereby lowering their performance even though their stuff is fine? Are you confident all R600/R700 chips are affected (AMD apparently claims they can't find affected hardware) and it's not an intermittent issue? Total rats nest...you yourself advocated against blanket blacklisting earlier.

I understand the current path forward is to optimize the rendering so the workaround can be enabled globally, for everyone, with no performance penalty.
Comment 432 Emanuel Hoogeveen [:ehoogeveen] 2013-12-12 02:58:30 PST
I would suggest turning on the pref for all the systems running AMD's legacy drivers (8.970.100.110 and older), at least. Since the regression affects only performance and that's expected to get fixed in the coming months, I'm not too worried about catching unaffected configurations with that change.
Comment 433 Vitor Cunha 2013-12-12 03:09:26 PST
(In reply to Emanuel Hoogeveen [:ehoogeveen] from comment #432)
> I would suggest turning on the pref for all the systems running AMD's legacy
> drivers (8.970.100.110 and older), at least. Since the regression affects
> only performance and that's expected to get fixed in the coming months, I'm
> not too worried about catching unaffected configurations with that change.

Yes, I do agree the best way wold be to enable by default the workaround on Legacy cards.

I do however justify this option another way, the major argument against enabling this by default is performance impact (on the new modern hardware). 
It should be obvious that this rally is a "non issue" to legacy cards who have long lost their performance luster.

Having a browser who does not display things properly on another hand really is something major.
Comment 434 Vitor Cunha 2013-12-12 03:25:51 PST
(In reply to Vitor Cunha from comment #433)
> Yes, I do agree the best way wold be to enable by default the workaround on
> Legacy cards.
> 
> I do however justify this option another way, the major argument against
> enabling this by default is performance impact (on the new modern hardware). 
> It should be obvious that this rally is a "non issue" to legacy cards who
> have long lost their performance luster.
> 
> Having a browser who does not display things properly on another hand really
> is something major.

Apologies for the broken English. Please let me elaborate my line of thought.

It shouldn't be any wonder that a slow card performs slow, however it is of very high "surprise" that a browser does not display text properly. This is why the #1 priority should be to have the text showing properly on those legacy cards.

However legacy users don't have to live with "degraded" performance forever. They can always go to about:config and enter the proposed workaround "in reverse" (disabling the simplified rendering and seeing if they can extract the best performance out of their cards).

It's a win-win for everyone.
Casual users get a browser that just works by default. Power users get to manually test their cards and make their own decisions through about:config.
Comment 435 Gian-Carlo Pascutto [:gcp] 2013-12-12 03:31:01 PST
There's no disagreement that anyone affected by this bug should get the workaround enabled even if it lowers their performance, so I don't know what you're even arguing about.

We optimally don't want to lower performance for people *not* affected by the bug.

Emmanuel, do you want to file the bug to automate it?
Comment 436 Vitor Cunha 2013-12-12 03:35:36 PST
I was just asserting how we can blacklist the whole "legacy driver" range from ATI/AMD, even if (like you have said before) there are no assurances that every single card that uses the "legacy driver" is affected by this.
Comment 437 Mark Straver 2013-12-12 06:18:11 PST
(In reply to Gian-Carlo Pascutto (:gcp) from comment #431)
> I'm guessing it's not clear what this *exact* list is, and we have no way to
> verify ourselves (see e.g. comment 345). Some people in this bug reported
> the issue on Intel cards. 
I thought the affected combination was quite clear: Win 7 or 8 + R600/700 chips + DirectWrite 6.2.*
I think the Intel issue is unrelated judging by the reports so far and should be separated out. Once automation is in place, though, it should be easy enough to add a check for other combinations and take the appropriate action.

> find affected hardware) and it's not an intermittent issue? Total rats
> nest...you yourself advocated against blanket blacklisting earlier.
I'm still against it, so that why I say it should *only* be done if the affected *combination* is found. I also think hitting "all legacy driver versions" is too broad, regardless what the assumed priorities of people with older chips might be. I'd think on older cards it's actually more important, not less important, to not lose additional performance...

> I understand the current path forward is to optimize the rendering so the
> workaround can be enabled globally, for everyone, with no performance
> penalty.
I think there will never be "no performance penalty" with the workaround; if you are going to paint rects one by one instead of using optimized clipping, you'll always have some performance loss.
Comment 438 Jeff Muizelaar [:jrmuizel] 2013-12-12 06:23:09 PST
(In reply to Mark Straver from comment #437)
> (In reply to Gian-Carlo Pascutto (:gcp) from comment #431)
> > I understand the current path forward is to optimize the rendering so the
> > workaround can be enabled globally, for everyone, with no performance
> > penalty.
> I think there will never be "no performance penalty" with the workaround; if
> you are going to paint rects one by one instead of using optimized clipping,
> you'll always have some performance loss.

IE paints rects one by one which is why this bug doesn't show up for them. It should also be faster and enabled for everyone once we get the performance regressions figured out.
Comment 439 Jack Eidsness 2013-12-20 02:17:20 PST
I hope it might be interesting to hear that for the first time, I've seen a similar text display error in a program other than firefox - the bad news is it's thunderbird (Daily). It was happening less often than with firefox. I don't know if I should expect the same workaround to work or not, but I've tried it anyway. So far, so good.
If that's not at all interesting, well, sorry for the spam.
Comment 440 Lukas Blakk [:lsblakk] use ?needinfo 2013-12-20 10:40:52 PST
Updated the release notes to put this in the "Known Issues" section with a link to comment 414 for workaround.
Comment 441 Martin 2014-01-16 04:38:07 PST
Workaround for me was;

>gfx.content.azure.enabled=true
Initially setting to false fixed my font but then I was getting black boxes for autocomplete and right click context menus bug 947477. Reading this issue led me to
>gfx.content.azure.backends=cairo
which fixes my font issue and after a restart of FF fixes the black box issues.

Where does
>layout.paint_rects_separately
fit into this? (Would ahve asked on the forum but the support thread - https://support.mozilla.org/en-US/questions/959581 has been locked!)
Comment 442 dusty-2011 2014-01-16 15:14:16 PST
(In reply to Martin from comment #441)
> Workaround for me was;
> 
> >gfx.content.azure.enabled=true
> Initially setting to false fixed my font but then I was getting black boxes
> for autocomplete and right click context menus bug 947477. Reading this
> issue led me to
> >gfx.content.azure.backends=cairo
> which fixes my font issue and after a restart of FF fixes the black box
> issues.
> 
> Where does
> >layout.paint_rects_separately
> fit into this? (Would ahve asked on the forum but the support thread -
> https://support.mozilla.org/en-US/questions/959581 has been locked!)

You can disable ALL previous workarounds. So set gfx.content.azure.enabled and gfx.content.azure.backends back to their default values. Then follow the instructions in comment 414.
Comment 443 eqspeef 2014-02-24 15:27:46 PST
> This setting is expected to become the default at some point, but right now
> it causes some performance regressions.


Comment 414 seems to work for me this time. (I got new hardware and reinstalled windows, so I had to re-fix my firefox. Turns out I first commented on this bug a year ago yesterday in 814363! :)  )
Comment 444 YF (Yang) 2014-03-09 07:04:42 PDT
*** Bug 981392 has been marked as a duplicate of this bug. ***
Comment 445 Michael Van Canneyt 2014-03-09 10:26:11 PDT
Bug 981392 (marked as a duplicate of this) is definitely not fixed with any of the workarounds mentioned here, including comment 414.
Using Firefox 2.7, Windows 8.1
Comment 446 Chris Fox 2014-03-09 22:39:57 PDT
(In reply to Michael Van Canneyt from comment #445)
> Using Firefox 2.7, Windows 8.1

It helps if you use a version of Firefox from this decade. ;)
Comment 447 john ruskin 2014-03-09 23:15:03 PDT
There isn't a Fox version 2.7 on the MOZ site.   Although there is a SeaMonkey, from 2012.
But, best hint for undoing the satire...
I'm guessing Mr. Canneyt meant ver 27, since that's what he reported in Bug 981392


(In reply to Chris Fox from comment #446)
> (In reply to Michael Van Canneyt from comment #445)
> > Using Firefox 2.7, Windows 8.1
> 
> It helps if you use a version of Firefox from this decade. ;)
Comment 448 foxi 2014-03-19 05:17:39 PDT
This bug is back in Firefox V28.0
Windows 8.1 32 bit

In the past I had used a solution to set "gfx.content.azure.enabled" setting to false - this no longer works and it still shows font corruption

Disable hardware acceleration in Firefox - it still shows font corruption

Disable Direct2D by setting the gfx.direct2d.disabled pref to true - it still shows font corruption


This effect shows up on Google News http://news.google.com.au/news?ned=au&hl=en but it doesn't happen on the main google news page.

It shows on the sub category pages like Science/Health/World.
A further step is needed as the top of the page is fine - I have to scroll down and THEN move the mouse up/down and it occurs. 

I hope that is sufficient information to help reproduce the bug.
Comment 449 foxi 2014-03-19 05:23:53 PDT
(In reply to foxi from comment #448)
> 
> In the past I had used a solution to set "gfx.content.azure.enabled" setting
> to false - this no longer works and it still shows font corruption
> 
> Disable hardware acceleration in Firefox - it still shows font corruption
> 
> Disable Direct2D by setting the gfx.direct2d.disabled pref to true - it
> still shows font corruption
> 

Extra info: setting this does not help - the font corruption is still there: gfx.content.azure.backends=cairo
Comment 450 Gian-Carlo Pascutto [:gcp] 2014-03-19 05:25:31 PDT
The proper workaround is in comment 414. (Note the title of this bug...)
Comment 451 foxi 2014-03-19 05:32:21 PDT
Thanks.  Confirmed that it fixes the issue.
Comment 452 Nick 2014-03-19 06:33:44 PDT
Firefox uses Direct3d 11 and Direct2d. My Radeon HD 7340 no problem. Windows x64 8.1
Comment 453 spam.dump.one 2014-03-20 13:34:54 PDT
(In reply to Nick from comment #452)
> Firefox uses Direct3d 11 and Direct2d. My Radeon HD 7340 no problem. Windows
> x64 8.1

You don't say?
This problem is known to affect "only" the old 5000, 4000 and 3000 Radeon series.
Comment 454 nucrap 2014-03-20 15:18:45 PDT
> This problem is known to affect "only" the old 5000, 4000 and 3000 Radeon series.
Yep, and AMD is fully aware of the issue and refuses to fix it. It's fixed or simply non-existent in newer AMD drivers, but those are bound to newer cards only.

IMO Mozilla should use it's power as a company to force AMD fixing it for those "depreciated" cards. There have already been made complains by multiple users (me including), but AMD simply doesn't care to fix their drivers, or even give a statement...


PS: This is my current knowledge about the topic. It is correct that this bug came up with Windows 7 Update KB2670838, but as far as I know it's not Microsofts fault but a misbehaviour in the AMD/ATI driver that has been "triggered" by this update.
Should this not be the case, I'm sincerely sorry for blaming AMD. But still they should at least give a statement as to why they won't fix it.

Source (German unfortunately):
http://www.planet3dnow.de/cms/5957-mozilla-firefox-text-rendering-fehler-amd-radeon-legacy/
Comment 455 Nick 2014-03-20 15:53:33 PDT
Radeon 5000 is not affected. only 4000 and 3000 are.
Comment 456 Vitor Cunha 2014-03-20 16:07:52 PDT
(In reply to Nick from comment #455)
> Radeon 5000 is not affected. only 4000 and 3000 are.
I believe there are a handful of 5000 series IGPs that are actually rebranded 4000s. 

(In reply to nucrap from comment #454)
> PS: This is my current knowledge about the topic. It is correct that this
> bug came up with Windows 7 Update KB2670838, but as far as I know it's not
> Microsofts fault but a misbehaviour in the AMD/ATI driver that has been
> "triggered" by this update.
> Should this not be the case, I'm sincerely sorry for blaming AMD. But still
> they should at least give a statement as to why they won't fix it.
> 
> Source (German unfortunately):
> http://www.planet3dnow.de/cms/5957-mozilla-firefox-text-rendering-fehler-amd-
> radeon-legacy/

With all due respect, the ticket you are seeing IS the source... what you are referring to as "source" is the fairytale of the actual source (this ticket).

We can play the blame-shifting game for as long as we want, at the end of the day the fact remains that this "blame on" Microsoft or "blame on" ATI/AMD bug currently only manifests itself on Firefox.
It's such a nasty bug in the core OS or the core driver that only happens to break one program -- suspicious don't you think?
Comment 457 nucrap 2014-03-20 16:55:12 PDT
(In reply to Vitor Cunha from comment #456)
> With all due respect, the ticket you are seeing IS the source... what you
> are referring to as "source" is the fairytale of the actual source (this
> ticket).

Yes sorry, indeed I shouldn't have called it "source", but the article is (as far as I see) a wrap up of this bug report (however I must confess that only after posting my comment here I noticed that this bugreport the "only" source of the article). Considering this bug report being so cluttered, I think it's necessairy to give some kind of "source".

> We can play the blame-shifting game for as long as we want, at the end of
> the day the fact remains that this "blame on" Microsoft or "blame on"
> ATI/AMD bug currently only manifests itself on Firefox.
> It's such a nasty bug in the core OS or the core driver that only happens to
> break one program -- suspicious don't you think?

Actually I think that AMD just doesn't care to fix their legacy drivers. Since firefox is an Application very focused on displaying text and one of the first Browsers to use the directWrite technology (which is being brought to us by KB2670838), I'm not surprised it manifests just there. Chrome for example, doesn't have text smoothening at all on Windows...
Comment 458 Steve Wendt 2014-03-20 19:06:58 PDT
(In reply to Nick from comment #455)
> Radeon 5000 is not affected. only 4000 and 3000 are.

Comment 76 and my own experience indicate the problem also affects Radeon HD 2600 Pro/XT.
Comment 459 Justin Dolske [:Dolske] 2014-03-20 21:36:13 PDT
*** Bug 986318 has been marked as a duplicate of this bug. ***
Comment 460 Mauro Molinari 2014-03-21 01:21:03 PDT
(In reply to Nick from comment #455)
> Radeon 5000 is not affected. only 4000 and 3000 are.

And also Radeon HD 2000 series ;-)
I have a HD 2400 Pro and I have to use "gfx.content.azure.enabled=false" in Firefox ESR 24.x to work around this issue.
Comment 461 Vitor Cunha 2014-03-21 02:28:31 PDT
(In reply to Steve Wendt from comment #458)
> (In reply to Nick from comment #455)
> > Radeon 5000 is not affected. only 4000 and 3000 are.
> 
> Comment 76 and my own experience indicate the problem also affects Radeon HD
> 2600 Pro/XT.

My (affected) Mobility Radeon HD 3650 is essentially a higher clocked rebrand of the HD 2600 (RV630), so it is more than likely it also affects (at least) some of the HD 2000 series.
Comment 462 Jens 2014-03-22 14:56:28 PDT
I have the same problem since I switched from XP to Windows 7 on my Lenovo X61s with Mobile Intel 965 Express Chipset. All workarounds listed here did not solve the problem.
Comment 463 (mostly gone) XtC4UaLL [:xtc4uall] 2014-03-22 15:08:09 PDT
(In reply to Jens from comment #462)
> ... with Mobile Intel 965 Express Chipset ...

This report is strictly about certain AMD/ATI GFX cards. Issues with other cards - even if they appear similar - deserve a new report.
Comment 464 cristianrod89 2014-03-28 15:43:14 PDT
Thanks god I'm not the only one with this problem. I have a HD4870 and this bug is very annoying.
Comment 465 dusty-2011 2014-03-29 09:04:34 PDT
(In reply to cristianrod89 from comment #464)
> Thanks god I'm not the only one with this problem. I have a HD4870 and this
> bug is very annoying.

Please follow  the instructions in comment 414. The bug should then no longer annoy you.
Comment 466 pjunkel-pcmind 2014-03-30 21:04:50 PDT
Gentlemen, may I ask a question? I have read as many comments as I can handle, but not all of them so I beg your pardons if this was mentioned already. Also, I have followed this problem for many months now, and I have tried multiple work-arounds...all to no avail. I am going to try the work-around in comment 414 and expect it to finally work, but I have a question. If this issue is a simple AMD legacy driver issue, then why is it that when I use the Pale Moon web browser (which is basically Firefox) do I have no troubles at all with the corrupted font display issue regardless of whether I am using a Microsoft video driver, an AMD legacy driver or whatever? This is a serious question meant to prompt a look in the hopefully proper direction to fix my beloved Firefox. What is it that they removed from Firefox to make it Pale Moon that simply fixes the corrupted font issue, because I sure as heck don't change my laptop or desktop in any other way. I can fire up both browsers side by side. Firefox will show corrupted font and Pale Moon will not. I know from reading Pale Moon's description that they strip out some features of Firefox, including accessibility features? Does any of that info help at all? Anyway, off to try the #414 method.
Comment 467 LepidopTERA 2014-04-01 19:54:55 PDT
(In reply to pjunkel-pcmind from comment #466)
> Gentlemen, may I ask a question? I have read as many comments as I can
> handle, but not all of them so I beg your pardons if this was mentioned
> already. Also, I have followed this problem for many months now, and I have
> tried multiple work-arounds...all to no avail. I am going to try the
> work-around in comment 414 and expect it to finally work, but I have a
> question. If this issue is a simple AMD legacy driver issue, then why is it
> that when I use the Pale Moon web browser (which is basically Firefox) do I
> have no troubles at all with the corrupted font display issue regardless of
> whether I am using a Microsoft video driver, an AMD legacy driver or
> whatever? This is a serious question meant to prompt a look in the hopefully
> proper direction to fix my beloved Firefox. What is it that they removed
> from Firefox to make it Pale Moon that simply fixes the corrupted font
> issue, because I sure as heck don't change my laptop or desktop in any other
> way. I can fire up both browsers side by side. Firefox will show corrupted
> font and Pale Moon will not. I know from reading Pale Moon's description
> that they strip out some features of Firefox, including accessibility
> features? Does any of that info help at all? Anyway, off to try the #414
> method.

It is an interesting point to raise.  Maybe it is also possible that Pale Moon has implemented the fix mentioned in comment 414?
Comment 468 sachristan 2014-04-01 23:50:02 PDT
I'll only say that I have a HD4870 graphics card using Nightly builds and didn't have a problem until long after the KB2670838 was released and installed by me on 03/01/2013.  I could narrow down the beginning of my text scrolling issues to three days of updates in November 2013.  Unfortunately, I did MS updates during that three day period including installing IE11 which complicates the narrowing down process.

Ill post a link to my original bug report that narrows down the beginning of my problem between Nov. 17, 2012 and Nov. 20 2013 and a pic of the updates done at that time.  Some code in FF Nightly had to change to make text unscrollable during that time or something BIG like IE11 might be the cause of the problem but I don't think it is just KB670838.

I'm happy enough with the fix (comment 414) but something had to change in one of either Nightly's code during that three day period or due to the MS updates listed in pic because System Restore fixed the problem.

Original bug report: https://bugzilla.mozilla.org/show_bug.cgi?id=941369
My updates during the 11/17 to 11/20/2013 period : http://i.imgur.com/IIvdNKP.png
Comment 469 Mark Straver 2014-04-02 02:56:13 PDT
(In reply to LepidopTERA from comment #467)
> It is an interesting point to raise.  Maybe it is also possible that Pale
> Moon has implemented the fix mentioned in comment 414?

No, Pale Moon does not implement the fix referred to in comment 414. Bug 934860 has not been ported over (mainly because of the refactoring done in Thebes and because of the indicated perf hit) so it doesn't apply.
Comment 470 ferline2000mx 2014-04-02 18:15:35 PDT
Well, if this helps, I had some strange issues regarding the Instalation of KB2670838, I would like to tell this so it maybe helps fixing this bug.

First of all, I got 2 PC's, one desktop with an EVGA XFX ATI Radeon HD 4350 and a laptop using an ATI Radeon (Mobility I guess) HD 3200 VGA, I must assume, modded by the vendor (Acer).

Well, when first upgraded to IE10, the forst PC to get the update was the laptop, I generally don't enable automatic updates for windows, because they tend to screw up things lately, so I only isntall critical patches manualy when needed, of course, IE10 was installes manualy too. Result: No garbled text, or problems scrolling through pages... quite weird.

A month later, I upgraded to IE10 on the destop PC that has the HD4350, manualy too. Result: Garbled text and issues scrolling through pages. In this particular case, while playing around with Firefox 22 (IIRC), I discovered that setting the flag "gfx.content.azure.backends" from "direct2d,cairo" to "opengl" fixed the problem, and even sped up some stuff... If you ask me, this workaround was kinda weird taking in mind Firefox Team NEVER said something about Firefox supporting opengl for rendering (Which could be a nice solution instead of relying on direct2d, and enabling easy cross-platform releases).

Well, after all this, Firefox 28 comes along, and, taking in mind what I've read, now seems that azure and cairo-direct2d combo is forced and cannot be disabled... or tweaked -so this means that when I tried the opengl fix... if it it a real thing, it didn't work-, so, after researching some more, I found this workaround, and works wonders.

Now, besides all this story, I would like to say that this workaround (layout.paint_rects_separately), seems to speed up things instead of making things slower... I see in comment 414 that is supposed to add some performance penalties (?), but on my end, seems that it doesn't do that.

For example, Outlook.com always seemed to hate FF and had slow loading times (sometimes, being unusable until fully loaded), if you set this flag to true, outlook loads faster and renders faster, same with facebook and youtube, even some intensitive sites I've loaded seem to work better, maybe more poeple can confirm this.

So... I ended enabling this workaround even for my laptop, that didn't exhibit this bug.

For extra information, I tried to upgrade my ATI drivers on my desktop to the latest version AMD offers on their site, but seems useless since the bug continues even with updated drivers (only solution is the workaround it seems), so either is AMD's fault (as many people claim) or maybe Microsoft is not sharing some secrets behind this update, that seems to have issues with dual card systems (I don't know if this still persists, but their warnings are still there).

To end this I leave both my system specs to see if this helps somehow.

Desktop (Needed workaround for garbled text):
MoBo: PCChips A13G+ v3.0 Nvidia Chipset
CPU: Athlon 64 x2 5200+ 2.7 Ghz Brisbane
RAM: Kingston ValueRAM 2x2 GB (4 GB) Bus 667 Mhz
VGA: XFX ATI Radeon HD 4350 512 MB (Using some 2010 drivers that work for me, the newest are nonsense...)
Display: HP LDC 20"
OS: Windows 7 SP1 x64, IE11 and KB2670838 installed

Laptop (No bugs shown, added workaround just to speed up things :S :
MoBo: Acer modded, uses Phoenix BIOS, AMD Chipset K11
CPU: Athlon 64 x2 QL-65 2.1 Ghz
RAM: Adata 2X2 GB (4GB) Bus 800 @ 667 Mhz
VGA: ATI Radeon HD 3200 256 MB (Using Acer drivers, from their site)
Display: I assume is a Samsung LED screen 14"
OS: Windows 7 SP1 x64, IE11 and KB2670838 installed

Hope this helps a bit, it's a great effort to develop such a nice browser, hopefully, you will find the way IE handles the new D2D flags and succesfully remove this bug.

Thanks for this browser, it's my fave :)
Comment 471 Vitor Cunha 2014-04-03 05:04:48 PDT
(In reply to ferline2000mx from comment #470)
> (...) I see in comment 414 that is supposed to add some
> performance penalties (?), but on my end, seems that it doesn't do that.
The performance penalties don't happen in the cards directly affected by this problem.
That is, although that solution fixes everything for us, it also introduces a performance regression for users with much newer (and more performant) GPUs.
Comment 472 ortizowella 2014-04-10 04:13:30 PDT
Hey! Listen, Nadella!
Comment 473 LepidopTERA 2014-04-12 16:42:50 PDT
(In reply to Mark Straver from comment #469)
> (In reply to LepidopTERA from comment #467)
> > It is an interesting point to raise.  Maybe it is also possible that Pale
> > Moon has implemented the fix mentioned in comment 414?
> 
> No, Pale Moon does not implement the fix referred to in comment 414. Bug
> 934860 has not been ported over (mainly because of the refactoring done in
> Thebes and because of the indicated perf hit) so it doesn't apply.

Well, there's no one better to hear it from then the founder of Pale Moon.  So do you search Bugzilla for mentions of Pale Moon or are you telepathic?
Comment 474 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2014-04-14 17:30:28 PDT
(In reply to LepidopTERA from comment #473)
> Well, there's no one better to hear it from then the founder of Pale Moon. 
> So do you search Bugzilla for mentions of Pale Moon or are you telepathic?

Please continue this conversation elsewhere. It is off-topic for this bug report.
Comment 475 LepidopTERA 2014-04-15 15:12:34 PDT
(In reply to Anthony Hughes, QA Mentor (:ashughes) from comment #474)
> (In reply to LepidopTERA from comment #473)
> > Well, there's no one better to hear it from then the founder of Pale Moon. 
> > So do you search Bugzilla for mentions of Pale Moon or are you telepathic?
> 
> Please continue this conversation elsewhere. It is off-topic for this bug
> report.

It was sort of rhetorical and meant in jest.  Whether or not the bug was in Pale Moon was answered, with an explanation as to why.  Believe me, I don't intend to clutter the report with nonsense.  If you want to, you can drop comments #473-#475.
Comment 476 eqspeef 2014-04-19 07:25:14 PDT
(In reply to spam.dump.one from comment #453)
> (In reply to Nick from comment #452)
> > Firefox uses Direct3d 11 and Direct2d. My Radeon HD 7340 no problem. Windows
> > x64 8.1
> 
> You don't say?
> This problem is known to affect "only" the old 5000, 4000 and 3000 Radeon
> series.

Not true- I have a Radeon R7 260X, and I needed comment 414 to make my text readable.
Comment 477 Robert Kaiser 2014-05-01 06:05:51 PDT
So, it looks pretty obvious what chips are affected by this, and we have a workaround that quite a few people are using, can't we automatically detect and use this and finally call this age-old bug fixed?
I see a really good chance that people are or have been leaving Firefox for this, and this is not an irrelevant and small collection of chips, so having this sit in the current state is largely contrary to our goal of increasing Firefox usage. Let's please get something moving here.
Comment 478 Lukas Blakk [:lsblakk] use ?needinfo 2014-05-01 07:45:47 PDT
Will track this for FF30 based on the suggestion in comment 477, if we can get an auto-detection fix.
Comment 479 Axel Grude [:realRaven] 2014-05-01 09:03:16 PDT
I saw the problem today on Thunderbird 29, when scrolling up it produced smears on fonts and images. using the workaround from comment #414 seems to have resolved it for now - in  any case I raised

[Bug 1004441] specific to Thunderbird. I have a ATI Radeon HD 4800; Chio Type 0x9442, Internal DAC (400 Mhz), Dedicated Memory: 1024MB, Shared System Mem: 3821 MB)

I have also for now re-enabled Direct2d on Firefox 29.0 and added the setting there (here I experienced the problem first a  couple of months back)
Comment 480 Emanuel Hoogeveen [:ehoogeveen] 2014-05-02 03:46:16 PDT
FWIW, layout.paint_rects_separately isn't enabled by default because it causes performance regressions, and from what I understand the fixes for those regressions were blocked on a driver update for the Windows 8-based talos performance test machines. This driver update just happened (after a lot of issues pushing it through), so the performance improvements might land soon, and then layout.paint_rects_separately could be enabled by default (and the setting removed), fixing this bug.

Jeff can probably confirm if the above is accurate.
Comment 481 spam.dump.one 2014-05-02 07:57:34 PDT
(In reply to Lukas Blakk [:lsblakk] from comment #478)
> Will track this for FF30 based on the suggestion in comment 477, if we can
> get an auto-detection fix.

Nice. It's such a relief to hear that, after more than one year of scrambling in the about:config. I was getting bored of trying to explain to friends that the font corruption thing is not a virus and why it only happens in Firefox.
Comment 482 Jeff Muizelaar [:jrmuizel] 2014-05-08 06:59:08 PDT
The performance regression with layout.paint_rects_separately has been resolved and paint_rects_separately is now the default on m-c:

http://ftp.mozilla.org/pub/mozilla.org/firefox/tinderbox-builds/mozilla-central-win32/1399549719/
Comment 483 Emanuel Hoogeveen [:ehoogeveen] 2014-05-08 07:05:41 PDT
Excellent! This bug can be closed, then*. What are the odds of getting the relevant fix uplifted? It'd be nice to have for ESR 31 at least.

* For those reading along, bugs are generally resolved when a fix hits mozilla-central, which the Nightly builds are based off, though that doesn't mean they're in the current stable release yet.
Comment 484 Gian-Carlo Pascutto [:gcp] 2014-05-08 07:06:31 PDT
As far as I can tell that happened in this commit:

changeset:   182086:d1155f994a3a
user:        Matt Woodrow <mwoodrow@mozilla.com>
date:        Thu May 08 14:56:48 2014 +1200
summary:     Bug 938395 - Enable single rect painting for d3d10. r=Bas
Comment 485 nucrap 2014-05-08 07:13:25 PDT
Is layout.paint_rects_separately actually superior or will it only be used because it's a workaround?
Would interest me what's the difference to the current technique :)
Comment 486 Jeff Muizelaar [:jrmuizel] 2014-05-08 07:17:32 PDT
(In reply to Emanuel Hoogeveen [:ehoogeveen] from comment #483)
> Excellent! This bug can be closed, then*. What are the odds of getting the
> relevant fix uplifted? It'd be nice to have for ESR 31 at least.

I support uplifting this to 31. Code wise it not very invasive and the code path has already been tested somewhat by the people on this bug. Let's let it bake on m-c for a couple of days and then aim for the uplift.
Comment 487 Jeff Muizelaar [:jrmuizel] 2014-05-08 07:32:59 PDT
(In reply to nucrap from comment #485)
> Is layout.paint_rects_separately actually superior or will it only be used
> because it's a workaround?
> Would interest me what's the difference to the current technique :)

Without paint_rects_separately we push a D2D layer to set the clip. This typically involves allocating a texture for the bounds and then setting that as the render target and doing all of the drawing to it. This texture is then set as the source and drawn using a mask for the clip region back to the original surface. This is an expensive process and exposes bugs in the AMD driver.

With paint_rects_separately we just iterate over the list of commands to draw for each rectangle in the invalid region. This avoids having to push a layer but could be more expensive because we need to do more work to draw things for each rect.

Overall paint_rects_separately should be faster and should give us more control over performance because we're less dependent on the driver. It also more closely matches the model that Internet Explorer is using which tends to be good for performance and avoiding bugs.

Here's the performance difference that turning on paint_rects_separately makes:
http://compare-talos.mattn.ca/?oldRevs=95613a41c9de,a2d71850d783,43ba36bc10f2,727238c13756,db8043427ac2&newRev=911ff5c77e99&server=graphs.mozilla.org&submit=true
Comment 488 Lukas Blakk [:lsblakk] use ?needinfo 2014-05-08 11:38:19 PDT
Marking wontfix (for the last time) on 30 since we'll only take this to 31.
Comment 489 ToBo 2014-06-20 11:31:16 PDT
comment #414 not work for me.

I have not installed Windows 7 Platform Update KB2670838, but i disabled cleartype and i get bad Text Rendering on some sites, the font type is frayed.

http://www.mozilla.org/en-US/plugincheck/

see sample picture plugincheck.jpg

If i use the firefox option sites are not use your own fonts and i use Arial the font type are clear.
see sample picture plugincheck_arial.jpg
Comment 490 ToBo 2014-06-20 11:32:50 PDT
comment #414 not work for me.

I have not installed Windows 7 Platform Update KB2670838, but i disabled cleartype and i get bad Text Rendering on some sites, the font type is frayed.

http://www.mozilla.org/en-US/plugincheck/

see sample picture plugincheck.jpg

If i use the firefox option sites are not use your own fonts and i use Arial the font type are clear.
see sample picture plugincheck_arial.jpg

I use Firefox 30.
Comment 491 ToBo 2014-06-20 11:34:24 PDT
Created attachment 8443642 [details]
plugincheck.jpg

for comment 490
Comment 492 ToBo 2014-06-20 11:35:03 PDT
Created attachment 8443643 [details]
plugincheck_arial.jpg

for comment 490
Comment 493 Loic 2014-06-20 20:03:25 PDT
ToBo, it's not the same issue, yours is about disabling ClearType used by Firefox to render the text via DirectWrite.
Comment 494 ToBo 2014-06-22 03:31:55 PDT
Have you a bug number for my problem?

I think Firfox have a problem with webfonts or for the webfonts must obligatory use cleartype?

I have found a workaround for me, i use "gfx.downloadable_fonts.enabled" = false
Comment 495 Emanuel Hoogeveen [:ehoogeveen] 2014-06-22 06:19:36 PDT
You probably want to set gfx.font_rendering.cleartype.use_for_downloadable_fonts to false. The other gfx.font_rendering.cleartype options might also help you fine tune things (in particular you might want to change gfx.font_rendering.cleartype_params.rendering_mode). I don't know if there's another bug open for your problem, but if you can't find one (I know Bugzilla's search feature is hit and miss at best), feel free to file your own! Bugs are cheap, and this one is not related to your problem.
Comment 496 dusty-2011 2014-07-11 04:28:10 PDT
(In reply to Lukas Blakk [:lsblakk] from comment #488)
> Marking wontfix (for the last time) on 30 since we'll only take this to 31.
Why did Sylvestre Ledru mark this wontfix for firefox31 today? I thought firefox30 was the last time you would mark this wontfix.
Comment 497 Sylvestre Ledru [:sylvestre] 2014-07-11 04:31:56 PDT
Because it has been fixed in this bug: Bug 938395 - Enable single rect painting for d3d10. r=Bas;
Cf comment #484 but yeh, I will update the tracking flags to make it explicit :)
Comment 498 Lukas Blakk [:lsblakk] use ?needinfo 2014-07-11 23:03:45 PDT
This is fixed in 31 which is the next ESR major version, so we won't be taking this to 24 as it doesn't actually meet criteria there anyway and certainly not so close to ESR24 EOL.
Comment 499 spam.dump.one 2014-10-15 01:51:14 PDT Comment hidden (me-too)
Comment 500 towe 2014-11-11 04:57:19 PST
I can see the described issue with bad font-rendering in firefox version 33.1 again! With Firefox 32 or earlier there is no rendering problem.

My Grafic-Card: AMD Radeon HD 8790M
Comment 501 towe 2014-11-11 05:07:51 PST
Created attachment 8520605 [details]
ff_331_rendering_problems.jpg

When you compare the word "Notes" in the screenshot you can see the bad rendering.
Comment 502 Vitor Cunha 2014-11-11 05:15:35 PST
(In reply to towe from comment #500)
> I can see the described issue with bad font-rendering in firefox version
> 33.1 again! With Firefox 32 or earlier there is no rendering problem.
> 
> My Grafic-Card: AMD Radeon HD 8790M

(In reply to towe from comment #501)
> Created attachment 8520605 [details]
> ff_331_rendering_problems.jpg
> 
> When you compare the word "Notes" in the screenshot you can see the bad
> rendering.

That's unlikely to be this bug (despite the title), this one was much more severe than just that.
Your GPU isn't even one of the affected units of the original bug (it's not a legacy card!).
Comment 503 Loic 2014-11-11 05:24:13 PST
(In reply to towe from comment #501)
> Created attachment 8520605 [details]
> ff_331_rendering_problems.jpg
> 
> When you compare the word "Notes" in the screenshot you can see the bad
> rendering.

Different bugs, yours is probably about antialiasing and maybe Cleartype settings if you are on Windows. Could you file a new bug, please. Provide the section "graphics" in about:support too.
Comment 504 Jonathan Kew (:jfkthame) 2014-11-11 05:34:12 PST
(In reply to Vitor Cunha from comment #502)
> (In reply to towe from comment #500)
> > I can see the described issue with bad font-rendering in firefox version
> > 33.1 again! With Firefox 32 or earlier there is no rendering problem.
> > 
> > My Grafic-Card: AMD Radeon HD 8790M
> 
> (In reply to towe from comment #501)
> > Created attachment 8520605 [details]
> > ff_331_rendering_problems.jpg
> > 
> > When you compare the word "Notes" in the screenshot you can see the bad
> > rendering.
> 
> That's unlikely to be this bug (despite the title), this one was much more
> severe than just that.

Right. This is different; please file a new bug, and add your screenshot there. Specifically, your screenshot shows a difference in the antialiasing applied to the "Firefox Notes" text: on 33.1, it appears to be horizontal-only antialiasing, whereas 32.0 showed antialiasing in both the x- and y-directions, which leads to much smoother curves, especially noticeable on glyphs like the "e", "o" and "s".

Also, it would be helpful if you could post the screenshot in PNG format instead of JPG, to avoid the compression "noise" that JPG introduces, as that makes it difficult to compare antialiasing reliably.
Comment 505 towe 2014-11-11 05:42:17 PST
Ok, thank you guys. I opened a new bug: https://bugzilla.mozilla.org/show_bug.cgi?id=1096934
Comment 506 Chris 2015-02-26 18:54:25 PST
(In reply to Emanuel Hoogeveen [:ehoogeveen] from comment #414)
> To enable the workaround for this bug:
> 1) Make sure you're running Firefox 26 or higher
> 2) Go to about:config
> 3) Right click anywhere in the content area, create a new Boolean called
> "layout.paint_rects_separately" (without the quotes) and set it to true
> 4) Restart the browser
> 
> This setting is expected to become the default at some point, but right now
> it causes some performance regressions.

this works well thanks, no news on this been the default yet?

I had to reenable hardware acceleration for the new html5 youtube, and had the smudged text, and this partially fixed it.
Comment 507 dusty-2011 2015-02-27 05:15:54 PST
(In reply to Chris from comment #506)
> (In reply to Emanuel Hoogeveen [:ehoogeveen] from comment #414)
> > To enable the workaround for this bug:
> > 1) Make sure you're running Firefox 26 or higher
> > 2) Go to about:config
> > 3) Right click anywhere in the content area, create a new Boolean called
> > "layout.paint_rects_separately" (without the quotes) and set it to true
> > 4) Restart the browser
> > 
> > This setting is expected to become the default at some point, but right now
> > it causes some performance regressions.
> 
> this works well thanks, no news on this been the default yet?
> 
> I had to reenable hardware acceleration for the new html5 youtube, and had
> the smudged text, and this partially fixed it.

This bug has been fixed for months already now. Are you sure you are using the latest Firefox version? I'm not an expert on this issue, but if you still have smudged text with hardware acceleration enabled then I'm positive it is a different bug. First make sure you have the latest display drivers installed. If the issue is still present then, please file a new bug with details on your problem. Please include a few screenshots illustrating the problem.
Comment 508 Morgan 2015-03-27 14:20:10 PDT
I have this issue popping back up again. Fx 36.0.4, Windows 8.1 Pro x64 all available updates to March 27 2015. ATI Mobility 3650 HD gpu. Only addon is uBlock. It doesn't happen as much as it did but I have noticed it on a few sites such as twitter.com. Anyone else experienced this?
Comment 509 Eduard Braun 2015-03-27 14:30:27 PDT
I saw it recently in GitHub's Markdown editor. As you say not nearly as bad as before, not reliably reproducible and I also didn't see it anywhere else, but should definitely be investigated.

I'm not sure when it started again, but I think it was during the 36 release cycle, possibly 36.0.3/36.0.4.


ClearType-Parameter: D [ Gamma: 2200 Pixel Structure: R ClearType Level: 100 Enhanced Contrast: 200 ] D [ Gamma: 2200 Pixel Structure: R ClearType Level: 100 Enhanced Contrast: 50 ]
Direct2D aktiviert: true
DirectWrite aktiviert: true (6.2.9200.16571)
Geräte-ID: 0x95c4
Geräte-ID (GPU #2): 0x2a42
GPU #2 aktiv: false
GPU-beschleunigte Fenster: 1/1 Direct3D 11 (OMTC)
Karten-Beschreibung: ATI Mobility Radeon HD 3400 Series
Karten-Beschreibung (GPU #2): Mobile Intel(R) 4 Series Express Chipset Family
Karten-RAM: 256
Karten-RAM (GPU #2): Unknown
Karten-Treiber: aticfx64 aticfx64 aticfx32 aticfx32 atiumd64 atidxx64 atiumdag atidxx32 atiumdva atiumd6a atitmm64
Karten-Treiber (GPU #2): igdumd64 igd10umd64 igdumdx32 igd10umd32
Subsys-ID: 210f17aa
Subsys-ID (GPU #2): 211317aa
Treiber-Datum: 11-16-2012
Treiber-Datum (GPU #2): 5-4-2012
Treiber-Version: 8.970.100.7000
Treiber-Version (GPU #2): 8.792.5.2000
Vendor-ID: 0x1002
Vendor-ID (GPU #2): 0x8086
WebGL-Renderer: Google Inc. -- ANGLE (ATI Mobility Radeon HD 3400 Series Direct3D9Ex vs_3_0 ps_3_0)
windowLayerManagerRemote: true
AzureCanvasBackend: direct2d
AzureContentBackend: direct2d
AzureFallbackCanvasBackend: cairo
AzureSkiaAccelerated: 0
Comment 510 wellnhofer 2015-03-28 07:58:31 PDT
I can also confirm that this issue reappeared a couple of weeks ago, probably with the release of Firefox 36. In very rare circumstances, I can see distorted text just like before this bug was fixed. Examples include Google Maps and Google Analytics. My graphics card is an ATI Radeon HD 4800.
Comment 511 Loic 2015-03-28 08:14:12 PDT
This bug is closed, could you file a new bug report and paste the bug number here. Don't forget to post some screenshots and the "graphics" section from the page about:support.
Comment 512 Eduard Braun 2015-03-28 08:40:54 PDT
File follow-up as bug 1148774.
Comment 513 Axel Grude [:realRaven] 2015-03-28 13:21:26 PDT
(In reply to wellnhofer from comment #510)
> I can also confirm that this issue reappeared a couple of weeks ago,
> probably with the release of Firefox 36. In very rare circumstances, I can
> see distorted text just like before this bug was fixed. Examples include
> Google Maps and Google Analytics. My graphics card is an ATI Radeon HD 4800.

Interesting as I started to experience issues with glassed areas on Windowblinds with Thunderbird beta (I launched a separate bug on it [Bug 1143297]) around the same time, using the same graphics card. They actually have a setting to circumvent the problem on a per-application basis so it must be a known problem - I raised a bug with them just in case. I am updating my card for a Geforce next week and then the problem will be solved from my point of view.
Comment 514 dusty-2011 2015-03-28 15:01:12 PDT
(In reply to Axel Grude [:realRaven] from comment #513)
> I am
> updating my card for a Geforce next week and then the problem will be solved
> from my point of view.

Firefox 36 introduced problems for Geforce cards as well. In the form of black corrupted pictures. See https://bugzilla.mozilla.org/show_bug.cgi?id=1138061 and https://bugzilla.mozilla.org/show_bug.cgi?id=1139430. They've known about that bug for at least a month now without any signs of progress. The status of the bug is still "unconfirmed". You can switch graphics cards all you want, you're just switching one set of problems for another set of problems.

Note You need to log in before you can comment on or make changes to this bug.